// java wrapper for vtkContextDevice2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkContextDevice2D.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkContextDevice2D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkContextDevice2D",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkContextDevice2D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkContextDevice2D *op;
  const char    *temp20;

  op = (vtkContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContextDevice2D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkContextDevice2D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextDevice2D_DrawEllipseWedge_12(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5,jdouble id6,jdouble id7)
{
  vtkContextDevice2D *op;
  float    temp0;
  float    temp1;
  float    temp2;
  float    temp3;
  float    temp4;
  float    temp5;
  float    temp6;
  float    temp7;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;
  temp6 = id6;
  temp7 = id7;

  op = (vtkContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawEllipseWedge(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextDevice2D_DrawEllipticArc_13(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkContextDevice2D *op;
  float    temp0;
  float    temp1;
  float    temp2;
  float    temp3;
  float    temp4;
  float    temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawEllipticArc(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextDevice2D_SetPointSize_14(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkContextDevice2D *op;
  float    temp0;
  temp0 = id0;

  op = (vtkContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPointSize(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextDevice2D_SetLineWidth_15(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkContextDevice2D *op;
  float    temp0;
  temp0 = id0;

  op = (vtkContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLineWidth(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextDevice2D_SetLineType_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkContextDevice2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLineType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContextDevice2D_GetWidth_17(JNIEnv *env, jobject obj)
{
  vtkContextDevice2D *op;
  int      temp20;

  op = (vtkContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWidth();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkContextDevice2D_GetHeight_18(JNIEnv *env, jobject obj)
{
  vtkContextDevice2D *op;
  int      temp20;

  op = (vtkContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetHeight();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextDevice2D_SetMatrix_19(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContextDevice2D *op;
  vtkMatrix3x3  *temp0;
  temp0 = (vtkMatrix3x3 *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetMatrix(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextDevice2D_MultiplyMatrix_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContextDevice2D *op;
  vtkMatrix3x3  *temp0;
  temp0 = (vtkMatrix3x3 *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  op->MultiplyMatrix(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextDevice2D_PushMatrix_111(JNIEnv *env, jobject obj)
{
  vtkContextDevice2D *op;

  op = (vtkContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  op->PushMatrix();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextDevice2D_PopMatrix_112(JNIEnv *env, jobject obj)
{
  vtkContextDevice2D *op;

  op = (vtkContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  op->PopMatrix();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextDevice2D_DisableClipping_113(JNIEnv *env, jobject obj)
{
  vtkContextDevice2D *op;

  op = (vtkContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  op->DisableClipping();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextDevice2D_Begin_114(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContextDevice2D *op;
  vtkViewport  *temp0;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  op->Begin(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextDevice2D_End_115(JNIEnv *env, jobject obj)
{
  vtkContextDevice2D *op;

  op = (vtkContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  op->End();
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkContextDevice2D_GetBufferIdMode_116(JNIEnv *env, jobject obj)
{
  vtkContextDevice2D *op;
  bool   temp20;

  op = (vtkContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBufferIdMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextDevice2D_BufferIdModeBegin_117(JNIEnv *env, jobject obj,jobject id0)
{
  vtkContextDevice2D *op;
  vtkAbstractContextBufferId  *temp0;
  temp0 = (vtkAbstractContextBufferId *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  op->BufferIdModeBegin(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkContextDevice2D_BufferIdModeEnd_118(JNIEnv *env, jobject obj)
{
  vtkContextDevice2D *op;

  op = (vtkContextDevice2D *)vtkJavaGetPointerFromObject(env,obj);
  op->BufferIdModeEnd();
}
