// python wrapper for vtkInformationObjectBaseVectorKey object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkInformationObjectBaseVectorKey.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkInformationObjectBaseVectorKeyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkInformationObjectBaseVectorKeyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkInformationKeyNew(char *); }

static PyObject *PyvtkInformationObjectBaseVectorKey_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationObjectBaseVectorKey *op;

  const char    *temp20;
  op = (vtkInformationObjectBaseVectorKey *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationObjectBaseVectorKey::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkInformationObjectBaseVectorKey_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationObjectBaseVectorKey *op;

  char    *temp0;
  int      temp20;
  op = (vtkInformationObjectBaseVectorKey *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationObjectBaseVectorKey::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInformationObjectBaseVectorKey_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationObjectBaseVectorKey *op;

  vtkInformationObjectBaseVectorKey  *temp20;
  op = (vtkInformationObjectBaseVectorKey *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationObjectBaseVectorKey::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInformationObjectBaseVectorKey_Clear(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationObjectBaseVectorKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  op = (vtkInformationObjectBaseVectorKey *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformationObjectBaseVectorKey::Clear(temp0);
      }
    else
      {
      op->Clear(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkInformationObjectBaseVectorKey_Resize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationObjectBaseVectorKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  int      temp1;
  op = (vtkInformationObjectBaseVectorKey *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformationObjectBaseVectorKey::Resize(temp0,temp1);
      }
    else
      {
      op->Resize(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkInformationObjectBaseVectorKey_Size(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationObjectBaseVectorKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkInformationObjectBaseVectorKey *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationObjectBaseVectorKey::Size(temp0);
      }
    else
      {
      temp20 = op->Size(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkInformationObjectBaseVectorKey_Length(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationObjectBaseVectorKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkInformationObjectBaseVectorKey *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationObjectBaseVectorKey::Length(temp0);
      }
    else
      {
      temp20 = op->Length(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkInformationObjectBaseVectorKey_Append(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationObjectBaseVectorKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkObjectBase  *temp1;
  PyObject *tempH1;
  op = (vtkInformationObjectBaseVectorKey *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break7;
    temp1 = (vtkObjectBase *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkObjectBase");
    if (!temp1 && tempH1 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformationObjectBaseVectorKey::Append(temp0,temp1);
      }
    else
      {
      op->Append(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkInformationObjectBaseVectorKey_Set(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationObjectBaseVectorKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkObjectBase  *temp1;
  PyObject *tempH1;
  int      temp2;
  op = (vtkInformationObjectBaseVectorKey *)PyArg_VTKParseTuple(self, args, (char*)"OOi", &tempH0, &tempH1, &temp2);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break8;
    temp1 = (vtkObjectBase *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkObjectBase");
    if (!temp1 && tempH1 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformationObjectBaseVectorKey::Set(temp0,temp1,temp2);
      }
    else
      {
      op->Set(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkInformationObjectBaseVectorKey_Get(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationObjectBaseVectorKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  int      temp1;
  vtkObjectBase  *temp20;
  op = (vtkInformationObjectBaseVectorKey *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationObjectBaseVectorKey::Get(temp0,temp1);
      }
    else
      {
      temp20 = op->Get(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkInformationObjectBaseVectorKey_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationObjectBaseVectorKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkInformation  *temp1;
  PyObject *tempH1;
  op = (vtkInformationObjectBaseVectorKey *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1);
  if (op)
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break10;
    temp1 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkInformation");
    if (!temp1 && tempH1 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformationObjectBaseVectorKey::ShallowCopy(temp0,temp1);
      }
    else
      {
      op->ShallowCopy(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}

static PyMethodDef PyvtkInformationObjectBaseVectorKeyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkInformationObjectBaseVectorKey_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkInformationObjectBaseVectorKey_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkInformationObjectBaseVectorKey_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkInformationObjectBaseVectorKey\nC++: vtkInformationObjectBaseVectorKey *NewInstance ();\n\n"},
  {(char*)"Clear",                (PyCFunction)PyvtkInformationObjectBaseVectorKey_Clear, 1,
   (char*)"V.Clear(vtkInformation)\nC++: void Clear (vtkInformation *info);\n\n Clear the vector.\n"},
  {(char*)"Resize",                (PyCFunction)PyvtkInformationObjectBaseVectorKey_Resize, 1,
   (char*)"V.Resize(vtkInformation, int)\nC++: void Resize (vtkInformation *info, int n);\n\n Resize (extend) the vector to hold n objects. Any new elements\n created will be null initialized.\n"},
  {(char*)"Size",                (PyCFunction)PyvtkInformationObjectBaseVectorKey_Size, 1,
   (char*)"V.Size(vtkInformation) -> int\nC++: int Size (vtkInformation *info);\n\n Get the vector's length.\n"},
  {(char*)"Length",                (PyCFunction)PyvtkInformationObjectBaseVectorKey_Length, 1,
   (char*)"V.Length(vtkInformation) -> int\nC++: int Length (vtkInformation *info);return this Size info \n\n Put the value on the back of the vector, with ref counting.\n"},
  {(char*)"Append",                (PyCFunction)PyvtkInformationObjectBaseVectorKey_Append, 1,
   (char*)"V.Append(vtkInformation, vtkObjectBase)\nC++: void Append (vtkInformation *info, vtkObjectBase *value);\n\n Put the value on the back of the vector, with ref counting.\n"},
  {(char*)"Set",                (PyCFunction)PyvtkInformationObjectBaseVectorKey_Set, 1,
   (char*)"V.Set(vtkInformation, vtkObjectBase, int)\nC++: void Set (vtkInformation *info, vtkObjectBase *value, int i);\n\n Set element i of the vector to value. Resizes the vector\n if needed.\n"},
  {(char*)"Get",                (PyCFunction)PyvtkInformationObjectBaseVectorKey_Get, 1,
   (char*)"V.Get(vtkInformation, int) -> vtkObjectBase\nC++: vtkObjectBase *Get (vtkInformation *info, int idx);\n\n Get the vtkObjectBase at a specific location in the vector.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkInformationObjectBaseVectorKey_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkInformation, vtkInformation)\nC++: virtual void ShallowCopy (vtkInformation *from, vtkInformation *to);\n\n Copy the entry associated with this key from one information\n object to another.  If there is no entry in the first information\n object for this key, the value is removed from the second.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkInformationObjectBaseVectorKeyDoc[] = {
  (char*)"vtkInformationObjectBaseVectorKey - Key for vtkObjectBase vector values.\n\n",
  "Super Class:\n\n vtkInformationKey\n\n",
  (char*)" vtkInformationObjectBaseVectorKey is used to represent keys for double\n vector values in vtkInformation.h. NOTE the interface in this key differs\n from that in other similar keys because of our internal use of smart\n pointers.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkInformationObjectBaseVectorKeyNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkInformationObjectBaseVectorKeyMethods,
                        (char*)"vtkInformationObjectBaseVectorKey",modulename,
                        (char**)vtkInformationObjectBaseVectorKeyDoc,
                        PyVTKClass_vtkInformationKeyNew(modulename));
}

