// python wrapper for vtkUnicodeStringArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkUnicodeStringArray.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkUnicodeStringArrayNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkUnicodeStringArrayNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAbstractArrayNew(char *); }

static PyObject *PyvtkUnicodeStringArray_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnicodeStringArray *op;

  const char    *temp20;
  op = (vtkUnicodeStringArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnicodeStringArray::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkUnicodeStringArray_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnicodeStringArray *op;

  char    *temp0;
  int      temp20;
  op = (vtkUnicodeStringArray *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnicodeStringArray::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnicodeStringArray_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnicodeStringArray *op;

  vtkUnicodeStringArray  *temp20;
  op = (vtkUnicodeStringArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnicodeStringArray::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnicodeStringArray_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkUnicodeStringArray  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkUnicodeStringArray::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkUnicodeStringArray_Allocate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnicodeStringArray *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  int      temp20;
  op = (vtkUnicodeStringArray *)PyArg_VTKParseTuple(self, args, (char*)"LL", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnicodeStringArray::Allocate(temp0,temp1);
      }
    else
      {
      temp20 = op->Allocate(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnicodeStringArray_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnicodeStringArray *op;

  op = (vtkUnicodeStringArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnicodeStringArray::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnicodeStringArray_GetDataType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnicodeStringArray *op;

  int      temp20;
  op = (vtkUnicodeStringArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnicodeStringArray::GetDataType();
      }
    else
      {
      temp20 = op->GetDataType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnicodeStringArray_GetDataTypeSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnicodeStringArray *op;

  int      temp20;
  op = (vtkUnicodeStringArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnicodeStringArray::GetDataTypeSize();
      }
    else
      {
      temp20 = op->GetDataTypeSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnicodeStringArray_GetElementComponentSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnicodeStringArray *op;

  int      temp20;
  op = (vtkUnicodeStringArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnicodeStringArray::GetElementComponentSize();
      }
    else
      {
      temp20 = op->GetElementComponentSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnicodeStringArray_SetNumberOfTuples(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnicodeStringArray *op;

  vtkIdType   temp0;
  op = (vtkUnicodeStringArray *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnicodeStringArray::SetNumberOfTuples(temp0);
      }
    else
      {
      op->SetNumberOfTuples(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnicodeStringArray_SetTuple(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnicodeStringArray *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkAbstractArray  *temp2;
  PyObject *tempH2;
  op = (vtkUnicodeStringArray *)PyArg_VTKParseTuple(self, args, (char*)"LLO", &temp0, &temp1, &tempH2);
  if (op)
    {
    temp2 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkAbstractArray");
    if (!temp2 && tempH2 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkUnicodeStringArray::SetTuple(temp0,temp1,temp2);
      }
    else
      {
      op->SetTuple(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkUnicodeStringArray_InsertTuple(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnicodeStringArray *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkAbstractArray  *temp2;
  PyObject *tempH2;
  op = (vtkUnicodeStringArray *)PyArg_VTKParseTuple(self, args, (char*)"LLO", &temp0, &temp1, &tempH2);
  if (op)
    {
    temp2 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkAbstractArray");
    if (!temp2 && tempH2 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkUnicodeStringArray::InsertTuple(temp0,temp1,temp2);
      }
    else
      {
      op->InsertTuple(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkUnicodeStringArray_InsertNextTuple(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnicodeStringArray *op;

  vtkIdType   temp0;
  vtkAbstractArray  *temp1;
  PyObject *tempH1;
  vtkIdType   temp20;
  op = (vtkUnicodeStringArray *)PyArg_VTKParseTuple(self, args, (char*)"LO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkAbstractArray");
    if (!temp1 && tempH1 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnicodeStringArray::InsertNextTuple(temp0,temp1);
      }
    else
      {
      temp20 = op->InsertNextTuple(temp0,temp1);
      }
    return PyLong_FromLongLong(temp20);
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkUnicodeStringArray_GetVoidPointer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnicodeStringArray *op;

  vtkIdType   temp0;
  void    *temp20;
  op = (vtkUnicodeStringArray *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnicodeStringArray::GetVoidPointer(temp0);
      }
    else
      {
      temp20 = op->GetVoidPointer(temp0);
      }
    if (temp20 == NULL)
        {
      Py_INCREF(Py_None);
      return Py_None;
        }
    else
        {
      return PyString_FromString(vtkPythonManglePointer(temp20,"void_p"));
        }
    }
  }
  return NULL;
}


static PyObject *PyvtkUnicodeStringArray_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnicodeStringArray *op;

  vtkAbstractArray  *temp0;
  PyObject *tempH0;
  op = (vtkUnicodeStringArray *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractArray");
    if (!temp0 && tempH0 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      op->vtkUnicodeStringArray::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkUnicodeStringArray_InterpolateTuple(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnicodeStringArray *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkAbstractArray  *temp2;
  PyObject *tempH2;
  vtkIdType   temp3;
  vtkAbstractArray  *temp4;
  PyObject *tempH4;
  double   temp5;
  op = (vtkUnicodeStringArray *)PyArg_VTKParseTuple(self, args, (char*)"LLOLOd", &temp0, &temp1, &tempH2, &temp3, &tempH4, &temp5);
  if (op)
    {
    temp2 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkAbstractArray");
    if (!temp2 && tempH2 != Py_None) goto break15;
    temp4 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkAbstractArray");
    if (!temp4 && tempH4 != Py_None) goto break15;
    if (PyVTKClass_Check(self))
      {
      op->vtkUnicodeStringArray::InterpolateTuple(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->InterpolateTuple(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break15:
  return NULL;
}


static PyObject *PyvtkUnicodeStringArray_Squeeze(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnicodeStringArray *op;

  op = (vtkUnicodeStringArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnicodeStringArray::Squeeze();
      }
    else
      {
      op->Squeeze();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnicodeStringArray_Resize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnicodeStringArray *op;

  vtkIdType   temp0;
  int      temp20;
  op = (vtkUnicodeStringArray *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnicodeStringArray::Resize(temp0);
      }
    else
      {
      temp20 = op->Resize(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnicodeStringArray_SetVoidArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnicodeStringArray *op;

  void    *temp0;
  int      size0;
  vtkIdType   temp1;
  int      temp2;
  op = (vtkUnicodeStringArray *)PyArg_VTKParseTuple(self, args, (char*)"s#Li", &temp0, &size0, &temp1, &temp2);
  if (op)
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetVoidArray in vtkUnicodeStringArray was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetVoidArray in vtkUnicodeStringArray was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      op->vtkUnicodeStringArray::SetVoidArray(temp0,temp1,temp2);
      }
    else
      {
      op->SetVoidArray(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnicodeStringArray_GetActualMemorySize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnicodeStringArray *op;

  unsigned long     temp20;
  op = (vtkUnicodeStringArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnicodeStringArray::GetActualMemorySize();
      }
    else
      {
      temp20 = op->GetActualMemorySize();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnicodeStringArray_IsNumeric(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnicodeStringArray *op;

  int      temp20;
  op = (vtkUnicodeStringArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnicodeStringArray::IsNumeric();
      }
    else
      {
      temp20 = op->IsNumeric();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnicodeStringArray_NewIterator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnicodeStringArray *op;

  vtkArrayIterator  *temp20;
  op = (vtkUnicodeStringArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnicodeStringArray::NewIterator();
      }
    else
      {
      temp20 = op->NewIterator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnicodeStringArray_DataChanged(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnicodeStringArray *op;

  op = (vtkUnicodeStringArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnicodeStringArray::DataChanged();
      }
    else
      {
      op->DataChanged();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnicodeStringArray_ClearLookup(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnicodeStringArray *op;

  op = (vtkUnicodeStringArray *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnicodeStringArray::ClearLookup();
      }
    else
      {
      op->ClearLookup();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnicodeStringArray_InsertNextUTF8Value(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnicodeStringArray *op;

  char    *temp0;
  op = (vtkUnicodeStringArray *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnicodeStringArray::InsertNextUTF8Value(temp0);
      }
    else
      {
      op->InsertNextUTF8Value(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnicodeStringArray_SetUTF8Value(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnicodeStringArray *op;

  vtkIdType   temp0;
  char    *temp1;
  op = (vtkUnicodeStringArray *)PyArg_VTKParseTuple(self, args, (char*)"Lz", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnicodeStringArray::SetUTF8Value(temp0,temp1);
      }
    else
      {
      op->SetUTF8Value(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnicodeStringArray_GetUTF8Value(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnicodeStringArray *op;

  vtkIdType   temp0;
  const char    *temp20;
  op = (vtkUnicodeStringArray *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnicodeStringArray::GetUTF8Value(temp0);
      }
    else
      {
      temp20 = op->GetUTF8Value(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkUnicodeStringArrayMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkUnicodeStringArray_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkUnicodeStringArray_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkUnicodeStringArray_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkUnicodeStringArray\nC++: vtkUnicodeStringArray *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkUnicodeStringArray_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkUnicodeStringArray\nC++: vtkUnicodeStringArray *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Allocate",                (PyCFunction)PyvtkUnicodeStringArray_Allocate, 1,
   (char*)"V.Allocate(int, int) -> int\nC++: virtual int Allocate (vtkIdType sz, vtkIdType ext);\n\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkUnicodeStringArray_Initialize, 1,
   (char*)"V.Initialize()\nC++: virtual void Initialize ();\n\n"},
  {(char*)"GetDataType",                (PyCFunction)PyvtkUnicodeStringArray_GetDataType, 1,
   (char*)"V.GetDataType() -> int\nC++: virtual int GetDataType ();\n\n"},
  {(char*)"GetDataTypeSize",                (PyCFunction)PyvtkUnicodeStringArray_GetDataTypeSize, 1,
   (char*)"V.GetDataTypeSize() -> int\nC++: virtual int GetDataTypeSize ();\n\n"},
  {(char*)"GetElementComponentSize",                (PyCFunction)PyvtkUnicodeStringArray_GetElementComponentSize, 1,
   (char*)"V.GetElementComponentSize() -> int\nC++: virtual int GetElementComponentSize ();\n\n"},
  {(char*)"SetNumberOfTuples",                (PyCFunction)PyvtkUnicodeStringArray_SetNumberOfTuples, 1,
   (char*)"V.SetNumberOfTuples(int)\nC++: virtual void SetNumberOfTuples (vtkIdType number);\n\n"},
  {(char*)"SetTuple",                (PyCFunction)PyvtkUnicodeStringArray_SetTuple, 1,
   (char*)"V.SetTuple(int, int, vtkAbstractArray)\nC++: virtual void SetTuple (vtkIdType i, vtkIdType j, vtkAbstractArray *source);\n\n"},
  {(char*)"InsertTuple",                (PyCFunction)PyvtkUnicodeStringArray_InsertTuple, 1,
   (char*)"V.InsertTuple(int, int, vtkAbstractArray)\nC++: virtual void InsertTuple (vtkIdType i, vtkIdType j, vtkAbstractArray *source);\n\n"},
  {(char*)"InsertNextTuple",                (PyCFunction)PyvtkUnicodeStringArray_InsertNextTuple, 1,
   (char*)"V.InsertNextTuple(int, vtkAbstractArray) -> int\nC++: virtual vtkIdType InsertNextTuple (vtkIdType j, vtkAbstractArray *source);\n\n"},
  {(char*)"GetVoidPointer",                (PyCFunction)PyvtkUnicodeStringArray_GetVoidPointer, 1,
   (char*)"V.GetVoidPointer(int) -> string\nC++: virtual void *GetVoidPointer (vtkIdType id);\n\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkUnicodeStringArray_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkAbstractArray)\nC++: virtual void DeepCopy (vtkAbstractArray *da);\n\n"},
  {(char*)"InterpolateTuple",                (PyCFunction)PyvtkUnicodeStringArray_InterpolateTuple, 1,
   (char*)"V.InterpolateTuple(int, int, vtkAbstractArray, int, vtkAbstractArray, float)\nC++: virtual void InterpolateTuple (vtkIdType i, vtkIdType id1, vtkAbstractArray *source1, vtkIdType id2, vtkAbstractArray *source2, double t);\n\n"},
  {(char*)"Squeeze",                (PyCFunction)PyvtkUnicodeStringArray_Squeeze, 1,
   (char*)"V.Squeeze()\nC++: virtual void Squeeze ();\n\n"},
  {(char*)"Resize",                (PyCFunction)PyvtkUnicodeStringArray_Resize, 1,
   (char*)"V.Resize(int) -> int\nC++: virtual int Resize (vtkIdType numTuples);\n\n"},
  {(char*)"SetVoidArray",                (PyCFunction)PyvtkUnicodeStringArray_SetVoidArray, 1,
   (char*)"V.SetVoidArray(string, int, int)\nC++: virtual void SetVoidArray (void *array, vtkIdType size, int save);\n\n"},
  {(char*)"GetActualMemorySize",                (PyCFunction)PyvtkUnicodeStringArray_GetActualMemorySize, 1,
   (char*)"V.GetActualMemorySize() -> int\nC++: virtual unsigned long GetActualMemorySize ();\n\n"},
  {(char*)"IsNumeric",                (PyCFunction)PyvtkUnicodeStringArray_IsNumeric, 1,
   (char*)"V.IsNumeric() -> int\nC++: virtual int IsNumeric ();\n\n"},
  {(char*)"NewIterator",                (PyCFunction)PyvtkUnicodeStringArray_NewIterator, 1,
   (char*)"V.NewIterator() -> vtkArrayIterator\nC++: virtual vtkArrayIterator *NewIterator ();\n\n"},
  {(char*)"DataChanged",                (PyCFunction)PyvtkUnicodeStringArray_DataChanged, 1,
   (char*)"V.DataChanged()\nC++: virtual void DataChanged ();\n\n"},
  {(char*)"ClearLookup",                (PyCFunction)PyvtkUnicodeStringArray_ClearLookup, 1,
   (char*)"V.ClearLookup()\nC++: virtual void ClearLookup ();\n\n"},
  {(char*)"InsertNextUTF8Value",                (PyCFunction)PyvtkUnicodeStringArray_InsertNextUTF8Value, 1,
   (char*)"V.InsertNextUTF8Value(string)\nC++: void InsertNextUTF8Value (const char *);\n\n"},
  {(char*)"SetUTF8Value",                (PyCFunction)PyvtkUnicodeStringArray_SetUTF8Value, 1,
   (char*)"V.SetUTF8Value(int, string)\nC++: void SetUTF8Value (vtkIdType i, const char *);\n\n"},
  {(char*)"GetUTF8Value",                (PyCFunction)PyvtkUnicodeStringArray_GetUTF8Value, 1,
   (char*)"V.GetUTF8Value(int) -> string\nC++: const char *GetUTF8Value (vtkIdType i);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkUnicodeStringArrayDoc[] = {
  (char*)"vtkUnicodeStringArray - Subclass of vtkAbstractArray that holds vtkUnicodeStrings\n\n",
  "Super Class:\n\n vtkAbstractArray\n\n",
  (char*)"\n .SECTION Thanks\n Developed by Timothy M. Shead (tshead@sandia.gov) at Sandia National Laboratories.\n\n",
  NULL
};

static vtkObjectBase *vtkUnicodeStringArrayStaticNew()
{
  return vtkUnicodeStringArray::New();
}

PyObject *PyVTKClass_vtkUnicodeStringArrayNew(char *modulename)
{
  return PyVTKClass_New(&vtkUnicodeStringArrayStaticNew,
                        PyvtkUnicodeStringArrayMethods,
                        (char*)"vtkUnicodeStringArray",modulename,
                        (char**)vtkUnicodeStringArrayDoc,
                        PyVTKClass_vtkAbstractArrayNew(modulename));
}

