// python wrapper for vtkCellLocatorInterpolatedVelocityField object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCellLocatorInterpolatedVelocityField.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCellLocatorInterpolatedVelocityFieldNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCellLocatorInterpolatedVelocityFieldNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAbstractInterpolatedVelocityFieldNew(char *); }

static PyObject *PyvtkCellLocatorInterpolatedVelocityField_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellLocatorInterpolatedVelocityField *op;

  const char    *temp20;
  op = (vtkCellLocatorInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellLocatorInterpolatedVelocityField::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCellLocatorInterpolatedVelocityField_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellLocatorInterpolatedVelocityField *op;

  char    *temp0;
  int      temp20;
  op = (vtkCellLocatorInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellLocatorInterpolatedVelocityField::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellLocatorInterpolatedVelocityField_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellLocatorInterpolatedVelocityField *op;

  vtkCellLocatorInterpolatedVelocityField  *temp20;
  op = (vtkCellLocatorInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellLocatorInterpolatedVelocityField::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellLocatorInterpolatedVelocityField_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCellLocatorInterpolatedVelocityField  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCellLocatorInterpolatedVelocityField::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCellLocatorInterpolatedVelocityField_GetLastCellLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellLocatorInterpolatedVelocityField *op;

  vtkAbstractCellLocator  *temp20;
  op = (vtkCellLocatorInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellLocatorInterpolatedVelocityField::GetLastCellLocator();
      }
    else
      {
      temp20 = op->GetLastCellLocator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellLocatorInterpolatedVelocityField_GetCellLocatorPrototype(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellLocatorInterpolatedVelocityField *op;

  vtkAbstractCellLocator  *temp20;
  op = (vtkCellLocatorInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellLocatorInterpolatedVelocityField::GetCellLocatorPrototype();
      }
    else
      {
      temp20 = op->GetCellLocatorPrototype();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellLocatorInterpolatedVelocityField_SetCellLocatorPrototype(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellLocatorInterpolatedVelocityField *op;

  vtkAbstractCellLocator  *temp0;
  PyObject *tempH0;
  op = (vtkCellLocatorInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAbstractCellLocator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractCellLocator");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkCellLocatorInterpolatedVelocityField::SetCellLocatorPrototype(temp0);
      }
    else
      {
      op->SetCellLocatorPrototype(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkCellLocatorInterpolatedVelocityField_CopyParameters(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellLocatorInterpolatedVelocityField *op;

  vtkAbstractInterpolatedVelocityField  *temp0;
  PyObject *tempH0;
  op = (vtkCellLocatorInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAbstractInterpolatedVelocityField *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractInterpolatedVelocityField");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkCellLocatorInterpolatedVelocityField::CopyParameters(temp0);
      }
    else
      {
      op->CopyParameters(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkCellLocatorInterpolatedVelocityField_AddDataSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellLocatorInterpolatedVelocityField *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  op = (vtkCellLocatorInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkCellLocatorInterpolatedVelocityField::AddDataSet(temp0);
      }
    else
      {
      op->AddDataSet(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkCellLocatorInterpolatedVelocityField_SetLastCellId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellLocatorInterpolatedVelocityField *op;

  vtkIdType   temp0;
  int      temp1;
  op = (vtkCellLocatorInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"Li", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellLocatorInterpolatedVelocityField::SetLastCellId(temp0,temp1);
      }
    else
      {
      op->SetLastCellId(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkCellLocatorInterpolatedVelocityField *op;

  vtkIdType   temp0;
  PyErr_Clear();
  op = (vtkCellLocatorInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellLocatorInterpolatedVelocityField::SetLastCellId(temp0);
      }
    else
      {
      op->SetLastCellId(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCellLocatorInterpolatedVelocityFieldMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCellLocatorInterpolatedVelocityField_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCellLocatorInterpolatedVelocityField_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCellLocatorInterpolatedVelocityField_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCellLocatorInterpolatedVelocityField\nC++: vtkCellLocatorInterpolatedVelocityField *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCellLocatorInterpolatedVelocityField_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCellLocatorInterpolatedVelocityField\nC++: vtkCellLocatorInterpolatedVelocityField *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetLastCellLocator",                (PyCFunction)PyvtkCellLocatorInterpolatedVelocityField_GetLastCellLocator, 1,
   (char*)"V.GetLastCellLocator() -> vtkAbstractCellLocator\nC++: vtkAbstractCellLocator *GetLastCellLocator ();\n\n Get the cell locator attached to the most recently visited dataset.\n"},
  {(char*)"GetCellLocatorPrototype",                (PyCFunction)PyvtkCellLocatorInterpolatedVelocityField_GetCellLocatorPrototype, 1,
   (char*)"V.GetCellLocatorPrototype() -> vtkAbstractCellLocator\nC++: vtkAbstractCellLocator *GetCellLocatorPrototype ();\n\n Get the prototype of the cell locator that is used for interpolating the\n velocity field during integration.\n"},
  {(char*)"SetCellLocatorPrototype",                (PyCFunction)PyvtkCellLocatorInterpolatedVelocityField_SetCellLocatorPrototype, 1,
   (char*)"V.SetCellLocatorPrototype(vtkAbstractCellLocator)\nC++: void SetCellLocatorPrototype (vtkAbstractCellLocator *prototype);\n\n Set a prototype of the cell locator that is used for interpolating the \n velocity field during integration.\n"},
  {(char*)"CopyParameters",                (PyCFunction)PyvtkCellLocatorInterpolatedVelocityField_CopyParameters, 1,
   (char*)"V.CopyParameters(vtkAbstractInterpolatedVelocityField)\nC++: virtual void CopyParameters (vtkAbstractInterpolatedVelocityField *from);\n\n Import parameters. Sub-classes can add more after chaining.\n"},
  {(char*)"AddDataSet",                (PyCFunction)PyvtkCellLocatorInterpolatedVelocityField_AddDataSet, 1,
   (char*)"V.AddDataSet(vtkDataSet)\nC++: virtual void AddDataSet (vtkDataSet *dataset);\n\n Add a dataset coupled with a cell locator (of type vtkAbstractCellLocator)\n for vector function evaluation. Note the use of a vtkAbstractCellLocator \n enables robust cell location. If more than one dataset is added, the \n evaluation point is searched in all until a match is found. THIS FUNCTION\n DOES NOT CHANGE THE REFERENCE COUNT OF dataset FOR THREAD SAFETY REASONS.\n"},
  {(char*)"SetLastCellId",                (PyCFunction)PyvtkCellLocatorInterpolatedVelocityField_SetLastCellId, 1,
   (char*)"V.SetLastCellId(int, int)\nC++: virtual void SetLastCellId (vtkIdType c, int dataindex);\nV.SetLastCellId(int)\nC++: virtual void SetLastCellId (vtkIdType c);this Superclass SetLastCellId c \n\n Set the cell id cached by the last evaluation within a specified dataset.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCellLocatorInterpolatedVelocityFieldDoc[] = {
  (char*)"vtkCellLocatorInterpolatedVelocityField - A concrete class for \n\n",
  "Super Class:\n\n vtkAbstractInterpolatedVelocityField\n\n",
  (char*)"  vtkCellLocatorInterpolatedVelocityField acts as a continuous velocity \n  field via cell interpolation on a vtkDataSet, NumberOfIndependentVariables\n  = 4 (x,y,z,t) and NumberOfFunctions = 3 (u,v,w). As a concrete sub-class\n  of vtkAbstractInterpolatedVelocityField, it adopts vtkAbstractCellLocator's \n  sub-classes, e.g., vtkCellLocator and vtkModifiedBSPTree, without the use\n  of vtkPointLocator",
  (char*)" ( employed by vtkDataSet/vtkPointSet::FindCell() in \n  vtkInterpolatedVelocityField ). vtkCellLocatorInterpolatedVelocityField \n  adopts one level of cell caching. Specifically, if the next point is still \n  within the previous cell, cell location is then simply skipped and vtkCell::\n  EvaluatePosition() is called to obtain the new parametric coordinates and \n  weights that are used to interpolat",
  (char*)"e the velocity function values across the\n  vertices of this cell. Otherwise a global cell (the target containing the next\n  point) location is instead directly invoked, without exploiting the clue that\n  vtkInterpolatedVelocityField makes use of from the previous cell (an immediate\n  neighbor). Although ignoring the neighbor cell may incur a relatively high \n  computational cost, vtkCellLocatorIn",
  (char*)"terpolatedVelocityField is more robust in\n  locating the target cell than its sibling class vtkInterpolatedVelocityField.\n\n",
  "Caveats:\n\n  vtkCellLocatorInterpolatedVelocityField is not thread safe. A new instance \n  should be created by each thread.\n\n",
  "See Also:\n\n vtkAbstractInterpolatedVelocityField vtkInterpolatedVelocityField\n vtkGenericInterpolatedVelocityField vtkCachingInterpolatedVelocityField\n vtkTemporalInterpolatedVelocityField vtkFunctionSet vtkStreamer vtkStreamTracer\n\n",
  NULL
};

static vtkObjectBase *vtkCellLocatorInterpolatedVelocityFieldStaticNew()
{
  return vtkCellLocatorInterpolatedVelocityField::New();
}

PyObject *PyVTKClass_vtkCellLocatorInterpolatedVelocityFieldNew(char *modulename)
{
  return PyVTKClass_New(&vtkCellLocatorInterpolatedVelocityFieldStaticNew,
                        PyvtkCellLocatorInterpolatedVelocityFieldMethods,
                        (char*)"vtkCellLocatorInterpolatedVelocityField",modulename,
                        (char**)vtkCellLocatorInterpolatedVelocityFieldDoc,
                        PyVTKClass_vtkAbstractInterpolatedVelocityFieldNew(modulename));
}

