// java wrapper for vtkGraphInternals object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGraphInternals.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGraphInternals_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGraphInternals",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGraphInternals_VTKInit(JNIEnv *, jobject)
{
  vtkGraphInternals *aNewOne = vtkGraphInternals::New();
  return (jlong)(size_t)(void*)aNewOne;
}
