// python wrapper for vtkCompassRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCompassRepresentation.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCompassRepresentationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCompassRepresentationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkContinuousValueWidgetRepresentationNew(char *); }

static PyObject *PyvtkCompassRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompassRepresentation *op;

  const char    *temp20;
  op = (vtkCompassRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompassRepresentation::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCompassRepresentation_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompassRepresentation *op;

  char    *temp0;
  int      temp20;
  op = (vtkCompassRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompassRepresentation::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompassRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompassRepresentation *op;

  vtkCompassRepresentation  *temp20;
  op = (vtkCompassRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompassRepresentation::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompassRepresentation_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCompassRepresentation  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCompassRepresentation::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCompassRepresentation_GetPoint1Coordinate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompassRepresentation *op;

  vtkCoordinate  *temp20;
  op = (vtkCompassRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompassRepresentation::GetPoint1Coordinate();
      }
    else
      {
      temp20 = op->GetPoint1Coordinate();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompassRepresentation_GetPoint2Coordinate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompassRepresentation *op;

  vtkCoordinate  *temp20;
  op = (vtkCompassRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompassRepresentation::GetPoint2Coordinate();
      }
    else
      {
      temp20 = op->GetPoint2Coordinate();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompassRepresentation_GetRingProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompassRepresentation *op;

  vtkProperty2D  *temp20;
  op = (vtkCompassRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompassRepresentation::GetRingProperty();
      }
    else
      {
      temp20 = op->GetRingProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompassRepresentation_GetSelectedProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompassRepresentation *op;

  vtkProperty2D  *temp20;
  op = (vtkCompassRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompassRepresentation::GetSelectedProperty();
      }
    else
      {
      temp20 = op->GetSelectedProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompassRepresentation_GetLabelProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompassRepresentation *op;

  vtkTextProperty  *temp20;
  op = (vtkCompassRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompassRepresentation::GetLabelProperty();
      }
    else
      {
      temp20 = op->GetLabelProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompassRepresentation_PlaceWidget(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompassRepresentation *op;

  double temp0[6];
  op = (vtkCompassRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCompassRepresentation::PlaceWidget(temp0);
      }
    else
      {
      op->PlaceWidget(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCompassRepresentation_BuildRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompassRepresentation *op;

  op = (vtkCompassRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCompassRepresentation::BuildRepresentation();
      }
    else
      {
      op->BuildRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCompassRepresentation_StartWidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompassRepresentation *op;

  double temp0[2];
  op = (vtkCompassRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCompassRepresentation::StartWidgetInteraction(temp0);
      }
    else
      {
      op->StartWidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCompassRepresentation_WidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompassRepresentation *op;

  double temp0[2];
  op = (vtkCompassRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCompassRepresentation::WidgetInteraction(temp0);
      }
    else
      {
      op->WidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCompassRepresentation_TiltWidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompassRepresentation *op;

  double temp0[2];
  op = (vtkCompassRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCompassRepresentation::TiltWidgetInteraction(temp0);
      }
    else
      {
      op->TiltWidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCompassRepresentation_DistanceWidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompassRepresentation *op;

  double temp0[2];
  op = (vtkCompassRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCompassRepresentation::DistanceWidgetInteraction(temp0);
      }
    else
      {
      op->DistanceWidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCompassRepresentation_ComputeInteractionState(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompassRepresentation *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  op = (vtkCompassRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompassRepresentation::ComputeInteractionState(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->ComputeInteractionState(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompassRepresentation_Highlight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompassRepresentation *op;

  int      temp0;
  op = (vtkCompassRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCompassRepresentation::Highlight(temp0);
      }
    else
      {
      op->Highlight(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCompassRepresentation_GetActors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompassRepresentation *op;

  vtkPropCollection  *temp0;
  PyObject *tempH0;
  op = (vtkCompassRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPropCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPropCollection");
    if (!temp0 && tempH0 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      op->vtkCompassRepresentation::GetActors(temp0);
      }
    else
      {
      op->GetActors(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break17:
  return NULL;
}


static PyObject *PyvtkCompassRepresentation_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompassRepresentation *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkCompassRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      op->vtkCompassRepresentation::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break18:
  return NULL;
}


static PyObject *PyvtkCompassRepresentation_RenderOverlay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompassRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkCompassRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break19;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompassRepresentation::RenderOverlay(temp0);
      }
    else
      {
      temp20 = op->RenderOverlay(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break19:
  return NULL;
}


static PyObject *PyvtkCompassRepresentation_RenderOpaqueGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompassRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkCompassRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break20;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompassRepresentation::RenderOpaqueGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderOpaqueGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break20:
  return NULL;
}


static PyObject *PyvtkCompassRepresentation_SetHeading(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompassRepresentation *op;

  double   temp0;
  op = (vtkCompassRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCompassRepresentation::SetHeading(temp0);
      }
    else
      {
      op->SetHeading(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCompassRepresentation_GetHeading(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompassRepresentation *op;

  double   temp20;
  op = (vtkCompassRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompassRepresentation::GetHeading();
      }
    else
      {
      temp20 = op->GetHeading();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompassRepresentation_SetTilt(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompassRepresentation *op;

  double   temp0;
  op = (vtkCompassRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCompassRepresentation::SetTilt(temp0);
      }
    else
      {
      op->SetTilt(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCompassRepresentation_GetTilt(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompassRepresentation *op;

  double   temp20;
  op = (vtkCompassRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompassRepresentation::GetTilt();
      }
    else
      {
      temp20 = op->GetTilt();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompassRepresentation_UpdateTilt(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompassRepresentation *op;

  double   temp0;
  op = (vtkCompassRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCompassRepresentation::UpdateTilt(temp0);
      }
    else
      {
      op->UpdateTilt(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCompassRepresentation_EndTilt(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompassRepresentation *op;

  op = (vtkCompassRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCompassRepresentation::EndTilt();
      }
    else
      {
      op->EndTilt();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCompassRepresentation_SetDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompassRepresentation *op;

  double   temp0;
  op = (vtkCompassRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCompassRepresentation::SetDistance(temp0);
      }
    else
      {
      op->SetDistance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCompassRepresentation_GetDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompassRepresentation *op;

  double   temp20;
  op = (vtkCompassRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompassRepresentation::GetDistance();
      }
    else
      {
      temp20 = op->GetDistance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompassRepresentation_UpdateDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompassRepresentation *op;

  double   temp0;
  op = (vtkCompassRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCompassRepresentation::UpdateDistance(temp0);
      }
    else
      {
      op->UpdateDistance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCompassRepresentation_EndDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompassRepresentation *op;

  op = (vtkCompassRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCompassRepresentation::EndDistance();
      }
    else
      {
      op->EndDistance();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCompassRepresentation_SetRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompassRepresentation *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  op = (vtkCompassRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break31;
    if (PyVTKClass_Check(self))
      {
      op->vtkCompassRepresentation::SetRenderer(temp0);
      }
    else
      {
      op->SetRenderer(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break31:
  return NULL;
}

static PyMethodDef PyvtkCompassRepresentationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCompassRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for the class.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCompassRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for the class.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCompassRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCompassRepresentation\nC++: vtkCompassRepresentation *NewInstance ();\n\n Standard methods for the class.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCompassRepresentation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCompassRepresentation\nC++: vtkCompassRepresentation *SafeDownCast (vtkObject* o);\n\n Standard methods for the class.\n"},
  {(char*)"GetPoint1Coordinate",                (PyCFunction)PyvtkCompassRepresentation_GetPoint1Coordinate, 1,
   (char*)"V.GetPoint1Coordinate() -> vtkCoordinate\nC++: vtkCoordinate *GetPoint1Coordinate ();\n\n Position the first end point of the slider. Note that this point is an\n instance of vtkCoordinate, meaning that Point 1 can be specified in a\n variety of coordinate systems, and can even be relative to another\n point. To set the point, you'll want to get the Point1Coordinate and\n then invoke the necessary methods to put it into the correct coordinate\n system and set the correct initial value.\n"},
  {(char*)"GetPoint2Coordinate",                (PyCFunction)PyvtkCompassRepresentation_GetPoint2Coordinate, 1,
   (char*)"V.GetPoint2Coordinate() -> vtkCoordinate\nC++: vtkCoordinate *GetPoint2Coordinate ();\n\n Position the second end point of the slider. Note that this point is an\n instance of vtkCoordinate, meaning that Point 1 can be specified in a\n variety of coordinate systems, and can even be relative to another\n point. To set the point, you'll want to get the Point2Coordinate and\n then invoke the necessary methods to put it into the correct coordinate\n system and set the correct initial value.\n"},
  {(char*)"GetRingProperty",                (PyCFunction)PyvtkCompassRepresentation_GetRingProperty, 1,
   (char*)"V.GetRingProperty() -> vtkProperty2D\nC++: vtkProperty2D *GetRingProperty ();\n\n Get the slider properties. The properties of the slider when selected \n and unselected can be manipulated.\n"},
  {(char*)"GetSelectedProperty",                (PyCFunction)PyvtkCompassRepresentation_GetSelectedProperty, 1,
   (char*)"V.GetSelectedProperty() -> vtkProperty2D\nC++: vtkProperty2D *GetSelectedProperty ();\n\n Get the selection property. This property is used to modify the\n appearance of selected objects (e.g., the slider).\n"},
  {(char*)"GetLabelProperty",                (PyCFunction)PyvtkCompassRepresentation_GetLabelProperty, 1,
   (char*)"V.GetLabelProperty() -> vtkTextProperty\nC++: vtkTextProperty *GetLabelProperty ();\n\n Set/Get the properties for the label and title text.\n"},
  {(char*)"PlaceWidget",                (PyCFunction)PyvtkCompassRepresentation_PlaceWidget, 1,
   (char*)"V.PlaceWidget((float, float, float, float, float, float))\nC++: virtual void PlaceWidget (double bounds[6]);\n\n Methods to interface with the vtkSliderWidget. The PlaceWidget() method\n assumes that the parameter bounds[6] specifies the location in display\n space where the widget should be placed.\n"},
  {(char*)"BuildRepresentation",                (PyCFunction)PyvtkCompassRepresentation_BuildRepresentation, 1,
   (char*)"V.BuildRepresentation()\nC++: virtual void BuildRepresentation ();\n\n Methods to interface with the vtkSliderWidget. The PlaceWidget() method\n assumes that the parameter bounds[6] specifies the location in display\n space where the widget should be placed.\n"},
  {(char*)"StartWidgetInteraction",                (PyCFunction)PyvtkCompassRepresentation_StartWidgetInteraction, 1,
   (char*)"V.StartWidgetInteraction((float, float))\nC++: virtual void StartWidgetInteraction (double eventPos[2]);\n\n Methods to interface with the vtkSliderWidget. The PlaceWidget() method\n assumes that the parameter bounds[6] specifies the location in display\n space where the widget should be placed.\n"},
  {(char*)"WidgetInteraction",                (PyCFunction)PyvtkCompassRepresentation_WidgetInteraction, 1,
   (char*)"V.WidgetInteraction((float, float))\nC++: virtual void WidgetInteraction (double eventPos[2]);\n\n Methods to interface with the vtkSliderWidget. The PlaceWidget() method\n assumes that the parameter bounds[6] specifies the location in display\n space where the widget should be placed.\n"},
  {(char*)"TiltWidgetInteraction",                (PyCFunction)PyvtkCompassRepresentation_TiltWidgetInteraction, 1,
   (char*)"V.TiltWidgetInteraction((float, float))\nC++: virtual void TiltWidgetInteraction (double eventPos[2]);\n\n Methods to interface with the vtkSliderWidget. The PlaceWidget() method\n assumes that the parameter bounds[6] specifies the location in display\n space where the widget should be placed.\n"},
  {(char*)"DistanceWidgetInteraction",                (PyCFunction)PyvtkCompassRepresentation_DistanceWidgetInteraction, 1,
   (char*)"V.DistanceWidgetInteraction((float, float))\nC++: virtual void DistanceWidgetInteraction (double eventPos[2]);\n\n Methods to interface with the vtkSliderWidget. The PlaceWidget() method\n assumes that the parameter bounds[6] specifies the location in display\n space where the widget should be placed.\n"},
  {(char*)"ComputeInteractionState",                (PyCFunction)PyvtkCompassRepresentation_ComputeInteractionState, 1,
   (char*)"V.ComputeInteractionState(int, int, int) -> int\nC++: virtual int ComputeInteractionState (int X, int Y, int modify);\n\n Methods to interface with the vtkSliderWidget. The PlaceWidget() method\n assumes that the parameter bounds[6] specifies the location in display\n space where the widget should be placed.\n"},
  {(char*)"Highlight",                (PyCFunction)PyvtkCompassRepresentation_Highlight, 1,
   (char*)"V.Highlight(int)\nC++: virtual void Highlight (int );\n\n Methods to interface with the vtkSliderWidget. The PlaceWidget() method\n assumes that the parameter bounds[6] specifies the location in display\n space where the widget should be placed.\n"},
  {(char*)"GetActors",                (PyCFunction)PyvtkCompassRepresentation_GetActors, 1,
   (char*)"V.GetActors(vtkPropCollection)\nC++: virtual void GetActors (vtkPropCollection *);\n\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkCompassRepresentation_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *);\n\n"},
  {(char*)"RenderOverlay",                (PyCFunction)PyvtkCompassRepresentation_RenderOverlay, 1,
   (char*)"V.RenderOverlay(vtkViewport) -> int\nC++: virtual int RenderOverlay (vtkViewport *);\n\n"},
  {(char*)"RenderOpaqueGeometry",                (PyCFunction)PyvtkCompassRepresentation_RenderOpaqueGeometry, 1,
   (char*)"V.RenderOpaqueGeometry(vtkViewport) -> int\nC++: virtual int RenderOpaqueGeometry (vtkViewport *);\n\n"},
  {(char*)"SetHeading",                (PyCFunction)PyvtkCompassRepresentation_SetHeading, 1,
   (char*)"V.SetHeading(float)\nC++: virtual void SetHeading (double value);\n\n"},
  {(char*)"GetHeading",                (PyCFunction)PyvtkCompassRepresentation_GetHeading, 1,
   (char*)"V.GetHeading() -> float\nC++: virtual double GetHeading ();\n\n"},
  {(char*)"SetTilt",                (PyCFunction)PyvtkCompassRepresentation_SetTilt, 1,
   (char*)"V.SetTilt(float)\nC++: virtual void SetTilt (double value);\n\n"},
  {(char*)"GetTilt",                (PyCFunction)PyvtkCompassRepresentation_GetTilt, 1,
   (char*)"V.GetTilt() -> float\nC++: virtual double GetTilt ();\n\n"},
  {(char*)"UpdateTilt",                (PyCFunction)PyvtkCompassRepresentation_UpdateTilt, 1,
   (char*)"V.UpdateTilt(float)\nC++: virtual void UpdateTilt (double time);\n\n"},
  {(char*)"EndTilt",                (PyCFunction)PyvtkCompassRepresentation_EndTilt, 1,
   (char*)"V.EndTilt()\nC++: virtual void EndTilt ();\n\n"},
  {(char*)"SetDistance",                (PyCFunction)PyvtkCompassRepresentation_SetDistance, 1,
   (char*)"V.SetDistance(float)\nC++: virtual void SetDistance (double value);\n\n"},
  {(char*)"GetDistance",                (PyCFunction)PyvtkCompassRepresentation_GetDistance, 1,
   (char*)"V.GetDistance() -> float\nC++: virtual double GetDistance ();\n\n"},
  {(char*)"UpdateDistance",                (PyCFunction)PyvtkCompassRepresentation_UpdateDistance, 1,
   (char*)"V.UpdateDistance(float)\nC++: virtual void UpdateDistance (double time);\n\n"},
  {(char*)"EndDistance",                (PyCFunction)PyvtkCompassRepresentation_EndDistance, 1,
   (char*)"V.EndDistance()\nC++: virtual void EndDistance ();\n\n"},
  {(char*)"SetRenderer",                (PyCFunction)PyvtkCompassRepresentation_SetRenderer, 1,
   (char*)"V.SetRenderer(vtkRenderer)\nC++: virtual void SetRenderer (vtkRenderer *ren);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCompassRepresentationDoc[] = {
  (char*)"vtkCompassRepresentation - provide a compass\n\n",
  "Super Class:\n\n vtkContinuousValueWidgetRepresentation\n\n",
  (char*)" This class is used to represent and render a compass.  \n\n",
  NULL
};

static vtkObjectBase *vtkCompassRepresentationStaticNew()
{
  return vtkCompassRepresentation::New();
}

PyObject *PyVTKClass_vtkCompassRepresentationNew(char *modulename)
{
  return PyVTKClass_New(&vtkCompassRepresentationStaticNew,
                        PyvtkCompassRepresentationMethods,
                        (char*)"vtkCompassRepresentation",modulename,
                        (char**)vtkCompassRepresentationDoc,
                        PyVTKClass_vtkContinuousValueWidgetRepresentationNew(modulename));
}

