// python wrapper for vtkDijkstraImageGeodesicPath object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkDijkstraImageGeodesicPath.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDijkstraImageGeodesicPathNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDijkstraImageGeodesicPathNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDijkstraGraphGeodesicPathNew(char *); }

static PyObject *PyvtkDijkstraImageGeodesicPath_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDijkstraImageGeodesicPath *op;

  const char    *temp20;
  op = (vtkDijkstraImageGeodesicPath *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDijkstraImageGeodesicPath::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDijkstraImageGeodesicPath_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDijkstraImageGeodesicPath *op;

  char    *temp0;
  int      temp20;
  op = (vtkDijkstraImageGeodesicPath *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDijkstraImageGeodesicPath::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDijkstraImageGeodesicPath_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDijkstraImageGeodesicPath *op;

  vtkDijkstraImageGeodesicPath  *temp20;
  op = (vtkDijkstraImageGeodesicPath *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDijkstraImageGeodesicPath::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDijkstraImageGeodesicPath_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDijkstraImageGeodesicPath  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDijkstraImageGeodesicPath::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDijkstraImageGeodesicPath_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDijkstraImageGeodesicPath *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  op = (vtkDijkstraImageGeodesicPath *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkDijkstraImageGeodesicPath::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkDijkstraImageGeodesicPath_GetInputAsImageData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDijkstraImageGeodesicPath *op;

  vtkImageData  *temp20;
  op = (vtkDijkstraImageGeodesicPath *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDijkstraImageGeodesicPath::GetInputAsImageData();
      }
    else
      {
      temp20 = op->GetInputAsImageData();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDijkstraImageGeodesicPath_SetImageWeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDijkstraImageGeodesicPath *op;

  double   temp0;
  op = (vtkDijkstraImageGeodesicPath *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDijkstraImageGeodesicPath::SetImageWeight(temp0);
      }
    else
      {
      op->SetImageWeight(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDijkstraImageGeodesicPath_GetImageWeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDijkstraImageGeodesicPath *op;

  double   temp20;
  op = (vtkDijkstraImageGeodesicPath *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDijkstraImageGeodesicPath::GetImageWeight();
      }
    else
      {
      temp20 = op->GetImageWeight();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDijkstraImageGeodesicPath_SetEdgeLengthWeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDijkstraImageGeodesicPath *op;

  double   temp0;
  op = (vtkDijkstraImageGeodesicPath *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDijkstraImageGeodesicPath::SetEdgeLengthWeight(temp0);
      }
    else
      {
      op->SetEdgeLengthWeight(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDijkstraImageGeodesicPath_GetEdgeLengthWeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDijkstraImageGeodesicPath *op;

  double   temp20;
  op = (vtkDijkstraImageGeodesicPath *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDijkstraImageGeodesicPath::GetEdgeLengthWeight();
      }
    else
      {
      temp20 = op->GetEdgeLengthWeight();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDijkstraImageGeodesicPath_SetCurvatureWeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDijkstraImageGeodesicPath *op;

  double   temp0;
  op = (vtkDijkstraImageGeodesicPath *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDijkstraImageGeodesicPath::SetCurvatureWeight(temp0);
      }
    else
      {
      op->SetCurvatureWeight(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDijkstraImageGeodesicPath_GetCurvatureWeightMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDijkstraImageGeodesicPath *op;

  double   temp20;
  op = (vtkDijkstraImageGeodesicPath *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDijkstraImageGeodesicPath::GetCurvatureWeightMinValue();
      }
    else
      {
      temp20 = op->GetCurvatureWeightMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDijkstraImageGeodesicPath_GetCurvatureWeightMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDijkstraImageGeodesicPath *op;

  double   temp20;
  op = (vtkDijkstraImageGeodesicPath *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDijkstraImageGeodesicPath::GetCurvatureWeightMaxValue();
      }
    else
      {
      temp20 = op->GetCurvatureWeightMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDijkstraImageGeodesicPath_GetCurvatureWeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDijkstraImageGeodesicPath *op;

  double   temp20;
  op = (vtkDijkstraImageGeodesicPath *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDijkstraImageGeodesicPath::GetCurvatureWeight();
      }
    else
      {
      temp20 = op->GetCurvatureWeight();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDijkstraImageGeodesicPathMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDijkstraImageGeodesicPath_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methids for printing and determining type information.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDijkstraImageGeodesicPath_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methids for printing and determining type information.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDijkstraImageGeodesicPath_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDijkstraImageGeodesicPath\nC++: vtkDijkstraImageGeodesicPath *NewInstance ();\n\n Standard methids for printing and determining type information.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDijkstraImageGeodesicPath_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDijkstraImageGeodesicPath\nC++: vtkDijkstraImageGeodesicPath *SafeDownCast (vtkObject* o);\n\n Standard methids for printing and determining type information.\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkDijkstraImageGeodesicPath_SetInput, 1,
   (char*)"V.SetInput(vtkDataObject)\nC++: void SetInput (vtkDataObject *);\n\n Specify the image object which is used as a cost function.\n"},
  {(char*)"GetInputAsImageData",                (PyCFunction)PyvtkDijkstraImageGeodesicPath_GetInputAsImageData, 1,
   (char*)"V.GetInputAsImageData() -> vtkImageData\nC++: vtkImageData *GetInputAsImageData ();\n\n Specify the image object which is used as a cost function.\n"},
  {(char*)"SetImageWeight",                (PyCFunction)PyvtkDijkstraImageGeodesicPath_SetImageWeight, 1,
   (char*)"V.SetImageWeight(float)\nC++: void SetImageWeight (double );\n\n Image cost weight.\n"},
  {(char*)"GetImageWeight",                (PyCFunction)PyvtkDijkstraImageGeodesicPath_GetImageWeight, 1,
   (char*)"V.GetImageWeight() -> float\nC++: double GetImageWeight ();\n\n Image cost weight.\n"},
  {(char*)"SetEdgeLengthWeight",                (PyCFunction)PyvtkDijkstraImageGeodesicPath_SetEdgeLengthWeight, 1,
   (char*)"V.SetEdgeLengthWeight(float)\nC++: void SetEdgeLengthWeight (double );\n\n Edge length cost weight.\n"},
  {(char*)"GetEdgeLengthWeight",                (PyCFunction)PyvtkDijkstraImageGeodesicPath_GetEdgeLengthWeight, 1,
   (char*)"V.GetEdgeLengthWeight() -> float\nC++: double GetEdgeLengthWeight ();\n\n Edge length cost weight.\n"},
  {(char*)"SetCurvatureWeight",                (PyCFunction)PyvtkDijkstraImageGeodesicPath_SetCurvatureWeight, 1,
   (char*)"V.SetCurvatureWeight(float)\nC++: void SetCurvatureWeight (double );\n\n Curvature cost weight.\n"},
  {(char*)"GetCurvatureWeightMinValue",                (PyCFunction)PyvtkDijkstraImageGeodesicPath_GetCurvatureWeightMinValue, 1,
   (char*)"V.GetCurvatureWeightMinValue() -> float\nC++: double GetCurvatureWeightMinValue ();\n\n Curvature cost weight.\n"},
  {(char*)"GetCurvatureWeightMaxValue",                (PyCFunction)PyvtkDijkstraImageGeodesicPath_GetCurvatureWeightMaxValue, 1,
   (char*)"V.GetCurvatureWeightMaxValue() -> float\nC++: double GetCurvatureWeightMaxValue ();\n\n Curvature cost weight.\n"},
  {(char*)"GetCurvatureWeight",                (PyCFunction)PyvtkDijkstraImageGeodesicPath_GetCurvatureWeight, 1,
   (char*)"V.GetCurvatureWeight() -> float\nC++: double GetCurvatureWeight ();\n\n Curvature cost weight.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDijkstraImageGeodesicPathDoc[] = {
  (char*)"vtkDijkstraImageGeodesicPath - Dijkstra algorithm to compute the graph geodesic.\n\n",
  "Super Class:\n\n vtkDijkstraGraphGeodesicPath\n\n",
  (char*)" Takes as input a polyline and an image representing a 2D cost function\n and performs a single source shortest path calculation. \n Dijkstra's algorithm is used. The implementation is \n similar to the one described in Introduction to Algorithms (Second Edition)\n by Thomas H. Cormen, Charles E. Leiserson, Ronald L. Rivest, and \n Cliff Stein, published by MIT Press and McGraw-Hill. Some minor \n enhan",
  (char*)"cement are added though. All vertices are not pushed on the heap\n at start, instead a front set is maintained. The heap is implemented as \n a binary heap. The output of the filter is a set of lines describing \n the shortest path from StartVertex to EndVertex.  See parent class\n vtkDijkstraGraphGeodesicPath for the implementation.\n\n\n",
  "Caveats:\n\n The input cost image must have only VTK_PIXEL cells: i.e., a 2D image or \n slice of a 3D volume. A cost function for a gray scale image might \n be generated by the following pipeline:\n vtkImageData->vtkImageGradientMagnitude->vtkImageShiftScale\n wherein the gradient magnitude image is inverted so that strong edges\n have low cost value.  Costs in moving from a vertex v to a vertex u\n are calculated using a weighted additive sheme:\n cost = Iw*f(I) + Ew*f(u,v) + Cw*f(t, ...\n [Truncated]\n\n",
  NULL
};

static vtkObjectBase *vtkDijkstraImageGeodesicPathStaticNew()
{
  return vtkDijkstraImageGeodesicPath::New();
}

PyObject *PyVTKClass_vtkDijkstraImageGeodesicPathNew(char *modulename)
{
  return PyVTKClass_New(&vtkDijkstraImageGeodesicPathStaticNew,
                        PyvtkDijkstraImageGeodesicPathMethods,
                        (char*)"vtkDijkstraImageGeodesicPath",modulename,
                        (char**)vtkDijkstraImageGeodesicPathDoc,
                        PyVTKClass_vtkDijkstraGraphGeodesicPathNew(modulename));
}

