// python wrapper for vtkBivariateLinearTableThreshold object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkBivariateLinearTableThreshold.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBivariateLinearTableThresholdNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBivariateLinearTableThresholdNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTableAlgorithmNew(char *); }

static PyObject *PyvtkBivariateLinearTableThreshold_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBivariateLinearTableThreshold *op;

  const char    *temp20;
  op = (vtkBivariateLinearTableThreshold *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBivariateLinearTableThreshold::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBivariateLinearTableThreshold_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBivariateLinearTableThreshold *op;

  char    *temp0;
  int      temp20;
  op = (vtkBivariateLinearTableThreshold *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBivariateLinearTableThreshold::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBivariateLinearTableThreshold_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBivariateLinearTableThreshold *op;

  vtkBivariateLinearTableThreshold  *temp20;
  op = (vtkBivariateLinearTableThreshold *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBivariateLinearTableThreshold::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBivariateLinearTableThreshold_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkBivariateLinearTableThreshold  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkBivariateLinearTableThreshold::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkBivariateLinearTableThreshold_SetInclusive(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBivariateLinearTableThreshold *op;

  int      temp0;
  op = (vtkBivariateLinearTableThreshold *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBivariateLinearTableThreshold::SetInclusive(temp0);
      }
    else
      {
      op->SetInclusive(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBivariateLinearTableThreshold_GetInclusive(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBivariateLinearTableThreshold *op;

  int      temp20;
  op = (vtkBivariateLinearTableThreshold *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBivariateLinearTableThreshold::GetInclusive();
      }
    else
      {
      temp20 = op->GetInclusive();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBivariateLinearTableThreshold_AddColumnToThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBivariateLinearTableThreshold *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  op = (vtkBivariateLinearTableThreshold *)PyArg_VTKParseTuple(self, args, (char*)"LL", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBivariateLinearTableThreshold::AddColumnToThreshold(temp0,temp1);
      }
    else
      {
      op->AddColumnToThreshold(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBivariateLinearTableThreshold_GetNumberOfColumnsToThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBivariateLinearTableThreshold *op;

  int      temp20;
  op = (vtkBivariateLinearTableThreshold *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBivariateLinearTableThreshold::GetNumberOfColumnsToThreshold();
      }
    else
      {
      temp20 = op->GetNumberOfColumnsToThreshold();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBivariateLinearTableThreshold_ClearColumnsToThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBivariateLinearTableThreshold *op;

  op = (vtkBivariateLinearTableThreshold *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBivariateLinearTableThreshold::ClearColumnsToThreshold();
      }
    else
      {
      op->ClearColumnsToThreshold();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBivariateLinearTableThreshold_GetSelectedRowIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBivariateLinearTableThreshold *op;

  int      temp0;
  vtkIdTypeArray  *temp20;
  op = (vtkBivariateLinearTableThreshold *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBivariateLinearTableThreshold::GetSelectedRowIds(temp0);
      }
    else
      {
      temp20 = op->GetSelectedRowIds(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBivariateLinearTableThreshold_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBivariateLinearTableThreshold *op;

  op = (vtkBivariateLinearTableThreshold *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBivariateLinearTableThreshold::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBivariateLinearTableThreshold_AddLineEquation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBivariateLinearTableThreshold *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkBivariateLinearTableThreshold *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBivariateLinearTableThreshold::AddLineEquation(temp0,temp1,temp2);
      }
    else
      {
      op->AddLineEquation(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBivariateLinearTableThreshold_ClearLineEquations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBivariateLinearTableThreshold *op;

  op = (vtkBivariateLinearTableThreshold *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBivariateLinearTableThreshold::ClearLineEquations();
      }
    else
      {
      op->ClearLineEquations();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBivariateLinearTableThreshold_GetLinearThresholdType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBivariateLinearTableThreshold *op;

  int      temp20;
  op = (vtkBivariateLinearTableThreshold *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBivariateLinearTableThreshold::GetLinearThresholdType();
      }
    else
      {
      temp20 = op->GetLinearThresholdType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBivariateLinearTableThreshold_SetLinearThresholdType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBivariateLinearTableThreshold *op;

  int      temp0;
  op = (vtkBivariateLinearTableThreshold *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBivariateLinearTableThreshold::SetLinearThresholdType(temp0);
      }
    else
      {
      op->SetLinearThresholdType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBivariateLinearTableThreshold_SetLinearThresholdTypeToAbove(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBivariateLinearTableThreshold *op;

  op = (vtkBivariateLinearTableThreshold *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBivariateLinearTableThreshold::SetLinearThresholdTypeToAbove();
      }
    else
      {
      op->SetLinearThresholdTypeToAbove();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBivariateLinearTableThreshold_SetLinearThresholdTypeToBelow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBivariateLinearTableThreshold *op;

  op = (vtkBivariateLinearTableThreshold *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBivariateLinearTableThreshold::SetLinearThresholdTypeToBelow();
      }
    else
      {
      op->SetLinearThresholdTypeToBelow();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBivariateLinearTableThreshold_SetLinearThresholdTypeToNear(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBivariateLinearTableThreshold *op;

  op = (vtkBivariateLinearTableThreshold *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBivariateLinearTableThreshold::SetLinearThresholdTypeToNear();
      }
    else
      {
      op->SetLinearThresholdTypeToNear();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBivariateLinearTableThreshold_SetLinearThresholdTypeToBetween(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBivariateLinearTableThreshold *op;

  op = (vtkBivariateLinearTableThreshold *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBivariateLinearTableThreshold::SetLinearThresholdTypeToBetween();
      }
    else
      {
      op->SetLinearThresholdTypeToBetween();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBivariateLinearTableThreshold_SetColumnRanges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBivariateLinearTableThreshold *op;

  double   temp0;
  double   temp1;
  op = (vtkBivariateLinearTableThreshold *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBivariateLinearTableThreshold::SetColumnRanges(temp0,temp1);
      }
    else
      {
      op->SetColumnRanges(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkBivariateLinearTableThreshold *op;

  double temp0[2];
  PyErr_Clear();
  op = (vtkBivariateLinearTableThreshold *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBivariateLinearTableThreshold::SetColumnRanges(temp0);
      }
    else
      {
      op->SetColumnRanges(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBivariateLinearTableThreshold_GetColumnRanges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBivariateLinearTableThreshold *op;

  double  *temp20;
  op = (vtkBivariateLinearTableThreshold *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBivariateLinearTableThreshold::GetColumnRanges();
      }
    else
      {
      temp20 = op->GetColumnRanges();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBivariateLinearTableThreshold_SetDistanceThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBivariateLinearTableThreshold *op;

  double   temp0;
  op = (vtkBivariateLinearTableThreshold *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBivariateLinearTableThreshold::SetDistanceThreshold(temp0);
      }
    else
      {
      op->SetDistanceThreshold(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBivariateLinearTableThreshold_GetDistanceThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBivariateLinearTableThreshold *op;

  double   temp20;
  op = (vtkBivariateLinearTableThreshold *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBivariateLinearTableThreshold::GetDistanceThreshold();
      }
    else
      {
      temp20 = op->GetDistanceThreshold();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBivariateLinearTableThreshold_SetUseNormalizedDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBivariateLinearTableThreshold *op;

  int      temp0;
  op = (vtkBivariateLinearTableThreshold *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBivariateLinearTableThreshold::SetUseNormalizedDistance(temp0);
      }
    else
      {
      op->SetUseNormalizedDistance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBivariateLinearTableThreshold_GetUseNormalizedDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBivariateLinearTableThreshold *op;

  int      temp20;
  op = (vtkBivariateLinearTableThreshold *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBivariateLinearTableThreshold::GetUseNormalizedDistance();
      }
    else
      {
      temp20 = op->GetUseNormalizedDistance();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBivariateLinearTableThreshold_UseNormalizedDistanceOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBivariateLinearTableThreshold *op;

  op = (vtkBivariateLinearTableThreshold *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBivariateLinearTableThreshold::UseNormalizedDistanceOn();
      }
    else
      {
      op->UseNormalizedDistanceOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBivariateLinearTableThreshold_UseNormalizedDistanceOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBivariateLinearTableThreshold *op;

  op = (vtkBivariateLinearTableThreshold *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBivariateLinearTableThreshold::UseNormalizedDistanceOff();
      }
    else
      {
      op->UseNormalizedDistanceOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkBivariateLinearTableThresholdMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkBivariateLinearTableThreshold_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkBivariateLinearTableThreshold_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkBivariateLinearTableThreshold_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBivariateLinearTableThreshold\nC++: vtkBivariateLinearTableThreshold *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkBivariateLinearTableThreshold_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBivariateLinearTableThreshold\nC++: vtkBivariateLinearTableThreshold *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetInclusive",                (PyCFunction)PyvtkBivariateLinearTableThreshold_SetInclusive, 1,
   (char*)"V.SetInclusive(int)\nC++: void SetInclusive (int );\n\n Include the line in the threshold.  Essentially whether the threshold operation\n uses > versus >=.\n"},
  {(char*)"GetInclusive",                (PyCFunction)PyvtkBivariateLinearTableThreshold_GetInclusive, 1,
   (char*)"V.GetInclusive() -> int\nC++: int GetInclusive ();\n\n Include the line in the threshold.  Essentially whether the threshold operation\n uses > versus >=.\n"},
  {(char*)"AddColumnToThreshold",                (PyCFunction)PyvtkBivariateLinearTableThreshold_AddColumnToThreshold, 1,
   (char*)"V.AddColumnToThreshold(int, int)\nC++: void AddColumnToThreshold (vtkIdType column, vtkIdType component);\n\n Add a numeric column to the pair of columns to be thresholded.  Call twice.\n"},
  {(char*)"GetNumberOfColumnsToThreshold",                (PyCFunction)PyvtkBivariateLinearTableThreshold_GetNumberOfColumnsToThreshold, 1,
   (char*)"V.GetNumberOfColumnsToThreshold() -> int\nC++: int GetNumberOfColumnsToThreshold ();\n\n Return how many columns have been added.  Hopefully 2.\n"},
  {(char*)"ClearColumnsToThreshold",                (PyCFunction)PyvtkBivariateLinearTableThreshold_ClearColumnsToThreshold, 1,
   (char*)"V.ClearColumnsToThreshold()\nC++: void ClearColumnsToThreshold ();\n\n Reset the columns to be thresholded.\n"},
  {(char*)"GetSelectedRowIds",                (PyCFunction)PyvtkBivariateLinearTableThreshold_GetSelectedRowIds, 1,
   (char*)"V.GetSelectedRowIds(int) -> vtkIdTypeArray\nC++: vtkIdTypeArray *GetSelectedRowIds (int selection);\n\n Get the output as a table of row ids.\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkBivariateLinearTableThreshold_Initialize, 1,
   (char*)"V.Initialize()\nC++: void Initialize ();\n\n Reset the columns to threshold, column ranges, etc.\n"},
  {(char*)"AddLineEquation",                (PyCFunction)PyvtkBivariateLinearTableThreshold_AddLineEquation, 1,
   (char*)"V.AddLineEquation(float, float, float)\nC++: void AddLineEquation (double a, double b, double c);\n\n Add a line for thresholding in implicit form (ax + by + c = 0)\n"},
  {(char*)"ClearLineEquations",                (PyCFunction)PyvtkBivariateLinearTableThreshold_ClearLineEquations, 1,
   (char*)"V.ClearLineEquations()\nC++: void ClearLineEquations ();\n\n Reset the list of line equations.\n"},
  {(char*)"GetLinearThresholdType",                (PyCFunction)PyvtkBivariateLinearTableThreshold_GetLinearThresholdType, 1,
   (char*)"V.GetLinearThresholdType() -> int\nC++: int GetLinearThresholdType ();\n\n Set the threshold type.  Above: find all rows that are above the specified\n lines.  Below: find all rows that are below the specified lines.  Near:\n find all rows that are near the specified lines.  Between: find all rows\n that are between the specified lines.\n"},
  {(char*)"SetLinearThresholdType",                (PyCFunction)PyvtkBivariateLinearTableThreshold_SetLinearThresholdType, 1,
   (char*)"V.SetLinearThresholdType(int)\nC++: void SetLinearThresholdType (int );\n\n Set the threshold type.  Above: find all rows that are above the specified\n lines.  Below: find all rows that are below the specified lines.  Near:\n find all rows that are near the specified lines.  Between: find all rows\n that are between the specified lines.\n"},
  {(char*)"SetLinearThresholdTypeToAbove",                (PyCFunction)PyvtkBivariateLinearTableThreshold_SetLinearThresholdTypeToAbove, 1,
   (char*)"V.SetLinearThresholdTypeToAbove()\nC++: void SetLinearThresholdTypeToAbove ();this SetLinearThresholdType vtkBivariateLinearTableThreshold BLT_ABOVE \n\n Set the threshold type.  Above: find all rows that are above the specified\n lines.  Below: find all rows that are below the specified lines.  Near:\n find all rows that are near the specified lines.  Between: find all rows\n that are between the specified lines.\n"},
  {(char*)"SetLinearThresholdTypeToBelow",                (PyCFunction)PyvtkBivariateLinearTableThreshold_SetLinearThresholdTypeToBelow, 1,
   (char*)"V.SetLinearThresholdTypeToBelow()\nC++: void SetLinearThresholdTypeToBelow ();this SetLinearThresholdType vtkBivariateLinearTableThreshold BLT_BELOW \n\n Set the threshold type.  Above: find all rows that are above the specified\n lines.  Below: find all rows that are below the specified lines.  Near:\n find all rows that are near the specified lines.  Between: find all rows\n that are between the specified lines.\n"},
  {(char*)"SetLinearThresholdTypeToNear",                (PyCFunction)PyvtkBivariateLinearTableThreshold_SetLinearThresholdTypeToNear, 1,
   (char*)"V.SetLinearThresholdTypeToNear()\nC++: void SetLinearThresholdTypeToNear ();this SetLinearThresholdType vtkBivariateLinearTableThreshold BLT_NEAR \n\n Set the threshold type.  Above: find all rows that are above the specified\n lines.  Below: find all rows that are below the specified lines.  Near:\n find all rows that are near the specified lines.  Between: find all rows\n that are between the specified lines.\n"},
  {(char*)"SetLinearThresholdTypeToBetween",                (PyCFunction)PyvtkBivariateLinearTableThreshold_SetLinearThresholdTypeToBetween, 1,
   (char*)"V.SetLinearThresholdTypeToBetween()\nC++: void SetLinearThresholdTypeToBetween ();this SetLinearThresholdType vtkBivariateLinearTableThreshold BLT_BETWEEN \n\n Manually access the maximum/minimum x,y values.  This is used in \n conjunction with UseNormalizedDistance when determining if a row\n passes the threshold.\n"},
  {(char*)"SetColumnRanges",                (PyCFunction)PyvtkBivariateLinearTableThreshold_SetColumnRanges, 1,
   (char*)"V.SetColumnRanges(float, float)\nC++: void SetColumnRanges (double , double );\nV.SetColumnRanges((float, float))\nC++: void SetColumnRanges (double  a[2]);\n\n Manually access the maximum/minimum x,y values.  This is used in \n conjunction with UseNormalizedDistance when determining if a row\n passes the threshold.\n"},
  {(char*)"GetColumnRanges",                (PyCFunction)PyvtkBivariateLinearTableThreshold_GetColumnRanges, 1,
   (char*)"V.GetColumnRanges() -> (float, float)\nC++: double  *GetColumnRanges ();\n\n Manually access the maximum/minimum x,y values.  This is used in \n conjunction with UseNormalizedDistance when determining if a row\n passes the threshold.\n"},
  {(char*)"SetDistanceThreshold",                (PyCFunction)PyvtkBivariateLinearTableThreshold_SetDistanceThreshold, 1,
   (char*)"V.SetDistanceThreshold(float)\nC++: void SetDistanceThreshold (double );\n\n The Cartesian distance within which a point will pass the near threshold.\n"},
  {(char*)"GetDistanceThreshold",                (PyCFunction)PyvtkBivariateLinearTableThreshold_GetDistanceThreshold, 1,
   (char*)"V.GetDistanceThreshold() -> float\nC++: double GetDistanceThreshold ();\n\n The Cartesian distance within which a point will pass the near threshold.\n"},
  {(char*)"SetUseNormalizedDistance",                (PyCFunction)PyvtkBivariateLinearTableThreshold_SetUseNormalizedDistance, 1,
   (char*)"V.SetUseNormalizedDistance(int)\nC++: void SetUseNormalizedDistance (int );\n\n Renormalize the space of the data such that the X and Y axes are\n \"square\" over the specified ColumnRanges.  This essentially scales\n the data space so that ColumnRanges[1]-ColumnRanges[0] = 1.0 and \n ColumnRanges[3]-ColumnRanges[2] = 1.0.  Used for scatter plot distance\n calculations.  Be sure to set DistanceThreshold accordingly, when used.\n"},
  {(char*)"GetUseNormalizedDistance",                (PyCFunction)PyvtkBivariateLinearTableThreshold_GetUseNormalizedDistance, 1,
   (char*)"V.GetUseNormalizedDistance() -> int\nC++: int GetUseNormalizedDistance ();\n\n Renormalize the space of the data such that the X and Y axes are\n \"square\" over the specified ColumnRanges.  This essentially scales\n the data space so that ColumnRanges[1]-ColumnRanges[0] = 1.0 and \n ColumnRanges[3]-ColumnRanges[2] = 1.0.  Used for scatter plot distance\n calculations.  Be sure to set DistanceThreshold accordingly, when used.\n"},
  {(char*)"UseNormalizedDistanceOn",                (PyCFunction)PyvtkBivariateLinearTableThreshold_UseNormalizedDistanceOn, 1,
   (char*)"V.UseNormalizedDistanceOn()\nC++: void UseNormalizedDistanceOn ();\n\n Renormalize the space of the data such that the X and Y axes are\n \"square\" over the specified ColumnRanges.  This essentially scales\n the data space so that ColumnRanges[1]-ColumnRanges[0] = 1.0 and \n ColumnRanges[3]-ColumnRanges[2] = 1.0.  Used for scatter plot distance\n calculations.  Be sure to set DistanceThreshold accordingly, when used.\n"},
  {(char*)"UseNormalizedDistanceOff",                (PyCFunction)PyvtkBivariateLinearTableThreshold_UseNormalizedDistanceOff, 1,
   (char*)"V.UseNormalizedDistanceOff()\nC++: void UseNormalizedDistanceOff ();\n\n Renormalize the space of the data such that the X and Y axes are\n \"square\" over the specified ColumnRanges.  This essentially scales\n the data space so that ColumnRanges[1]-ColumnRanges[0] = 1.0 and \n ColumnRanges[3]-ColumnRanges[2] = 1.0.  Used for scatter plot distance\n calculations.  Be sure to set DistanceThreshold accordingly, when used.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkBivariateLinearTableThresholdDoc[] = {
  (char*)"vtkBivariateLinearTableThreshold - performs line-based thresholding\n\n",
  "Super Class:\n\n vtkTableAlgorithm\n\n",
  (char*)" Class for filtering the rows of a two numeric columns of a vtkTable.  The\n columns are treated as the two variables of a line.  This filter will\n then iterate through the rows of the table determining if X,Y values pairs\n are above/below/between/near one or more lines.  \n\n The \"between\" mode checks to see if a row is contained within the convex \n hull of all of the specified lines.  The \"near\" mo",
  (char*)"de checks if a row is\n within a distance threshold two one of the specified lines.  This class\n is used in conjunction with various plotting classes, so it is useful\n to rescale the X,Y axes to a particular range of values.  Distance \n comparisons can be performed in the scaled space by setting the CustomRanges\n ivar and enabling UseNormalizedDistance.\n\n",
  NULL
};

static vtkObjectBase *vtkBivariateLinearTableThresholdStaticNew()
{
  return vtkBivariateLinearTableThreshold::New();
}

PyObject *PyVTKClass_vtkBivariateLinearTableThresholdNew(char *modulename)
{
  return PyVTKClass_New(&vtkBivariateLinearTableThresholdStaticNew,
                        PyvtkBivariateLinearTableThresholdMethods,
                        (char*)"vtkBivariateLinearTableThreshold",modulename,
                        (char**)vtkBivariateLinearTableThresholdDoc,
                        PyVTKClass_vtkTableAlgorithmNew(modulename));
}

