// java wrapper for vtkBivariateStatisticsAlgorithm object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBivariateStatisticsAlgorithm.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkStatisticsAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkBivariateStatisticsAlgorithm_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkBivariateStatisticsAlgorithm",dType)) { return me; }
  if ((res= vtkStatisticsAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkBivariateStatisticsAlgorithm_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkBivariateStatisticsAlgorithm *op;
  const char    *temp20;

  op = (vtkBivariateStatisticsAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBivariateStatisticsAlgorithm_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBivariateStatisticsAlgorithm *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBivariateStatisticsAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBivariateStatisticsAlgorithm_AddColumnPair_12(JNIEnv *env, jobject obj,jstring id0,jstring id1)
{
  vtkBivariateStatisticsAlgorithm *op;
  char    *temp0;
  char    *temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkBivariateStatisticsAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->AddColumnPair(temp0,temp1);
  if (temp0) delete[] temp0;
  if (temp1) delete[] temp1;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBivariateStatisticsAlgorithm_RequestSelectedColumns_13(JNIEnv *env, jobject obj)
{
  vtkBivariateStatisticsAlgorithm *op;
  int      temp20;

  op = (vtkBivariateStatisticsAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RequestSelectedColumns();
  return temp20;
}
