// python wrapper for vtkPMultiCorrelativeStatistics object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPMultiCorrelativeStatistics.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPMultiCorrelativeStatisticsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPMultiCorrelativeStatisticsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkMultiCorrelativeStatisticsNew(char *); }

static PyObject *PyvtkPMultiCorrelativeStatistics_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPMultiCorrelativeStatistics *op;

  const char    *temp20;
  op = (vtkPMultiCorrelativeStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPMultiCorrelativeStatistics::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPMultiCorrelativeStatistics_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPMultiCorrelativeStatistics *op;

  char    *temp0;
  int      temp20;
  op = (vtkPMultiCorrelativeStatistics *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPMultiCorrelativeStatistics::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPMultiCorrelativeStatistics_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPMultiCorrelativeStatistics *op;

  vtkPMultiCorrelativeStatistics  *temp20;
  op = (vtkPMultiCorrelativeStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPMultiCorrelativeStatistics::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPMultiCorrelativeStatistics_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPMultiCorrelativeStatistics  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPMultiCorrelativeStatistics::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPMultiCorrelativeStatistics_SetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPMultiCorrelativeStatistics *op;

  vtkMultiProcessController  *temp0;
  PyObject *tempH0;
  op = (vtkPMultiCorrelativeStatistics *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMultiProcessController *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMultiProcessController");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkPMultiCorrelativeStatistics::SetController(temp0);
      }
    else
      {
      op->SetController(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkPMultiCorrelativeStatistics_GetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPMultiCorrelativeStatistics *op;

  vtkMultiProcessController  *temp20;
  op = (vtkPMultiCorrelativeStatistics *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPMultiCorrelativeStatistics::GetController();
      }
    else
      {
      temp20 = op->GetController();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPMultiCorrelativeStatistics_GatherStatistics(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController  *temp0;
  PyObject *tempH0;
  vtkTable  *temp1;
  PyObject *tempH1;
  if ((PyArg_ParseTuple(args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkMultiProcessController *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMultiProcessController");
    if (!temp0 && tempH0 != Py_None) goto break6;
    temp1 = (vtkTable *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkTable");
    if (!temp1 && tempH1 != Py_None) goto break6;
      {
      vtkPMultiCorrelativeStatistics::GatherStatistics(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}

static PyMethodDef PyvtkPMultiCorrelativeStatisticsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPMultiCorrelativeStatistics_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPMultiCorrelativeStatistics_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPMultiCorrelativeStatistics_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPMultiCorrelativeStatistics\nC++: vtkPMultiCorrelativeStatistics *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPMultiCorrelativeStatistics_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPMultiCorrelativeStatistics\nC++: vtkPMultiCorrelativeStatistics *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetController",                (PyCFunction)PyvtkPMultiCorrelativeStatistics_SetController, 1,
   (char*)"V.SetController(vtkMultiProcessController)\nC++: virtual void SetController (vtkMultiProcessController *);\n\n Get/Set the multiprocess controller. If no controller is set,\n single process is assumed.\n"},
  {(char*)"GetController",                (PyCFunction)PyvtkPMultiCorrelativeStatistics_GetController, 1,
   (char*)"V.GetController() -> vtkMultiProcessController\nC++: vtkMultiProcessController *GetController ();\n\n Get/Set the multiprocess controller. If no controller is set,\n single process is assumed.\n"},
  {(char*)"GatherStatistics",                (PyCFunction)PyvtkPMultiCorrelativeStatistics_GatherStatistics, 1,
   (char*)"V.GatherStatistics(vtkMultiProcessController, vtkTable)\nC++: static void GatherStatistics (vtkMultiProcessController *curController, vtkTable *sparseCov);\n\n Performs Reduction\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPMultiCorrelativeStatisticsDoc[] = {
  (char*)"vtkPMultiCorrelativeStatistics - A class for parallel bivariate correlative statistics\n\n",
  "Super Class:\n\n vtkMultiCorrelativeStatistics\n\n",
  (char*)" vtkPMultiCorrelativeStatistics is vtkMultiCorrelativeStatistics subclass for parallel datasets.\n It learns and derives the global statistical model on each node, but assesses each \n individual data points on the node that owns it.\n\n",
  NULL
};

static vtkObjectBase *vtkPMultiCorrelativeStatisticsStaticNew()
{
  return vtkPMultiCorrelativeStatistics::New();
}

PyObject *PyVTKClass_vtkPMultiCorrelativeStatisticsNew(char *modulename)
{
  return PyVTKClass_New(&vtkPMultiCorrelativeStatisticsStaticNew,
                        PyvtkPMultiCorrelativeStatisticsMethods,
                        (char*)"vtkPMultiCorrelativeStatistics",modulename,
                        (char**)vtkPMultiCorrelativeStatisticsDoc,
                        PyVTKClass_vtkMultiCorrelativeStatisticsNew(modulename));
}

