// python wrapper for vtkFreeTypeLabelRenderStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkFreeTypeLabelRenderStrategy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkFreeTypeLabelRenderStrategyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkFreeTypeLabelRenderStrategyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkLabelRenderStrategyNew(char *); }

static PyObject *PyvtkFreeTypeLabelRenderStrategy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFreeTypeLabelRenderStrategy *op;

  const char    *temp20;
  op = (vtkFreeTypeLabelRenderStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFreeTypeLabelRenderStrategy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFreeTypeLabelRenderStrategy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFreeTypeLabelRenderStrategy *op;

  char    *temp0;
  int      temp20;
  op = (vtkFreeTypeLabelRenderStrategy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFreeTypeLabelRenderStrategy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFreeTypeLabelRenderStrategy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFreeTypeLabelRenderStrategy *op;

  vtkFreeTypeLabelRenderStrategy  *temp20;
  op = (vtkFreeTypeLabelRenderStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFreeTypeLabelRenderStrategy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFreeTypeLabelRenderStrategy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkFreeTypeLabelRenderStrategy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkFreeTypeLabelRenderStrategy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkFreeTypeLabelRenderStrategy_SupportsRotation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFreeTypeLabelRenderStrategy *op;

  bool   temp20;
  op = (vtkFreeTypeLabelRenderStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFreeTypeLabelRenderStrategy::SupportsRotation();
      }
    else
      {
      temp20 = op->SupportsRotation();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkFreeTypeLabelRenderStrategy_SupportsBoundedSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFreeTypeLabelRenderStrategy *op;

  bool   temp20;
  op = (vtkFreeTypeLabelRenderStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFreeTypeLabelRenderStrategy::SupportsBoundedSize();
      }
    else
      {
      temp20 = op->SupportsBoundedSize();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkFreeTypeLabelRenderStrategy_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFreeTypeLabelRenderStrategy *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkFreeTypeLabelRenderStrategy *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkFreeTypeLabelRenderStrategy::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}

static PyMethodDef PyvtkFreeTypeLabelRenderStrategyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkFreeTypeLabelRenderStrategy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkFreeTypeLabelRenderStrategy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkFreeTypeLabelRenderStrategy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkFreeTypeLabelRenderStrategy\nC++: vtkFreeTypeLabelRenderStrategy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkFreeTypeLabelRenderStrategy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkFreeTypeLabelRenderStrategy\nC++: vtkFreeTypeLabelRenderStrategy *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SupportsRotation",                (PyCFunction)PyvtkFreeTypeLabelRenderStrategy_SupportsRotation, 1,
   (char*)"V.SupportsRotation() -> bool\nC++: virtual bool SupportsRotation ();return false \n\n The free type render strategy currently does not support bounded size labels.\n"},
  {(char*)"SupportsBoundedSize",                (PyCFunction)PyvtkFreeTypeLabelRenderStrategy_SupportsBoundedSize, 1,
   (char*)"V.SupportsBoundedSize() -> bool\nC++: virtual bool SupportsBoundedSize ();return false \n\n Release any graphics resources that are being consumed by this strategy.\n The parameter window could be used to determine which graphic\n resources to release.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkFreeTypeLabelRenderStrategy_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *window);\n\n Release any graphics resources that are being consumed by this strategy.\n The parameter window could be used to determine which graphic\n resources to release.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkFreeTypeLabelRenderStrategyDoc[] = {
  (char*)"vtkFreeTypeLabelRenderStrategy - Renders labels with freetype\n\n",
  "Super Class:\n\n vtkLabelRenderStrategy\n\n",
  (char*)" Uses the FreeType to render labels and compute label sizes.\n This strategy may be used with vtkLabelPlacementMapper.\n\n",
  NULL
};

static vtkObjectBase *vtkFreeTypeLabelRenderStrategyStaticNew()
{
  return vtkFreeTypeLabelRenderStrategy::New();
}

PyObject *PyVTKClass_vtkFreeTypeLabelRenderStrategyNew(char *modulename)
{
  return PyVTKClass_New(&vtkFreeTypeLabelRenderStrategyStaticNew,
                        PyvtkFreeTypeLabelRenderStrategyMethods,
                        (char*)"vtkFreeTypeLabelRenderStrategy",modulename,
                        (char**)vtkFreeTypeLabelRenderStrategyDoc,
                        PyVTKClass_vtkLabelRenderStrategyNew(modulename));
}

