// python wrapper for vtkLabelPlacer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkLabelPlacer.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkLabelPlacerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkLabelPlacerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkLabelPlacer_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacer *op;

  const char    *temp20;
  op = (vtkLabelPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelPlacer::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacer_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacer *op;

  char    *temp0;
  int      temp20;
  op = (vtkLabelPlacer *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelPlacer::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacer_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacer *op;

  vtkLabelPlacer  *temp20;
  op = (vtkLabelPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelPlacer::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacer_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkLabelPlacer  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkLabelPlacer::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkLabelPlacer_GetRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacer *op;

  vtkRenderer  *temp20;
  op = (vtkLabelPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelPlacer::GetRenderer();
      }
    else
      {
      temp20 = op->GetRenderer();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacer_SetRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacer *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  op = (vtkLabelPlacer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacer::SetRenderer(temp0);
      }
    else
      {
      op->SetRenderer(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkLabelPlacer_GetAnchorTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacer *op;

  vtkCoordinate  *temp20;
  op = (vtkLabelPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelPlacer::GetAnchorTransform();
      }
    else
      {
      temp20 = op->GetAnchorTransform();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacer_SetGravity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacer *op;

  int      temp0;
  op = (vtkLabelPlacer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacer::SetGravity(temp0);
      }
    else
      {
      op->SetGravity(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacer_GetGravity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacer *op;

  int      temp20;
  op = (vtkLabelPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelPlacer::GetGravity();
      }
    else
      {
      temp20 = op->GetGravity();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacer_SetMaximumLabelFraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacer *op;

  double   temp0;
  op = (vtkLabelPlacer *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacer::SetMaximumLabelFraction(temp0);
      }
    else
      {
      op->SetMaximumLabelFraction(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacer_GetMaximumLabelFractionMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacer *op;

  double   temp20;
  op = (vtkLabelPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelPlacer::GetMaximumLabelFractionMinValue();
      }
    else
      {
      temp20 = op->GetMaximumLabelFractionMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacer_GetMaximumLabelFractionMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacer *op;

  double   temp20;
  op = (vtkLabelPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelPlacer::GetMaximumLabelFractionMaxValue();
      }
    else
      {
      temp20 = op->GetMaximumLabelFractionMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacer_GetMaximumLabelFraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacer *op;

  double   temp20;
  op = (vtkLabelPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelPlacer::GetMaximumLabelFraction();
      }
    else
      {
      temp20 = op->GetMaximumLabelFraction();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacer_SetIteratorType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacer *op;

  int      temp0;
  op = (vtkLabelPlacer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacer::SetIteratorType(temp0);
      }
    else
      {
      op->SetIteratorType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacer_GetIteratorType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacer *op;

  int      temp20;
  op = (vtkLabelPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelPlacer::GetIteratorType();
      }
    else
      {
      temp20 = op->GetIteratorType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacer_SetUseUnicodeStrings(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacer *op;

  bool   temp0;
  op = (vtkLabelPlacer *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacer::SetUseUnicodeStrings(temp0);
      }
    else
      {
      op->SetUseUnicodeStrings(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacer_GetUseUnicodeStrings(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacer *op;

  bool   temp20;
  op = (vtkLabelPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelPlacer::GetUseUnicodeStrings();
      }
    else
      {
      temp20 = op->GetUseUnicodeStrings();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacer_UseUnicodeStringsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacer *op;

  op = (vtkLabelPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacer::UseUnicodeStringsOn();
      }
    else
      {
      op->UseUnicodeStringsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacer_UseUnicodeStringsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacer *op;

  op = (vtkLabelPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacer::UseUnicodeStringsOff();
      }
    else
      {
      op->UseUnicodeStringsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacer_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacer *op;

  unsigned long     temp20;
  op = (vtkLabelPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelPlacer::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacer_GetPositionsAsNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacer *op;

  bool   temp20;
  op = (vtkLabelPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelPlacer::GetPositionsAsNormals();
      }
    else
      {
      temp20 = op->GetPositionsAsNormals();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacer_SetPositionsAsNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacer *op;

  bool   temp0;
  op = (vtkLabelPlacer *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacer::SetPositionsAsNormals(temp0);
      }
    else
      {
      op->SetPositionsAsNormals(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacer_PositionsAsNormalsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacer *op;

  op = (vtkLabelPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacer::PositionsAsNormalsOn();
      }
    else
      {
      op->PositionsAsNormalsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacer_PositionsAsNormalsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacer *op;

  op = (vtkLabelPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacer::PositionsAsNormalsOff();
      }
    else
      {
      op->PositionsAsNormalsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacer_GetGeneratePerturbedLabelSpokes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacer *op;

  bool   temp20;
  op = (vtkLabelPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelPlacer::GetGeneratePerturbedLabelSpokes();
      }
    else
      {
      temp20 = op->GetGeneratePerturbedLabelSpokes();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacer_SetGeneratePerturbedLabelSpokes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacer *op;

  bool   temp0;
  op = (vtkLabelPlacer *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacer::SetGeneratePerturbedLabelSpokes(temp0);
      }
    else
      {
      op->SetGeneratePerturbedLabelSpokes(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacer_GeneratePerturbedLabelSpokesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacer *op;

  op = (vtkLabelPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacer::GeneratePerturbedLabelSpokesOn();
      }
    else
      {
      op->GeneratePerturbedLabelSpokesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacer_GeneratePerturbedLabelSpokesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacer *op;

  op = (vtkLabelPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacer::GeneratePerturbedLabelSpokesOff();
      }
    else
      {
      op->GeneratePerturbedLabelSpokesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacer_GetUseDepthBuffer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacer *op;

  bool   temp20;
  op = (vtkLabelPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelPlacer::GetUseDepthBuffer();
      }
    else
      {
      temp20 = op->GetUseDepthBuffer();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacer_SetUseDepthBuffer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacer *op;

  bool   temp0;
  op = (vtkLabelPlacer *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacer::SetUseDepthBuffer(temp0);
      }
    else
      {
      op->SetUseDepthBuffer(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacer_UseDepthBufferOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacer *op;

  op = (vtkLabelPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacer::UseDepthBufferOn();
      }
    else
      {
      op->UseDepthBufferOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacer_UseDepthBufferOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacer *op;

  op = (vtkLabelPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacer::UseDepthBufferOff();
      }
    else
      {
      op->UseDepthBufferOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacer_GetOutputTraversedBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacer *op;

  bool   temp20;
  op = (vtkLabelPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelPlacer::GetOutputTraversedBounds();
      }
    else
      {
      temp20 = op->GetOutputTraversedBounds();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacer_SetOutputTraversedBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacer *op;

  bool   temp0;
  op = (vtkLabelPlacer *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacer::SetOutputTraversedBounds(temp0);
      }
    else
      {
      op->SetOutputTraversedBounds(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacer_OutputTraversedBoundsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacer *op;

  op = (vtkLabelPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacer::OutputTraversedBoundsOn();
      }
    else
      {
      op->OutputTraversedBoundsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacer_OutputTraversedBoundsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacer *op;

  op = (vtkLabelPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacer::OutputTraversedBoundsOff();
      }
    else
      {
      op->OutputTraversedBoundsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacer_GetOutputCoordinateSystem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacer *op;

  int      temp20;
  op = (vtkLabelPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelPlacer::GetOutputCoordinateSystem();
      }
    else
      {
      temp20 = op->GetOutputCoordinateSystem();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacer_SetOutputCoordinateSystem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacer *op;

  int      temp0;
  op = (vtkLabelPlacer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacer::SetOutputCoordinateSystem(temp0);
      }
    else
      {
      op->SetOutputCoordinateSystem(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacer_GetOutputCoordinateSystemMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacer *op;

  int      temp20;
  op = (vtkLabelPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelPlacer::GetOutputCoordinateSystemMinValue();
      }
    else
      {
      temp20 = op->GetOutputCoordinateSystemMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacer_GetOutputCoordinateSystemMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacer *op;

  int      temp20;
  op = (vtkLabelPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelPlacer::GetOutputCoordinateSystemMaxValue();
      }
    else
      {
      temp20 = op->GetOutputCoordinateSystemMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacer_OutputCoordinateSystemWorld(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacer *op;

  op = (vtkLabelPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacer::OutputCoordinateSystemWorld();
      }
    else
      {
      op->OutputCoordinateSystemWorld();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelPlacer_OutputCoordinateSystemDisplay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelPlacer *op;

  op = (vtkLabelPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelPlacer::OutputCoordinateSystemDisplay();
      }
    else
      {
      op->OutputCoordinateSystemDisplay();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkLabelPlacerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkLabelPlacer_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkLabelPlacer_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkLabelPlacer_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkLabelPlacer\nC++: vtkLabelPlacer *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkLabelPlacer_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkLabelPlacer\nC++: vtkLabelPlacer *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetRenderer",                (PyCFunction)PyvtkLabelPlacer_GetRenderer, 1,
   (char*)"V.GetRenderer() -> vtkRenderer\nC++: vtkRenderer *GetRenderer ();\n\n"},
  {(char*)"SetRenderer",                (PyCFunction)PyvtkLabelPlacer_SetRenderer, 1,
   (char*)"V.SetRenderer(vtkRenderer)\nC++: virtual void SetRenderer (vtkRenderer *);\n\n"},
  {(char*)"GetAnchorTransform",                (PyCFunction)PyvtkLabelPlacer_GetAnchorTransform, 1,
   (char*)"V.GetAnchorTransform() -> vtkCoordinate\nC++: vtkCoordinate *GetAnchorTransform ();\n\n"},
  {(char*)"SetGravity",                (PyCFunction)PyvtkLabelPlacer_SetGravity, 1,
   (char*)"V.SetGravity(int)\nC++: virtual void SetGravity (int gravity);\n\n The placement of the label relative to the anchor point.\n"},
  {(char*)"GetGravity",                (PyCFunction)PyvtkLabelPlacer_GetGravity, 1,
   (char*)"V.GetGravity() -> int\nC++: int GetGravity ();\n\n The placement of the label relative to the anchor point.\n"},
  {(char*)"SetMaximumLabelFraction",                (PyCFunction)PyvtkLabelPlacer_SetMaximumLabelFraction, 1,
   (char*)"V.SetMaximumLabelFraction(float)\nC++: void SetMaximumLabelFraction (double );\n\n The maximum amount of screen space labels can take up before placement\n terminates.\n"},
  {(char*)"GetMaximumLabelFractionMinValue",                (PyCFunction)PyvtkLabelPlacer_GetMaximumLabelFractionMinValue, 1,
   (char*)"V.GetMaximumLabelFractionMinValue() -> float\nC++: double GetMaximumLabelFractionMinValue ();\n\n The maximum amount of screen space labels can take up before placement\n terminates.\n"},
  {(char*)"GetMaximumLabelFractionMaxValue",                (PyCFunction)PyvtkLabelPlacer_GetMaximumLabelFractionMaxValue, 1,
   (char*)"V.GetMaximumLabelFractionMaxValue() -> float\nC++: double GetMaximumLabelFractionMaxValue ();\n\n The maximum amount of screen space labels can take up before placement\n terminates.\n"},
  {(char*)"GetMaximumLabelFraction",                (PyCFunction)PyvtkLabelPlacer_GetMaximumLabelFraction, 1,
   (char*)"V.GetMaximumLabelFraction() -> float\nC++: double GetMaximumLabelFraction ();\n\n The maximum amount of screen space labels can take up before placement\n terminates.\n"},
  {(char*)"SetIteratorType",                (PyCFunction)PyvtkLabelPlacer_SetIteratorType, 1,
   (char*)"V.SetIteratorType(int)\nC++: void SetIteratorType (int );\n\n The type of iterator used when traversing the labels.\n May be vtkLabelHierarchy::FRUSTUM or vtkLabelHierarchy::FULL_SORT.\n"},
  {(char*)"GetIteratorType",                (PyCFunction)PyvtkLabelPlacer_GetIteratorType, 1,
   (char*)"V.GetIteratorType() -> int\nC++: int GetIteratorType ();\n\n The type of iterator used when traversing the labels.\n May be vtkLabelHierarchy::FRUSTUM or vtkLabelHierarchy::FULL_SORT.\n"},
  {(char*)"SetUseUnicodeStrings",                (PyCFunction)PyvtkLabelPlacer_SetUseUnicodeStrings, 1,
   (char*)"V.SetUseUnicodeStrings(bool)\nC++: void SetUseUnicodeStrings (bool );\n\n Set whether, or not, to use unicode strings.\n"},
  {(char*)"GetUseUnicodeStrings",                (PyCFunction)PyvtkLabelPlacer_GetUseUnicodeStrings, 1,
   (char*)"V.GetUseUnicodeStrings() -> bool\nC++: bool GetUseUnicodeStrings ();\n\n Set whether, or not, to use unicode strings.\n"},
  {(char*)"UseUnicodeStringsOn",                (PyCFunction)PyvtkLabelPlacer_UseUnicodeStringsOn, 1,
   (char*)"V.UseUnicodeStringsOn()\nC++: void UseUnicodeStringsOn ();\n\n Set whether, or not, to use unicode strings.\n"},
  {(char*)"UseUnicodeStringsOff",                (PyCFunction)PyvtkLabelPlacer_UseUnicodeStringsOff, 1,
   (char*)"V.UseUnicodeStringsOff()\nC++: void UseUnicodeStringsOff ();\n\n Set whether, or not, to use unicode strings.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkLabelPlacer_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: virtual unsigned long GetMTime ();\n\n"},
  {(char*)"GetPositionsAsNormals",                (PyCFunction)PyvtkLabelPlacer_GetPositionsAsNormals, 1,
   (char*)"V.GetPositionsAsNormals() -> bool\nC++: bool GetPositionsAsNormals ();\n\n Use label anchor point coordinates as normal vectors and eliminate those\n pointing away from the camera. Valid only when points are on a sphere\n centered at the origin (such as a 3D geographic view). Off by default.\n"},
  {(char*)"SetPositionsAsNormals",                (PyCFunction)PyvtkLabelPlacer_SetPositionsAsNormals, 1,
   (char*)"V.SetPositionsAsNormals(bool)\nC++: void SetPositionsAsNormals (bool );\n\n Use label anchor point coordinates as normal vectors and eliminate those\n pointing away from the camera. Valid only when points are on a sphere\n centered at the origin (such as a 3D geographic view). Off by default.\n"},
  {(char*)"PositionsAsNormalsOn",                (PyCFunction)PyvtkLabelPlacer_PositionsAsNormalsOn, 1,
   (char*)"V.PositionsAsNormalsOn()\nC++: void PositionsAsNormalsOn ();\n\n Use label anchor point coordinates as normal vectors and eliminate those\n pointing away from the camera. Valid only when points are on a sphere\n centered at the origin (such as a 3D geographic view). Off by default.\n"},
  {(char*)"PositionsAsNormalsOff",                (PyCFunction)PyvtkLabelPlacer_PositionsAsNormalsOff, 1,
   (char*)"V.PositionsAsNormalsOff()\nC++: void PositionsAsNormalsOff ();\n\n Use label anchor point coordinates as normal vectors and eliminate those\n pointing away from the camera. Valid only when points are on a sphere\n centered at the origin (such as a 3D geographic view). Off by default.\n"},
  {(char*)"GetGeneratePerturbedLabelSpokes",                (PyCFunction)PyvtkLabelPlacer_GetGeneratePerturbedLabelSpokes, 1,
   (char*)"V.GetGeneratePerturbedLabelSpokes() -> bool\nC++: bool GetGeneratePerturbedLabelSpokes ();\n\n Enable drawing spokes (lines) to anchor point coordinates that were perturbed\n for being coincident with other anchor point coordinates.\n"},
  {(char*)"SetGeneratePerturbedLabelSpokes",                (PyCFunction)PyvtkLabelPlacer_SetGeneratePerturbedLabelSpokes, 1,
   (char*)"V.SetGeneratePerturbedLabelSpokes(bool)\nC++: void SetGeneratePerturbedLabelSpokes (bool );\n\n Enable drawing spokes (lines) to anchor point coordinates that were perturbed\n for being coincident with other anchor point coordinates.\n"},
  {(char*)"GeneratePerturbedLabelSpokesOn",                (PyCFunction)PyvtkLabelPlacer_GeneratePerturbedLabelSpokesOn, 1,
   (char*)"V.GeneratePerturbedLabelSpokesOn()\nC++: void GeneratePerturbedLabelSpokesOn ();\n\n Enable drawing spokes (lines) to anchor point coordinates that were perturbed\n for being coincident with other anchor point coordinates.\n"},
  {(char*)"GeneratePerturbedLabelSpokesOff",                (PyCFunction)PyvtkLabelPlacer_GeneratePerturbedLabelSpokesOff, 1,
   (char*)"V.GeneratePerturbedLabelSpokesOff()\nC++: void GeneratePerturbedLabelSpokesOff ();\n\n Enable drawing spokes (lines) to anchor point coordinates that were perturbed\n for being coincident with other anchor point coordinates.\n"},
  {(char*)"GetUseDepthBuffer",                (PyCFunction)PyvtkLabelPlacer_GetUseDepthBuffer, 1,
   (char*)"V.GetUseDepthBuffer() -> bool\nC++: bool GetUseDepthBuffer ();\n\n Use the depth buffer to test each label to see if it should not be displayed if\n it would be occluded by other objects in the scene. Off by default.\n"},
  {(char*)"SetUseDepthBuffer",                (PyCFunction)PyvtkLabelPlacer_SetUseDepthBuffer, 1,
   (char*)"V.SetUseDepthBuffer(bool)\nC++: void SetUseDepthBuffer (bool );\n\n Use the depth buffer to test each label to see if it should not be displayed if\n it would be occluded by other objects in the scene. Off by default.\n"},
  {(char*)"UseDepthBufferOn",                (PyCFunction)PyvtkLabelPlacer_UseDepthBufferOn, 1,
   (char*)"V.UseDepthBufferOn()\nC++: void UseDepthBufferOn ();\n\n Use the depth buffer to test each label to see if it should not be displayed if\n it would be occluded by other objects in the scene. Off by default.\n"},
  {(char*)"UseDepthBufferOff",                (PyCFunction)PyvtkLabelPlacer_UseDepthBufferOff, 1,
   (char*)"V.UseDepthBufferOff()\nC++: void UseDepthBufferOff ();\n\n Use the depth buffer to test each label to see if it should not be displayed if\n it would be occluded by other objects in the scene. Off by default.\n"},
  {(char*)"GetOutputTraversedBounds",                (PyCFunction)PyvtkLabelPlacer_GetOutputTraversedBounds, 1,
   (char*)"V.GetOutputTraversedBounds() -> bool\nC++: bool GetOutputTraversedBounds ();\n\n In the second output, output the geometry of the traversed octree nodes.\n"},
  {(char*)"SetOutputTraversedBounds",                (PyCFunction)PyvtkLabelPlacer_SetOutputTraversedBounds, 1,
   (char*)"V.SetOutputTraversedBounds(bool)\nC++: void SetOutputTraversedBounds (bool );\n\n In the second output, output the geometry of the traversed octree nodes.\n"},
  {(char*)"OutputTraversedBoundsOn",                (PyCFunction)PyvtkLabelPlacer_OutputTraversedBoundsOn, 1,
   (char*)"V.OutputTraversedBoundsOn()\nC++: void OutputTraversedBoundsOn ();\n\n In the second output, output the geometry of the traversed octree nodes.\n"},
  {(char*)"OutputTraversedBoundsOff",                (PyCFunction)PyvtkLabelPlacer_OutputTraversedBoundsOff, 1,
   (char*)"V.OutputTraversedBoundsOff()\nC++: void OutputTraversedBoundsOff ();\n\n In the second output, output the geometry of the traversed octree nodes.\n"},
  {(char*)"GetOutputCoordinateSystem",                (PyCFunction)PyvtkLabelPlacer_GetOutputCoordinateSystem, 1,
   (char*)"V.GetOutputCoordinateSystem() -> int\nC++: int GetOutputCoordinateSystem ();\n\n Set/get the coordinate system used for output labels.\n The output datasets may have point coordinates reported in the world space or display space.\n"},
  {(char*)"SetOutputCoordinateSystem",                (PyCFunction)PyvtkLabelPlacer_SetOutputCoordinateSystem, 1,
   (char*)"V.SetOutputCoordinateSystem(int)\nC++: void SetOutputCoordinateSystem (int );\n\n Set/get the coordinate system used for output labels.\n The output datasets may have point coordinates reported in the world space or display space.\n"},
  {(char*)"GetOutputCoordinateSystemMinValue",                (PyCFunction)PyvtkLabelPlacer_GetOutputCoordinateSystemMinValue, 1,
   (char*)"V.GetOutputCoordinateSystemMinValue() -> int\nC++: int GetOutputCoordinateSystemMinValue ();\n\n Set/get the coordinate system used for output labels.\n The output datasets may have point coordinates reported in the world space or display space.\n"},
  {(char*)"GetOutputCoordinateSystemMaxValue",                (PyCFunction)PyvtkLabelPlacer_GetOutputCoordinateSystemMaxValue, 1,
   (char*)"V.GetOutputCoordinateSystemMaxValue() -> int\nC++: int GetOutputCoordinateSystemMaxValue ();\n\n Set/get the coordinate system used for output labels.\n The output datasets may have point coordinates reported in the world space or display space.\n"},
  {(char*)"OutputCoordinateSystemWorld",                (PyCFunction)PyvtkLabelPlacer_OutputCoordinateSystemWorld, 1,
   (char*)"V.OutputCoordinateSystemWorld()\nC++: void OutputCoordinateSystemWorld ();this SetOutputCoordinateSystem vtkLabelPlacer WORLD \n\n Set/get the coordinate system used for output labels.\n The output datasets may have point coordinates reported in the world space or display space.\n"},
  {(char*)"OutputCoordinateSystemDisplay",                (PyCFunction)PyvtkLabelPlacer_OutputCoordinateSystemDisplay, 1,
   (char*)"V.OutputCoordinateSystemDisplay()\nC++: void OutputCoordinateSystemDisplay ();this SetOutputCoordinateSystem vtkLabelPlacer DISPLAY \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkLabelPlacerDoc[] = {
  (char*)"vtkLabelPlacer - place a prioritized hierarchy of labels in screen space\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" <b>This class is deprecated and will be removed from VTK in a future\n release. Use vtkLabelPlacementMapper instead.</b>\n\n This should probably be a mapper unto itself (given that\n the polydata output could be large and will realistically\n always be iterated over exactly once before being tossed\n for the next frame of the render).\n\n In any event, it takes as input one (or more, eventually)\n vtkLab",
  (char*)"elHierarchies that represent prioritized lists of\n labels sorted by their placement in space. As output, it\n provides vtkPolyData containing only VTK_QUAD cells, each\n representing a single label from the input. Each quadrilateral\n has cell data indicating what label in the input it\n corresponds to (via an array named \"LabelId\").\n\n",
  NULL
};

static vtkObjectBase *vtkLabelPlacerStaticNew()
{
  return vtkLabelPlacer::New();
}

PyObject *PyVTKClass_vtkLabelPlacerNew(char *modulename)
{
  return PyVTKClass_New(&vtkLabelPlacerStaticNew,
                        PyvtkLabelPlacerMethods,
                        (char*)"vtkLabelPlacer",modulename,
                        (char**)vtkLabelPlacerDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

