// java wrapper for vtkQtLabelRenderStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkQtLabelRenderStrategy.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkLabelRenderStrategy_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkQtLabelRenderStrategy_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkQtLabelRenderStrategy",dType)) { return me; }
  if ((res= vtkLabelRenderStrategy_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkQtLabelRenderStrategy_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkQtLabelRenderStrategy *op;
  const char    *temp20;

  op = (vtkQtLabelRenderStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkQtLabelRenderStrategy_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkQtLabelRenderStrategy *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkQtLabelRenderStrategy *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQtLabelRenderStrategy_StartFrame_12(JNIEnv *env, jobject obj)
{
  vtkQtLabelRenderStrategy *op;

  op = (vtkQtLabelRenderStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->StartFrame();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQtLabelRenderStrategy_EndFrame_13(JNIEnv *env, jobject obj)
{
  vtkQtLabelRenderStrategy *op;

  op = (vtkQtLabelRenderStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->EndFrame();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkQtLabelRenderStrategy_ReleaseGraphicsResources_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkQtLabelRenderStrategy *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkQtLabelRenderStrategy *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkQtLabelRenderStrategy_VTKInit(JNIEnv *, jobject)
{
  vtkQtLabelRenderStrategy *aNewOne = vtkQtLabelRenderStrategy::New();
  return (jlong)(size_t)(void*)aNewOne;
}
