// python wrapper for vtkAssignMimeType object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkAssignMimeType.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAssignMimeTypeNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAssignMimeTypeNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkTableAlgorithmNew(char *); }

static PyObject *PyvtkAssignMimeType_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssignMimeType *op;

  const char    *temp20;
  op = (vtkAssignMimeType *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssignMimeType::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAssignMimeType_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssignMimeType *op;

  char    *temp0;
  int      temp20;
  op = (vtkAssignMimeType *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssignMimeType::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAssignMimeType_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssignMimeType *op;

  vtkAssignMimeType  *temp20;
  op = (vtkAssignMimeType *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssignMimeType::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAssignMimeType_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkAssignMimeType  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkAssignMimeType::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkAssignMimeType_SetOutputArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssignMimeType *op;

  char    *temp0;
  op = (vtkAssignMimeType *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAssignMimeType::SetOutputArray(temp0);
      }
    else
      {
      op->SetOutputArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAssignMimeType_GetOutputArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssignMimeType *op;

  char    *temp20;
  op = (vtkAssignMimeType *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssignMimeType::GetOutputArray();
      }
    else
      {
      temp20 = op->GetOutputArray();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAssignMimeType_SetDefaultMimeType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssignMimeType *op;

  char    *temp0;
  op = (vtkAssignMimeType *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAssignMimeType::SetDefaultMimeType(temp0);
      }
    else
      {
      op->SetDefaultMimeType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAssignMimeType_GetDefaultMimeType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssignMimeType *op;

  char    *temp20;
  op = (vtkAssignMimeType *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssignMimeType::GetDefaultMimeType();
      }
    else
      {
      temp20 = op->GetDefaultMimeType();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAssignMimeType_SetMimeTypes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssignMimeType *op;

  vtkMimeTypes  *temp0;
  PyObject *tempH0;
  op = (vtkAssignMimeType *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMimeTypes *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMimeTypes");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkAssignMimeType::SetMimeTypes(temp0);
      }
    else
      {
      op->SetMimeTypes(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkAssignMimeType_GetMimeTypes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssignMimeType *op;

  vtkMimeTypes  *temp20;
  op = (vtkAssignMimeType *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssignMimeType::GetMimeTypes();
      }
    else
      {
      temp20 = op->GetMimeTypes();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkAssignMimeTypeMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAssignMimeType_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAssignMimeType_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAssignMimeType_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAssignMimeType\nC++: vtkAssignMimeType *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkAssignMimeType_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkAssignMimeType\nC++: vtkAssignMimeType *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetOutputArray",                (PyCFunction)PyvtkAssignMimeType_SetOutputArray, 1,
   (char*)"V.SetOutputArray(string)\nC++: void SetOutputArray (char *);\n\n Specifies the name of the output MIME type array.  Default: \"mime_type\". \n"},
  {(char*)"GetOutputArray",                (PyCFunction)PyvtkAssignMimeType_GetOutputArray, 1,
   (char*)"V.GetOutputArray() -> string\nC++: char *GetOutputArray ();\n\n Specifies the name of the output MIME type array.  Default: \"mime_type\". \n"},
  {(char*)"SetDefaultMimeType",                (PyCFunction)PyvtkAssignMimeType_SetDefaultMimeType, 1,
   (char*)"V.SetDefaultMimeType(string)\nC++: void SetDefaultMimeType (char *);\n\n Specifies a default MIME type that will be assigned to files whose MIME type\n can't otherwise be identified.  Set this to \"text/plain\" if you want to analyze\n files that would otherwise be ignored (such as files without a known file\n extension, files without any file extension, etc).  Default: empty string.\n"},
  {(char*)"GetDefaultMimeType",                (PyCFunction)PyvtkAssignMimeType_GetDefaultMimeType, 1,
   (char*)"V.GetDefaultMimeType() -> string\nC++: char *GetDefaultMimeType ();\n\n Specifies a default MIME type that will be assigned to files whose MIME type\n can't otherwise be identified.  Set this to \"text/plain\" if you want to analyze\n files that would otherwise be ignored (such as files without a known file\n extension, files without any file extension, etc).  Default: empty string.\n"},
  {(char*)"SetMimeTypes",                (PyCFunction)PyvtkAssignMimeType_SetMimeTypes, 1,
   (char*)"V.SetMimeTypes(vtkMimeTypes)\nC++: void SetMimeTypes (vtkMimeTypes *m);\n\n Assign a custom vtkMimeTypes object to this filter.  This makes it possible\n to work with arbitrary Mime Type strategies.\n"},
  {(char*)"GetMimeTypes",                (PyCFunction)PyvtkAssignMimeType_GetMimeTypes, 1,
   (char*)"V.GetMimeTypes() -> vtkMimeTypes\nC++: vtkMimeTypes *GetMimeTypes ();\n\n Assign a custom vtkMimeTypes object to this filter.  This makes it possible\n to work with arbitrary Mime Type strategies.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAssignMimeTypeDoc[] = {
  (char*)"vtkAssignMimeType - Assigns MIME types to a collection of documents.\n\n",
  "Super Class:\n\n vtkTableAlgorithm\n\n",
  (char*)" Given a table containing document URIs and contents, tries to assign a MIME type\n to each document.\n\n Inputs:\n   Input port 0: (required) A vtkTable containing document URIs and contents\n   (which could be binary).\n\n Outputs:\n   Output port 0: The same table with an additional \"mime_type\" column that contains the\n     MIME type identified for each document, or empty-string.\n\n Use SetInputArrayToP",
  (char*)"rocess(0, ...) to specify the input table column that contains\n URIs (must be a vtkStringArray).\n\n Use SetInputArrayToProcess(1, ...) to specify the input table column that contains\n document contents (must be a vtkStringArray).\n\n\n",
  "Caveats:\n\n The input document contents array must be a string array, even though the individual\n document contents may be binary data.\n\n .SECTION Thanks\n Developed by Timothy M. Shead (tshead@sandia.gov) at Sandia National Laboratories.\n\n",
  NULL
};

static vtkObjectBase *vtkAssignMimeTypeStaticNew()
{
  return vtkAssignMimeType::New();
}

PyObject *PyVTKClass_vtkAssignMimeTypeNew(char *modulename)
{
  return PyVTKClass_New(&vtkAssignMimeTypeStaticNew,
                        PyvtkAssignMimeTypeMethods,
                        (char*)"vtkAssignMimeType",modulename,
                        (char**)vtkAssignMimeTypeDoc,
                        PyVTKClass_vtkTableAlgorithmNew(modulename));
}

