// python wrapper for vtkInteractorStyleAreaSelectHover object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkInteractorStyleAreaSelectHover.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkInteractorStyleAreaSelectHoverNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkInteractorStyleAreaSelectHoverNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkInteractorStyleRubberBand2DNew(char *); }

static PyObject *PyvtkInteractorStyleAreaSelectHover_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleAreaSelectHover *op;

  const char    *temp20;
  op = (vtkInteractorStyleAreaSelectHover *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorStyleAreaSelectHover::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleAreaSelectHover_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleAreaSelectHover *op;

  char    *temp0;
  int      temp20;
  op = (vtkInteractorStyleAreaSelectHover *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorStyleAreaSelectHover::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleAreaSelectHover_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleAreaSelectHover *op;

  vtkInteractorStyleAreaSelectHover  *temp20;
  op = (vtkInteractorStyleAreaSelectHover *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorStyleAreaSelectHover::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleAreaSelectHover_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkInteractorStyleAreaSelectHover  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkInteractorStyleAreaSelectHover::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkInteractorStyleAreaSelectHover_SetLayout(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleAreaSelectHover *op;

  vtkAreaLayout  *temp0;
  PyObject *tempH0;
  op = (vtkInteractorStyleAreaSelectHover *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAreaLayout *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAreaLayout");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleAreaSelectHover::SetLayout(temp0);
      }
    else
      {
      op->SetLayout(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkInteractorStyleAreaSelectHover_GetLayout(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleAreaSelectHover *op;

  vtkAreaLayout  *temp20;
  op = (vtkInteractorStyleAreaSelectHover *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorStyleAreaSelectHover::GetLayout();
      }
    else
      {
      temp20 = op->GetLayout();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleAreaSelectHover_SetLabelField(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleAreaSelectHover *op;

  char    *temp0;
  op = (vtkInteractorStyleAreaSelectHover *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleAreaSelectHover::SetLabelField(temp0);
      }
    else
      {
      op->SetLabelField(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleAreaSelectHover_GetLabelField(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleAreaSelectHover *op;

  char    *temp20;
  op = (vtkInteractorStyleAreaSelectHover *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorStyleAreaSelectHover::GetLabelField();
      }
    else
      {
      temp20 = op->GetLabelField();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleAreaSelectHover_SetUseRectangularCoordinates(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleAreaSelectHover *op;

  bool   temp0;
  op = (vtkInteractorStyleAreaSelectHover *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleAreaSelectHover::SetUseRectangularCoordinates(temp0);
      }
    else
      {
      op->SetUseRectangularCoordinates(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleAreaSelectHover_GetUseRectangularCoordinates(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleAreaSelectHover *op;

  bool   temp20;
  op = (vtkInteractorStyleAreaSelectHover *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorStyleAreaSelectHover::GetUseRectangularCoordinates();
      }
    else
      {
      temp20 = op->GetUseRectangularCoordinates();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleAreaSelectHover_UseRectangularCoordinatesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleAreaSelectHover *op;

  op = (vtkInteractorStyleAreaSelectHover *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleAreaSelectHover::UseRectangularCoordinatesOn();
      }
    else
      {
      op->UseRectangularCoordinatesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleAreaSelectHover_UseRectangularCoordinatesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleAreaSelectHover *op;

  op = (vtkInteractorStyleAreaSelectHover *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleAreaSelectHover::UseRectangularCoordinatesOff();
      }
    else
      {
      op->UseRectangularCoordinatesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleAreaSelectHover_OnMouseMove(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleAreaSelectHover *op;

  op = (vtkInteractorStyleAreaSelectHover *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleAreaSelectHover::OnMouseMove();
      }
    else
      {
      op->OnMouseMove();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleAreaSelectHover_SetInteractor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleAreaSelectHover *op;

  vtkRenderWindowInteractor  *temp0;
  PyObject *tempH0;
  op = (vtkInteractorStyleAreaSelectHover *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderWindowInteractor *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderWindowInteractor");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleAreaSelectHover::SetInteractor(temp0);
      }
    else
      {
      op->SetInteractor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkInteractorStyleAreaSelectHover_SetHighLightColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleAreaSelectHover *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkInteractorStyleAreaSelectHover *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleAreaSelectHover::SetHighLightColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetHighLightColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleAreaSelectHover_SetHighLightWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleAreaSelectHover *op;

  double   temp0;
  op = (vtkInteractorStyleAreaSelectHover *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleAreaSelectHover::SetHighLightWidth(temp0);
      }
    else
      {
      op->SetHighLightWidth(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleAreaSelectHover_GetHighLightWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleAreaSelectHover *op;

  double   temp20;
  op = (vtkInteractorStyleAreaSelectHover *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorStyleAreaSelectHover::GetHighLightWidth();
      }
    else
      {
      temp20 = op->GetHighLightWidth();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleAreaSelectHover_GetIdAtPos(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleAreaSelectHover *op;

  int      temp0;
  int      temp1;
  vtkIdType   temp20;
  op = (vtkInteractorStyleAreaSelectHover *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorStyleAreaSelectHover::GetIdAtPos(temp0,temp1);
      }
    else
      {
      temp20 = op->GetIdAtPos(temp0,temp1);
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkInteractorStyleAreaSelectHoverMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkInteractorStyleAreaSelectHover_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkInteractorStyleAreaSelectHover_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkInteractorStyleAreaSelectHover_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkInteractorStyleAreaSelectHover\nC++: vtkInteractorStyleAreaSelectHover *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkInteractorStyleAreaSelectHover_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkInteractorStyleAreaSelectHover\nC++: vtkInteractorStyleAreaSelectHover *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetLayout",                (PyCFunction)PyvtkInteractorStyleAreaSelectHover_SetLayout, 1,
   (char*)"V.SetLayout(vtkAreaLayout)\nC++: void SetLayout (vtkAreaLayout *layout);\n\n Must be set to the vtkAreaLayout used to compute the bounds of\n each vertex.\n"},
  {(char*)"GetLayout",                (PyCFunction)PyvtkInteractorStyleAreaSelectHover_GetLayout, 1,
   (char*)"V.GetLayout() -> vtkAreaLayout\nC++: vtkAreaLayout *GetLayout ();\n\n Must be set to the vtkAreaLayout used to compute the bounds of\n each vertex.\n"},
  {(char*)"SetLabelField",                (PyCFunction)PyvtkInteractorStyleAreaSelectHover_SetLabelField, 1,
   (char*)"V.SetLabelField(string)\nC++: void SetLabelField (char *);\n\n The name of the field to use when displaying text in the hover balloon.\n"},
  {(char*)"GetLabelField",                (PyCFunction)PyvtkInteractorStyleAreaSelectHover_GetLabelField, 1,
   (char*)"V.GetLabelField() -> string\nC++: char *GetLabelField ();\n\n The name of the field to use when displaying text in the hover balloon.\n"},
  {(char*)"SetUseRectangularCoordinates",                (PyCFunction)PyvtkInteractorStyleAreaSelectHover_SetUseRectangularCoordinates, 1,
   (char*)"V.SetUseRectangularCoordinates(bool)\nC++: void SetUseRectangularCoordinates (bool );\n\n Determine whether or not to use rectangular coordinates instead of\n polar coordinates.\n"},
  {(char*)"GetUseRectangularCoordinates",                (PyCFunction)PyvtkInteractorStyleAreaSelectHover_GetUseRectangularCoordinates, 1,
   (char*)"V.GetUseRectangularCoordinates() -> bool\nC++: bool GetUseRectangularCoordinates ();\n\n Determine whether or not to use rectangular coordinates instead of\n polar coordinates.\n"},
  {(char*)"UseRectangularCoordinatesOn",                (PyCFunction)PyvtkInteractorStyleAreaSelectHover_UseRectangularCoordinatesOn, 1,
   (char*)"V.UseRectangularCoordinatesOn()\nC++: void UseRectangularCoordinatesOn ();\n\n Determine whether or not to use rectangular coordinates instead of\n polar coordinates.\n"},
  {(char*)"UseRectangularCoordinatesOff",                (PyCFunction)PyvtkInteractorStyleAreaSelectHover_UseRectangularCoordinatesOff, 1,
   (char*)"V.UseRectangularCoordinatesOff()\nC++: void UseRectangularCoordinatesOff ();\n\n Determine whether or not to use rectangular coordinates instead of\n polar coordinates.\n"},
  {(char*)"OnMouseMove",                (PyCFunction)PyvtkInteractorStyleAreaSelectHover_OnMouseMove, 1,
   (char*)"V.OnMouseMove()\nC++: void OnMouseMove ();\n\n Overridden from vtkInteractorStyleImage to provide the desired\n interaction behavior.\n"},
  {(char*)"SetInteractor",                (PyCFunction)PyvtkInteractorStyleAreaSelectHover_SetInteractor, 1,
   (char*)"V.SetInteractor(vtkRenderWindowInteractor)\nC++: virtual void SetInteractor (vtkRenderWindowInteractor *rwi);\n\n Set the interactor that this interactor style works with.\n"},
  {(char*)"SetHighLightColor",                (PyCFunction)PyvtkInteractorStyleAreaSelectHover_SetHighLightColor, 1,
   (char*)"V.SetHighLightColor(float, float, float)\nC++: void SetHighLightColor (double r, double g, double b);\n\n Set the color used to highlight the hovered vertex.\n"},
  {(char*)"SetHighLightWidth",                (PyCFunction)PyvtkInteractorStyleAreaSelectHover_SetHighLightWidth, 1,
   (char*)"V.SetHighLightWidth(float)\nC++: void SetHighLightWidth (double lw);\n\n The width of the line around the hovered vertex.\n"},
  {(char*)"GetHighLightWidth",                (PyCFunction)PyvtkInteractorStyleAreaSelectHover_GetHighLightWidth, 1,
   (char*)"V.GetHighLightWidth() -> float\nC++: double GetHighLightWidth ();\n\n The width of the line around the hovered vertex.\n"},
  {(char*)"GetIdAtPos",                (PyCFunction)PyvtkInteractorStyleAreaSelectHover_GetIdAtPos, 1,
   (char*)"V.GetIdAtPos(int, int) -> int\nC++: vtkIdType GetIdAtPos (int x, int y);\n\n Obtain the tree vertex id at the position specified.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkInteractorStyleAreaSelectHoverDoc[] = {
  (char*)"vtkInteractorStyleAreaSelectHover - An interactor style for an area tree view\n\n",
  "Super Class:\n\n vtkInteractorStyleRubberBand2D\n\n",
  (char*)" The vtkInteractorStyleAreaSelectHover specifically works with pipelines\n that create a hierarchical tree.  Such pipelines will have a vtkAreaLayout\n filter which must be passed to this interactor style for it to function\n correctly.\n This interactor style allows only 2D panning and zooming,\n rubber band selection and provides a balloon containing the name of the\n vertex hovered over.\n\n",
  NULL
};

static vtkObjectBase *vtkInteractorStyleAreaSelectHoverStaticNew()
{
  return vtkInteractorStyleAreaSelectHover::New();
}

PyObject *PyVTKClass_vtkInteractorStyleAreaSelectHoverNew(char *modulename)
{
  return PyVTKClass_New(&vtkInteractorStyleAreaSelectHoverStaticNew,
                        PyvtkInteractorStyleAreaSelectHoverMethods,
                        (char*)"vtkInteractorStyleAreaSelectHover",modulename,
                        (char**)vtkInteractorStyleAreaSelectHoverDoc,
                        PyVTKClass_vtkInteractorStyleRubberBand2DNew(modulename));
}

