// java wrapper for vtkVolumeTextureMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkVolumeTextureMapper.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkVolumeMapper_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkVolumeTextureMapper_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkVolumeTextureMapper",dType)) { return me; }
  if ((res= vtkVolumeMapper_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkVolumeTextureMapper_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkVolumeTextureMapper *op;
  const char    *temp20;

  op = (vtkVolumeTextureMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkVolumeTextureMapper_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkVolumeTextureMapper *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkVolumeTextureMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeTextureMapper_Update_12(JNIEnv *env, jobject obj)
{
  vtkVolumeTextureMapper *op;

  op = (vtkVolumeTextureMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->Update();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkVolumeTextureMapper_SetGradientEstimator_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkVolumeTextureMapper *op;
  vtkEncodedGradientEstimator  *temp0;
  temp0 = (vtkEncodedGradientEstimator *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkVolumeTextureMapper *)vtkJavaGetPointerFromObject(env,obj);
  op->SetGradientEstimator(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkVolumeTextureMapper_GetGradientEstimator_14(JNIEnv *env, jobject obj)
{
  vtkVolumeTextureMapper *op;
  vtkEncodedGradientEstimator  *temp20;

  op = (vtkVolumeTextureMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGradientEstimator();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkVolumeTextureMapper_GetGradientShader_15(JNIEnv *env, jobject obj)
{
  vtkVolumeTextureMapper *op;
  vtkEncodedGradientShader  *temp20;

  op = (vtkVolumeTextureMapper *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGradientShader();
  return (jlong)(size_t)temp20;}
