// python wrapper for vtkPolygonalHandleRepresentation3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPolygonalHandleRepresentation3D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPolygonalHandleRepresentation3DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPolygonalHandleRepresentation3DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAbstractPolygonalHandleRepresentation3DNew(char *); }

static PyObject *PyvtkPolygonalHandleRepresentation3D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolygonalHandleRepresentation3D *op;

  const char    *temp20;
  op = (vtkPolygonalHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolygonalHandleRepresentation3D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPolygonalHandleRepresentation3D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolygonalHandleRepresentation3D *op;

  char    *temp0;
  int      temp20;
  op = (vtkPolygonalHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolygonalHandleRepresentation3D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolygonalHandleRepresentation3D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolygonalHandleRepresentation3D *op;

  vtkPolygonalHandleRepresentation3D  *temp20;
  op = (vtkPolygonalHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolygonalHandleRepresentation3D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolygonalHandleRepresentation3D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPolygonalHandleRepresentation3D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPolygonalHandleRepresentation3D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPolygonalHandleRepresentation3D_SetWorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolygonalHandleRepresentation3D *op;

  double temp0[3];
  op = (vtkPolygonalHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolygonalHandleRepresentation3D::SetWorldPosition(temp0);
      }
    else
      {
      op->SetWorldPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolygonalHandleRepresentation3D_SetOffset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolygonalHandleRepresentation3D *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkPolygonalHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolygonalHandleRepresentation3D::SetOffset(temp0,temp1,temp2);
      }
    else
      {
      op->SetOffset(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPolygonalHandleRepresentation3D *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkPolygonalHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolygonalHandleRepresentation3D::SetOffset(temp0);
      }
    else
      {
      op->SetOffset(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolygonalHandleRepresentation3D_GetOffset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolygonalHandleRepresentation3D *op;

  double  *temp20;
  op = (vtkPolygonalHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolygonalHandleRepresentation3D::GetOffset();
      }
    else
      {
      temp20 = op->GetOffset();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPolygonalHandleRepresentation3DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPolygonalHandleRepresentation3D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPolygonalHandleRepresentation3D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for instances of this class.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPolygonalHandleRepresentation3D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPolygonalHandleRepresentation3D\nC++: vtkPolygonalHandleRepresentation3D *NewInstance ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPolygonalHandleRepresentation3D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPolygonalHandleRepresentation3D\nC++: vtkPolygonalHandleRepresentation3D *SafeDownCast (vtkObject* o);\n\n Standard methods for instances of this class.\n"},
  {(char*)"SetWorldPosition",                (PyCFunction)PyvtkPolygonalHandleRepresentation3D_SetWorldPosition, 1,
   (char*)"V.SetWorldPosition((float, float, float))\nC++: virtual void SetWorldPosition (double p[3]);\n\n Set the position of the point in world and display coordinates.\n"},
  {(char*)"SetOffset",                (PyCFunction)PyvtkPolygonalHandleRepresentation3D_SetOffset, 1,
   (char*)"V.SetOffset(float, float, float)\nC++: void SetOffset (double , double , double );\nV.SetOffset((float, float, float))\nC++: void SetOffset (double  a[3]);\n\n Set/get the offset of the handle position with respect to the handle \n center, assumed to be the origin.\n"},
  {(char*)"GetOffset",                (PyCFunction)PyvtkPolygonalHandleRepresentation3D_GetOffset, 1,
   (char*)"V.GetOffset() -> (float, float, float)\nC++: double  *GetOffset ();\n\n Set/get the offset of the handle position with respect to the handle \n center, assumed to be the origin.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPolygonalHandleRepresentation3DDoc[] = {
  (char*)"vtkPolygonalHandleRepresentation3D - represent a user defined handle geometry in 3D space\n\n",
  "Super Class:\n\n vtkAbstractPolygonalHandleRepresentation3D\n\n",
  (char*)" This class serves as the geometrical representation of a vtkHandleWidget. \n The handle can be represented by an arbitrary polygonal data (vtkPolyData),\n set via SetHandle(vtkPolyData *). The actual position of the handle \n will be initially assumed to be (0,0,0). You can specify an offset from\n this position if desired.\n\n",
  "See Also:\n\n vtkPointHandleRepresentation3D vtkHandleRepresentation vtkHandleWidget\n\n",
  NULL
};

static vtkObjectBase *vtkPolygonalHandleRepresentation3DStaticNew()
{
  return vtkPolygonalHandleRepresentation3D::New();
}

PyObject *PyVTKClass_vtkPolygonalHandleRepresentation3DNew(char *modulename)
{
  return PyVTKClass_New(&vtkPolygonalHandleRepresentation3DStaticNew,
                        PyvtkPolygonalHandleRepresentation3DMethods,
                        (char*)"vtkPolygonalHandleRepresentation3D",modulename,
                        (char**)vtkPolygonalHandleRepresentation3DDoc,
                        PyVTKClass_vtkAbstractPolygonalHandleRepresentation3DNew(modulename));
}

