// python wrapper for vtkQuadratureSchemeDefinition object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkQuadratureSchemeDefinition.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkQuadratureSchemeDefinitionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkQuadratureSchemeDefinitionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkQuadratureSchemeDefinition_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuadratureSchemeDefinition *op;

  const char    *temp20;
  op = (vtkQuadratureSchemeDefinition *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuadratureSchemeDefinition::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkQuadratureSchemeDefinition_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuadratureSchemeDefinition *op;

  char    *temp0;
  int      temp20;
  op = (vtkQuadratureSchemeDefinition *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuadratureSchemeDefinition::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQuadratureSchemeDefinition_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuadratureSchemeDefinition *op;

  vtkQuadratureSchemeDefinition  *temp20;
  op = (vtkQuadratureSchemeDefinition *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuadratureSchemeDefinition::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQuadratureSchemeDefinition_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkQuadratureSchemeDefinition  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkQuadratureSchemeDefinition::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkQuadratureSchemeDefinition_DICTIONARY(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationQuadratureSchemeDefinitionVectorKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkQuadratureSchemeDefinition::DICTIONARY();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQuadratureSchemeDefinition_QUADRATURE_OFFSET_ARRAY_NAME(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationStringKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkQuadratureSchemeDefinition::QUADRATURE_OFFSET_ARRAY_NAME();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQuadratureSchemeDefinition_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuadratureSchemeDefinition *op;

  vtkQuadratureSchemeDefinition  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkQuadratureSchemeDefinition *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkQuadratureSchemeDefinition *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkQuadratureSchemeDefinition");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuadratureSchemeDefinition::DeepCopy(temp0);
      }
    else
      {
      temp20 = op->DeepCopy(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkQuadratureSchemeDefinition_SaveState(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuadratureSchemeDefinition *op;

  vtkXMLDataElement  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkQuadratureSchemeDefinition *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkXMLDataElement *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkXMLDataElement");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuadratureSchemeDefinition::SaveState(temp0);
      }
    else
      {
      temp20 = op->SaveState(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkQuadratureSchemeDefinition_RestoreState(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuadratureSchemeDefinition *op;

  vtkXMLDataElement  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkQuadratureSchemeDefinition *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkXMLDataElement *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkXMLDataElement");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuadratureSchemeDefinition::RestoreState(temp0);
      }
    else
      {
      temp20 = op->RestoreState(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkQuadratureSchemeDefinition_Clear(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuadratureSchemeDefinition *op;

  op = (vtkQuadratureSchemeDefinition *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkQuadratureSchemeDefinition::Clear();
      }
    else
      {
      op->Clear();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkQuadratureSchemeDefinition_GetCellType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuadratureSchemeDefinition *op;

  int      temp20;
  op = (vtkQuadratureSchemeDefinition *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuadratureSchemeDefinition::GetCellType();
      }
    else
      {
      temp20 = op->GetCellType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQuadratureSchemeDefinition_GetQuadratureKey(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuadratureSchemeDefinition *op;

  int      temp20;
  op = (vtkQuadratureSchemeDefinition *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuadratureSchemeDefinition::GetQuadratureKey();
      }
    else
      {
      temp20 = op->GetQuadratureKey();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQuadratureSchemeDefinition_GetNumberOfNodes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuadratureSchemeDefinition *op;

  int      temp20;
  op = (vtkQuadratureSchemeDefinition *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuadratureSchemeDefinition::GetNumberOfNodes();
      }
    else
      {
      temp20 = op->GetNumberOfNodes();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQuadratureSchemeDefinition_GetNumberOfQuadraturePoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuadratureSchemeDefinition *op;

  int      temp20;
  op = (vtkQuadratureSchemeDefinition *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuadratureSchemeDefinition::GetNumberOfQuadraturePoints();
      }
    else
      {
      temp20 = op->GetNumberOfQuadraturePoints();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkQuadratureSchemeDefinitionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkQuadratureSchemeDefinition_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkQuadratureSchemeDefinition_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkQuadratureSchemeDefinition_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkQuadratureSchemeDefinition\nC++: vtkQuadratureSchemeDefinition *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkQuadratureSchemeDefinition_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkQuadratureSchemeDefinition\nC++: vtkQuadratureSchemeDefinition *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"DICTIONARY",                (PyCFunction)PyvtkQuadratureSchemeDefinition_DICTIONARY, 1,
   (char*)"V.DICTIONARY() -> vtkInformationQuadratureSchemeDefinitionVectorKey\nC++: static vtkInformationQuadratureSchemeDefinitionVectorKey *DICTIONARY ();\n\n"},
  {(char*)"QUADRATURE_OFFSET_ARRAY_NAME",                (PyCFunction)PyvtkQuadratureSchemeDefinition_QUADRATURE_OFFSET_ARRAY_NAME, 1,
   (char*)"V.QUADRATURE_OFFSET_ARRAY_NAME() -> vtkInformationStringKey\nC++: static vtkInformationStringKey *QUADRATURE_OFFSET_ARRAY_NAME ();\n\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkQuadratureSchemeDefinition_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkQuadratureSchemeDefinition) -> int\nC++: int DeepCopy (const vtkQuadratureSchemeDefinition *other);\n\n Deep copy.\n"},
  {(char*)"SaveState",                (PyCFunction)PyvtkQuadratureSchemeDefinition_SaveState, 1,
   (char*)"V.SaveState(vtkXMLDataElement) -> int\nC++: int SaveState (vtkXMLDataElement *e);\n\n Put the object into an XML representation. The element\n passed in is assumed to be empty.\n"},
  {(char*)"RestoreState",                (PyCFunction)PyvtkQuadratureSchemeDefinition_RestoreState, 1,
   (char*)"V.RestoreState(vtkXMLDataElement) -> int\nC++: int RestoreState (vtkXMLDataElement *e);\n\n Restore the object from an XML representation.\n"},
  {(char*)"Clear",                (PyCFunction)PyvtkQuadratureSchemeDefinition_Clear, 1,
   (char*)"V.Clear()\nC++: void Clear ();\n\n Release all allocated resources and set the \n object to an unitialized state.\n"},
  {(char*)"GetCellType",                (PyCFunction)PyvtkQuadratureSchemeDefinition_GetCellType, 1,
   (char*)"V.GetCellType() -> int\nC++: int GetCellType () const;return this CellType \n\n Access to an alternative key.\n"},
  {(char*)"GetQuadratureKey",                (PyCFunction)PyvtkQuadratureSchemeDefinition_GetQuadratureKey, 1,
   (char*)"V.GetQuadratureKey() -> int\nC++: int GetQuadratureKey () const;return this QuadratureKey \n\n Get the number of nodes associated with the interpolation.\n"},
  {(char*)"GetNumberOfNodes",                (PyCFunction)PyvtkQuadratureSchemeDefinition_GetNumberOfNodes, 1,
   (char*)"V.GetNumberOfNodes() -> int\nC++: int GetNumberOfNodes () const;return this NumberOfNodes \n\n Get the number of quadrature points associated with the scheme.\n"},
  {(char*)"GetNumberOfQuadraturePoints",                (PyCFunction)PyvtkQuadratureSchemeDefinition_GetNumberOfQuadraturePoints, 1,
   (char*)"V.GetNumberOfQuadraturePoints() -> int\nC++: int GetNumberOfQuadraturePoints () const;return this NumberOfQuadraturePoints \n\n Get the array of shape function weights. Shape function weights are\n the shape functions evaluated at the quadrature points. There are \n \"NumberOfNodes\" weights for each quadrature point.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkQuadratureSchemeDefinitionDoc[] = {
  (char*)"vtkQuadratureSchemeDefinition\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" An Elemental data type that holds a definition of a\n numerical quadrature scheme. The definition contains\n the requisite information to interpolate to the so called\n quadrature points of the specific scheme. namely:\n\n <pre>\n 1)\n A matrix of shape function weights(shape functions evaluated\n at parametric coordinates of the quadrature points).\n\n 2)\n The number of quadrature points and cell nodes. T",
  (char*)"hese parameters\n size the matrix, and allow for convinent evaluation by users\n of the definition.\n </pre>\n\n",
  NULL
};

static vtkObjectBase *vtkQuadratureSchemeDefinitionStaticNew()
{
  return vtkQuadratureSchemeDefinition::New();
}

PyObject *PyVTKClass_vtkQuadratureSchemeDefinitionNew(char *modulename)
{
  return PyVTKClass_New(&vtkQuadratureSchemeDefinitionStaticNew,
                        PyvtkQuadratureSchemeDefinitionMethods,
                        (char*)"vtkQuadratureSchemeDefinition",modulename,
                        (char**)vtkQuadratureSchemeDefinitionDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

