// python wrapper for vtkBiQuadraticTriangle object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkBiQuadraticTriangle.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBiQuadraticTriangleNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBiQuadraticTriangleNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkNonLinearCellNew(char *); }

static PyObject *PyvtkBiQuadraticTriangle_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiQuadraticTriangle *op;

  const char    *temp20;
  op = (vtkBiQuadraticTriangle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBiQuadraticTriangle::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBiQuadraticTriangle_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiQuadraticTriangle *op;

  char    *temp0;
  int      temp20;
  op = (vtkBiQuadraticTriangle *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBiQuadraticTriangle::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBiQuadraticTriangle_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiQuadraticTriangle *op;

  vtkBiQuadraticTriangle  *temp20;
  op = (vtkBiQuadraticTriangle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBiQuadraticTriangle::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBiQuadraticTriangle_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkBiQuadraticTriangle  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkBiQuadraticTriangle::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkBiQuadraticTriangle_GetCellType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiQuadraticTriangle *op;

  int      temp20;
  op = (vtkBiQuadraticTriangle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBiQuadraticTriangle::GetCellType();
      }
    else
      {
      temp20 = op->GetCellType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBiQuadraticTriangle_GetCellDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiQuadraticTriangle *op;

  int      temp20;
  op = (vtkBiQuadraticTriangle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBiQuadraticTriangle::GetCellDimension();
      }
    else
      {
      temp20 = op->GetCellDimension();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBiQuadraticTriangle_GetNumberOfEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiQuadraticTriangle *op;

  int      temp20;
  op = (vtkBiQuadraticTriangle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBiQuadraticTriangle::GetNumberOfEdges();
      }
    else
      {
      temp20 = op->GetNumberOfEdges();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBiQuadraticTriangle_GetNumberOfFaces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiQuadraticTriangle *op;

  int      temp20;
  op = (vtkBiQuadraticTriangle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBiQuadraticTriangle::GetNumberOfFaces();
      }
    else
      {
      temp20 = op->GetNumberOfFaces();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBiQuadraticTriangle_GetEdge(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiQuadraticTriangle *op;

  int      temp0;
  vtkCell  *temp20;
  op = (vtkBiQuadraticTriangle *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBiQuadraticTriangle::GetEdge(temp0);
      }
    else
      {
      temp20 = op->GetEdge(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBiQuadraticTriangle_GetFace(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiQuadraticTriangle *op;

  int      temp0;
  vtkCell  *temp20;
  op = (vtkBiQuadraticTriangle *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBiQuadraticTriangle::GetFace(temp0);
      }
    else
      {
      temp20 = op->GetFace(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBiQuadraticTriangle_CellBoundary(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiQuadraticTriangle *op;

  int      temp0;
  double temp1[3];
  vtkIdList  *temp2;
  PyObject *tempH2;
  int      temp20;
  op = (vtkBiQuadraticTriangle *)PyArg_VTKParseTuple(self, args, (char*)"i(ddd)O", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, &tempH2);
  if (op)
    {
    temp2 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkIdList");
    if (!temp2 && tempH2 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBiQuadraticTriangle::CellBoundary(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->CellBoundary(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkBiQuadraticTriangle_Contour(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiQuadraticTriangle *op;

  double   temp0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  vtkIncrementalPointLocator  *temp2;
  PyObject *tempH2;
  vtkCellArray  *temp3;
  PyObject *tempH3;
  vtkCellArray  *temp4;
  PyObject *tempH4;
  vtkCellArray  *temp5;
  PyObject *tempH5;
  vtkPointData  *temp6;
  PyObject *tempH6;
  vtkPointData  *temp7;
  PyObject *tempH7;
  vtkCellData  *temp8;
  PyObject *tempH8;
  vtkIdType   temp9;
  vtkCellData  *temp10;
  PyObject *tempH10;
  op = (vtkBiQuadraticTriangle *)PyArg_VTKParseTuple(self, args, (char*)"dOOOOOOOOLO", &temp0, &tempH1, &tempH2, &tempH3, &tempH4, &tempH5, &tempH6, &tempH7, &tempH8, &temp9, &tempH10);
  if (op)
    {
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break11;
    temp2 = (vtkIncrementalPointLocator *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkIncrementalPointLocator");
    if (!temp2 && tempH2 != Py_None) goto break11;
    temp3 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkCellArray");
    if (!temp3 && tempH3 != Py_None) goto break11;
    temp4 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkCellArray");
    if (!temp4 && tempH4 != Py_None) goto break11;
    temp5 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkCellArray");
    if (!temp5 && tempH5 != Py_None) goto break11;
    temp6 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH6,(char*)"vtkPointData");
    if (!temp6 && tempH6 != Py_None) goto break11;
    temp7 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH7,(char*)"vtkPointData");
    if (!temp7 && tempH7 != Py_None) goto break11;
    temp8 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH8,(char*)"vtkCellData");
    if (!temp8 && tempH8 != Py_None) goto break11;
    temp10 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH10,(char*)"vtkCellData");
    if (!temp10 && tempH10 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkBiQuadraticTriangle::Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10);
      }
    else
      {
      op->Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkBiQuadraticTriangle_Triangulate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiQuadraticTriangle *op;

  int      temp0;
  vtkIdList  *temp1;
  PyObject *tempH1;
  vtkPoints  *temp2;
  PyObject *tempH2;
  int      temp20;
  op = (vtkBiQuadraticTriangle *)PyArg_VTKParseTuple(self, args, (char*)"iOO", &temp0, &tempH1, &tempH2);
  if (op)
    {
    temp1 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdList");
    if (!temp1 && tempH1 != Py_None) goto break12;
    temp2 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkPoints");
    if (!temp2 && tempH2 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBiQuadraticTriangle::Triangulate(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->Triangulate(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkBiQuadraticTriangle_Clip(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiQuadraticTriangle *op;

  double   temp0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  vtkIncrementalPointLocator  *temp2;
  PyObject *tempH2;
  vtkCellArray  *temp3;
  PyObject *tempH3;
  vtkPointData  *temp4;
  PyObject *tempH4;
  vtkPointData  *temp5;
  PyObject *tempH5;
  vtkCellData  *temp6;
  PyObject *tempH6;
  vtkIdType   temp7;
  vtkCellData  *temp8;
  PyObject *tempH8;
  int      temp9;
  op = (vtkBiQuadraticTriangle *)PyArg_VTKParseTuple(self, args, (char*)"dOOOOOOLOi", &temp0, &tempH1, &tempH2, &tempH3, &tempH4, &tempH5, &tempH6, &temp7, &tempH8, &temp9);
  if (op)
    {
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break13;
    temp2 = (vtkIncrementalPointLocator *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkIncrementalPointLocator");
    if (!temp2 && tempH2 != Py_None) goto break13;
    temp3 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkCellArray");
    if (!temp3 && tempH3 != Py_None) goto break13;
    temp4 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkPointData");
    if (!temp4 && tempH4 != Py_None) goto break13;
    temp5 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkPointData");
    if (!temp5 && tempH5 != Py_None) goto break13;
    temp6 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH6,(char*)"vtkCellData");
    if (!temp6 && tempH6 != Py_None) goto break13;
    temp8 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH8,(char*)"vtkCellData");
    if (!temp8 && tempH8 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkBiQuadraticTriangle::Clip(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
      }
    else
      {
      op->Clip(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkBiQuadraticTriangle_GetParametricCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiQuadraticTriangle *op;

  double temp0[3];
  int      temp20;
  op = (vtkBiQuadraticTriangle *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBiQuadraticTriangle::GetParametricCenter(temp0);
      }
    else
      {
      temp20 = op->GetParametricCenter(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBiQuadraticTriangle_GetParametricDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiQuadraticTriangle *op;

  double temp0[3];
  double   temp20;
  op = (vtkBiQuadraticTriangle *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBiQuadraticTriangle::GetParametricDistance(temp0);
      }
    else
      {
      temp20 = op->GetParametricDistance(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBiQuadraticTriangle_InterpolationFunctions(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double temp0[3];
  double temp1[7];
  if ((PyArg_ParseTuple(args, (char*)"(ddd)(ddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5, temp1 + 6)))
    {
      {
      vtkBiQuadraticTriangle::InterpolationFunctions(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,7)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBiQuadraticTriangle_InterpolationDerivs(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double temp0[3];
  double temp1[14];
  if ((PyArg_ParseTuple(args, (char*)"(ddd)(dddddddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5, temp1 + 6, temp1 + 7, temp1 + 8, temp1 + 9, temp1 + 10, temp1 + 11, temp1 + 12, temp1 + 13)))
    {
      {
      vtkBiQuadraticTriangle::InterpolationDerivs(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,14)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBiQuadraticTriangle_InterpolateFunctions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiQuadraticTriangle *op;

  double temp0[3];
  double temp1[7];
  op = (vtkBiQuadraticTriangle *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5, temp1 + 6);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBiQuadraticTriangle::InterpolateFunctions(temp0,temp1);
      }
    else
      {
      op->InterpolateFunctions(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,7)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBiQuadraticTriangle_InterpolateDerivs(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBiQuadraticTriangle *op;

  double temp0[3];
  double temp1[14];
  op = (vtkBiQuadraticTriangle *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(dddddddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5, temp1 + 6, temp1 + 7, temp1 + 8, temp1 + 9, temp1 + 10, temp1 + 11, temp1 + 12, temp1 + 13);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBiQuadraticTriangle::InterpolateDerivs(temp0,temp1);
      }
    else
      {
      op->InterpolateDerivs(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,14)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkBiQuadraticTriangleMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkBiQuadraticTriangle_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkBiQuadraticTriangle_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkBiQuadraticTriangle_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBiQuadraticTriangle\nC++: vtkBiQuadraticTriangle *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkBiQuadraticTriangle_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBiQuadraticTriangle\nC++: vtkBiQuadraticTriangle *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetCellType",                (PyCFunction)PyvtkBiQuadraticTriangle_GetCellType, 1,
   (char*)"V.GetCellType() -> int\nC++: int GetCellType ();return VTK_BIQUADRATIC_TRIANGLE \n\n Implement the vtkCell API. See the vtkCell API for descriptions\n of these methods.\n"},
  {(char*)"GetCellDimension",                (PyCFunction)PyvtkBiQuadraticTriangle_GetCellDimension, 1,
   (char*)"V.GetCellDimension() -> int\nC++: int GetCellDimension ();return \n\n Implement the vtkCell API. See the vtkCell API for descriptions\n of these methods.\n"},
  {(char*)"GetNumberOfEdges",                (PyCFunction)PyvtkBiQuadraticTriangle_GetNumberOfEdges, 1,
   (char*)"V.GetNumberOfEdges() -> int\nC++: int GetNumberOfEdges ();return \n\n Implement the vtkCell API. See the vtkCell API for descriptions\n of these methods.\n"},
  {(char*)"GetNumberOfFaces",                (PyCFunction)PyvtkBiQuadraticTriangle_GetNumberOfFaces, 1,
   (char*)"V.GetNumberOfFaces() -> int\nC++: int GetNumberOfFaces ();return \n\n Implement the vtkCell API. See the vtkCell API for descriptions\n of these methods.\n"},
  {(char*)"GetEdge",                (PyCFunction)PyvtkBiQuadraticTriangle_GetEdge, 1,
   (char*)"V.GetEdge(int) -> vtkCell\nC++: vtkCell *GetEdge (int edgeId);\n\n Implement the vtkCell API. See the vtkCell API for descriptions\n of these methods.\n"},
  {(char*)"GetFace",                (PyCFunction)PyvtkBiQuadraticTriangle_GetFace, 1,
   (char*)"V.GetFace(int) -> vtkCell\nC++: vtkCell *GetFace (int );return \n\n"},
  {(char*)"CellBoundary",                (PyCFunction)PyvtkBiQuadraticTriangle_CellBoundary, 1,
   (char*)"V.CellBoundary(int, (float, float, float), vtkIdList) -> int\nC++: int CellBoundary (int subId, double pcoords[3], vtkIdList *pts);\n\n"},
  {(char*)"Contour",                (PyCFunction)PyvtkBiQuadraticTriangle_Contour, 1,
   (char*)"V.Contour(float, vtkDataArray, vtkIncrementalPointLocator, vtkCellArray, vtkCellArray, vtkCellArray, vtkPointData, vtkPointData, vtkCellData, int, vtkCellData)\nC++: void Contour (double value, vtkDataArray *cellScalars, vtkIncrementalPointLocator *locator, vtkCellArray *verts, vtkCellArray *lines, vtkCellArray *polys, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd);\n\n"},
  {(char*)"Triangulate",                (PyCFunction)PyvtkBiQuadraticTriangle_Triangulate, 1,
   (char*)"V.Triangulate(int, vtkIdList, vtkPoints) -> int\nC++: int Triangulate (int index, vtkIdList *ptIds, vtkPoints *pts);\n\n"},
  {(char*)"Clip",                (PyCFunction)PyvtkBiQuadraticTriangle_Clip, 1,
   (char*)"V.Clip(float, vtkDataArray, vtkIncrementalPointLocator, vtkCellArray, vtkPointData, vtkPointData, vtkCellData, int, vtkCellData, int)\nC++: void Clip (double value, vtkDataArray *cellScalars, vtkIncrementalPointLocator *locator, vtkCellArray *polys, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd, int insideOut);\n\n Clip this quadratic triangle using scalar value provided. Like\n contouring, except that it cuts the triangle to produce linear\n triangles.\n"},
  {(char*)"GetParametricCenter",                (PyCFunction)PyvtkBiQuadraticTriangle_GetParametricCenter, 1,
   (char*)"V.GetParametricCenter((float, float, float)) -> int\nC++: int GetParametricCenter (double pcoords[3]);\n\n Return the center of the quadratic triangle in parametric coordinates.\n"},
  {(char*)"GetParametricDistance",                (PyCFunction)PyvtkBiQuadraticTriangle_GetParametricDistance, 1,
   (char*)"V.GetParametricDistance((float, float, float)) -> float\nC++: double GetParametricDistance (double pcoords[3]);\n\n Return the distance of the parametric coordinate provided to the\n cell. If inside the cell, a distance of zero is returned.\n"},
  {(char*)"InterpolationFunctions",                (PyCFunction)PyvtkBiQuadraticTriangle_InterpolationFunctions, 1,
   (char*)"V.InterpolationFunctions((float, float, float), (float, float, float, float, float, float, float))\nC++: static void InterpolationFunctions (double pcoords[3], double weights[7]);\n\n @deprecated Replaced by vtkBiQuadraticTriangle::InterpolateFunctions as of VTK 5.2\n"},
  {(char*)"InterpolationDerivs",                (PyCFunction)PyvtkBiQuadraticTriangle_InterpolationDerivs, 1,
   (char*)"V.InterpolationDerivs((float, float, float), (float, float, float, float, float, float, float, float, float, float, float, float, float, float))\nC++: static void InterpolationDerivs (double pcoords[3], double derivs[14]);\n\n @deprecated Replaced by vtkBiQuadraticTriangle::InterpolateDerivs as of VTK 5.2\n"},
  {(char*)"InterpolateFunctions",                (PyCFunction)PyvtkBiQuadraticTriangle_InterpolateFunctions, 1,
   (char*)"V.InterpolateFunctions((float, float, float), (float, float, float, float, float, float, float))\nC++: virtual void InterpolateFunctions (double pcoords[3], double weights[7]);vtkBiQuadraticTriangle InterpolationFunctions pcoords weights \n\n Compute the interpolation functions/derivatives\n (aka shape functions/derivatives)\n"},
  {(char*)"InterpolateDerivs",                (PyCFunction)PyvtkBiQuadraticTriangle_InterpolateDerivs, 1,
   (char*)"V.InterpolateDerivs((float, float, float), (float, float, float, float, float, float, float, float, float, float, float, float, float, float))\nC++: virtual void InterpolateDerivs (double pcoords[3], double derivs[14]);vtkBiQuadraticTriangle InterpolationDerivs pcoords derivs \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkBiQuadraticTriangleDoc[] = {
  (char*)"vtkBiQuadraticTriangle - cell represents a parabolic, isoparametric triangle\n\n",
  "Super Class:\n\n vtkNonLinearCell\n\n",
  (char*)" vtkBiQuadraticTriangle is a concrete implementation of vtkNonLinearCell to\n represent a two-dimensional, 7-node, isoparametric parabolic triangle. The\n interpolation is the standard finite element, bi-quadratic isoparametric\n shape function. The cell includes three mid-edge nodes besides the three\n triangle vertices and a center node. The ordering of the three points defining the cell is \n point ",
  (char*)"ids (0-2,3-6) where id #3 is the midedge node between points\n (0,1); id #4 is the midedge node between points (1,2); and id #5 is the \n midedge node between points (2,0). id #6 is the center node of the cell.\n\n",
  "See Also:\n\n vtkTriangle vtkQuadraticTriangle\n vtkBiQuadraticQuad vtkBiQuadraticQuadraticWedge vtkBiQuadraticQuadraticHexahedron\n .SECTION Thanks \n <verbatim> \n This file has been developed by Oxalya - www.oxalya.com \n Copyright (c) EDF - www.edf.fr \n </verbatim> \n\n",
  NULL
};

static vtkObjectBase *vtkBiQuadraticTriangleStaticNew()
{
  return vtkBiQuadraticTriangle::New();
}

PyObject *PyVTKClass_vtkBiQuadraticTriangleNew(char *modulename)
{
  return PyVTKClass_New(&vtkBiQuadraticTriangleStaticNew,
                        PyvtkBiQuadraticTriangleMethods,
                        (char*)"vtkBiQuadraticTriangle",modulename,
                        (char**)vtkBiQuadraticTriangleDoc,
                        PyVTKClass_vtkNonLinearCellNew(modulename));
}

