// java wrapper for vtkNonMergingPointLocator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkNonMergingPointLocator.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPointLocator_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkNonMergingPointLocator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkNonMergingPointLocator",dType)) { return me; }
  if ((res= vtkPointLocator_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkNonMergingPointLocator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkNonMergingPointLocator *op;
  const char    *temp20;

  op = (vtkNonMergingPointLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkNonMergingPointLocator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkNonMergingPointLocator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkNonMergingPointLocator *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkNonMergingPointLocator_VTKInit(JNIEnv *, jobject)
{
  vtkNonMergingPointLocator *aNewOne = vtkNonMergingPointLocator::New();
  return (jlong)(size_t)(void*)aNewOne;
}
