// python wrapper for vtkGeoInteractorStyle object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGeoInteractorStyle.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGeoInteractorStyleNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGeoInteractorStyleNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkInteractorStyleTrackballCameraNew(char *); }

static PyObject *PyvtkGeoInteractorStyle_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoInteractorStyle *op;

  const char    *temp20;
  op = (vtkGeoInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoInteractorStyle::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoInteractorStyle_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoInteractorStyle *op;

  char    *temp0;
  int      temp20;
  op = (vtkGeoInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoInteractorStyle::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoInteractorStyle_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoInteractorStyle *op;

  vtkGeoInteractorStyle  *temp20;
  op = (vtkGeoInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoInteractorStyle::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoInteractorStyle_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGeoInteractorStyle  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGeoInteractorStyle::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGeoInteractorStyle_OnEnter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoInteractorStyle *op;

  op = (vtkGeoInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoInteractorStyle::OnEnter();
      }
    else
      {
      op->OnEnter();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoInteractorStyle_OnLeave(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoInteractorStyle *op;

  op = (vtkGeoInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoInteractorStyle::OnLeave();
      }
    else
      {
      op->OnLeave();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoInteractorStyle_OnMouseMove(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoInteractorStyle *op;

  op = (vtkGeoInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoInteractorStyle::OnMouseMove();
      }
    else
      {
      op->OnMouseMove();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoInteractorStyle_OnLeftButtonUp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoInteractorStyle *op;

  op = (vtkGeoInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoInteractorStyle::OnLeftButtonUp();
      }
    else
      {
      op->OnLeftButtonUp();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoInteractorStyle_OnMiddleButtonUp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoInteractorStyle *op;

  op = (vtkGeoInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoInteractorStyle::OnMiddleButtonUp();
      }
    else
      {
      op->OnMiddleButtonUp();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoInteractorStyle_OnRightButtonUp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoInteractorStyle *op;

  op = (vtkGeoInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoInteractorStyle::OnRightButtonUp();
      }
    else
      {
      op->OnRightButtonUp();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoInteractorStyle_OnLeftButtonDown(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoInteractorStyle *op;

  op = (vtkGeoInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoInteractorStyle::OnLeftButtonDown();
      }
    else
      {
      op->OnLeftButtonDown();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoInteractorStyle_OnMiddleButtonDown(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoInteractorStyle *op;

  op = (vtkGeoInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoInteractorStyle::OnMiddleButtonDown();
      }
    else
      {
      op->OnMiddleButtonDown();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoInteractorStyle_OnRightButtonDown(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoInteractorStyle *op;

  op = (vtkGeoInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoInteractorStyle::OnRightButtonDown();
      }
    else
      {
      op->OnRightButtonDown();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoInteractorStyle_OnChar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoInteractorStyle *op;

  op = (vtkGeoInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoInteractorStyle::OnChar();
      }
    else
      {
      op->OnChar();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoInteractorStyle_RubberBandZoom(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoInteractorStyle *op;

  op = (vtkGeoInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoInteractorStyle::RubberBandZoom();
      }
    else
      {
      op->RubberBandZoom();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoInteractorStyle_Pan(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoInteractorStyle *op;

  op = (vtkGeoInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoInteractorStyle::Pan();
      }
    else
      {
      op->Pan();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoInteractorStyle_Dolly(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoInteractorStyle *op;

  op = (vtkGeoInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoInteractorStyle::Dolly();
      }
    else
      {
      op->Dolly();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoInteractorStyle_RedrawRectangle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoInteractorStyle *op;

  op = (vtkGeoInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoInteractorStyle::RedrawRectangle();
      }
    else
      {
      op->RedrawRectangle();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoInteractorStyle_StartState(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoInteractorStyle *op;

  int      temp0;
  op = (vtkGeoInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoInteractorStyle::StartState(temp0);
      }
    else
      {
      op->StartState(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoInteractorStyle_GetGeoCamera(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoInteractorStyle *op;

  vtkGeoCamera  *temp20;
  op = (vtkGeoInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoInteractorStyle::GetGeoCamera();
      }
    else
      {
      temp20 = op->GetGeoCamera();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoInteractorStyle_ResetCamera(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoInteractorStyle *op;

  op = (vtkGeoInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoInteractorStyle::ResetCamera();
      }
    else
      {
      op->ResetCamera();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoInteractorStyle_WidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoInteractorStyle *op;

  vtkObject  *temp0;
  PyObject *tempH0;
  op = (vtkGeoInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break21;
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoInteractorStyle::WidgetInteraction(temp0);
      }
    else
      {
      op->WidgetInteraction(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break21:
  return NULL;
}


static PyObject *PyvtkGeoInteractorStyle_SetInteractor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoInteractorStyle *op;

  vtkRenderWindowInteractor  *temp0;
  PyObject *tempH0;
  op = (vtkGeoInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderWindowInteractor *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderWindowInteractor");
    if (!temp0 && tempH0 != Py_None) goto break22;
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoInteractorStyle::SetInteractor(temp0);
      }
    else
      {
      op->SetInteractor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break22:
  return NULL;
}


static PyObject *PyvtkGeoInteractorStyle_GetRayIntersection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoInteractorStyle *op;

  double temp0[3];
  double temp1[3];
  double temp2[3];
  int      temp20;
  op = (vtkGeoInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoInteractorStyle::GetRayIntersection(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->GetRayIntersection(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoInteractorStyle_SetCurrentRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoInteractorStyle *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  op = (vtkGeoInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break24;
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoInteractorStyle::SetCurrentRenderer(temp0);
      }
    else
      {
      op->SetCurrentRenderer(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break24:
  return NULL;
}


static PyObject *PyvtkGeoInteractorStyle_GetLockHeading(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoInteractorStyle *op;

  bool   temp20;
  op = (vtkGeoInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoInteractorStyle::GetLockHeading();
      }
    else
      {
      temp20 = op->GetLockHeading();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoInteractorStyle_SetLockHeading(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoInteractorStyle *op;

  bool   temp0;
  op = (vtkGeoInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoInteractorStyle::SetLockHeading(temp0);
      }
    else
      {
      op->SetLockHeading(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoInteractorStyle_LockHeadingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoInteractorStyle *op;

  op = (vtkGeoInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoInteractorStyle::LockHeadingOn();
      }
    else
      {
      op->LockHeadingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoInteractorStyle_LockHeadingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoInteractorStyle *op;

  op = (vtkGeoInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoInteractorStyle::LockHeadingOff();
      }
    else
      {
      op->LockHeadingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoInteractorStyle_ResetCameraClippingRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoInteractorStyle *op;

  op = (vtkGeoInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoInteractorStyle::ResetCameraClippingRange();
      }
    else
      {
      op->ResetCameraClippingRange();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGeoInteractorStyleMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGeoInteractorStyle_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGeoInteractorStyle_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGeoInteractorStyle_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGeoInteractorStyle\nC++: vtkGeoInteractorStyle *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGeoInteractorStyle_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGeoInteractorStyle\nC++: vtkGeoInteractorStyle *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"OnEnter",                (PyCFunction)PyvtkGeoInteractorStyle_OnEnter, 1,
   (char*)"V.OnEnter()\nC++: virtual void OnEnter ();\n\n Event bindings\n"},
  {(char*)"OnLeave",                (PyCFunction)PyvtkGeoInteractorStyle_OnLeave, 1,
   (char*)"V.OnLeave()\nC++: virtual void OnLeave ();\n\n Event bindings\n"},
  {(char*)"OnMouseMove",                (PyCFunction)PyvtkGeoInteractorStyle_OnMouseMove, 1,
   (char*)"V.OnMouseMove()\nC++: virtual void OnMouseMove ();\n\n Event bindings\n"},
  {(char*)"OnLeftButtonUp",                (PyCFunction)PyvtkGeoInteractorStyle_OnLeftButtonUp, 1,
   (char*)"V.OnLeftButtonUp()\nC++: virtual void OnLeftButtonUp ();\n\n Event bindings\n"},
  {(char*)"OnMiddleButtonUp",                (PyCFunction)PyvtkGeoInteractorStyle_OnMiddleButtonUp, 1,
   (char*)"V.OnMiddleButtonUp()\nC++: virtual void OnMiddleButtonUp ();\n\n Event bindings\n"},
  {(char*)"OnRightButtonUp",                (PyCFunction)PyvtkGeoInteractorStyle_OnRightButtonUp, 1,
   (char*)"V.OnRightButtonUp()\nC++: virtual void OnRightButtonUp ();\n\n Event bindings\n"},
  {(char*)"OnLeftButtonDown",                (PyCFunction)PyvtkGeoInteractorStyle_OnLeftButtonDown, 1,
   (char*)"V.OnLeftButtonDown()\nC++: virtual void OnLeftButtonDown ();\n\n Event bindings\n"},
  {(char*)"OnMiddleButtonDown",                (PyCFunction)PyvtkGeoInteractorStyle_OnMiddleButtonDown, 1,
   (char*)"V.OnMiddleButtonDown()\nC++: virtual void OnMiddleButtonDown ();\n\n Event bindings\n"},
  {(char*)"OnRightButtonDown",                (PyCFunction)PyvtkGeoInteractorStyle_OnRightButtonDown, 1,
   (char*)"V.OnRightButtonDown()\nC++: virtual void OnRightButtonDown ();\n\n Event bindings\n"},
  {(char*)"OnChar",                (PyCFunction)PyvtkGeoInteractorStyle_OnChar, 1,
   (char*)"V.OnChar()\nC++: virtual void OnChar ();\n\n Event bindings\n"},
  {(char*)"RubberBandZoom",                (PyCFunction)PyvtkGeoInteractorStyle_RubberBandZoom, 1,
   (char*)"V.RubberBandZoom()\nC++: virtual void RubberBandZoom ();\n\n"},
  {(char*)"Pan",                (PyCFunction)PyvtkGeoInteractorStyle_Pan, 1,
   (char*)"V.Pan()\nC++: virtual void Pan ();\n\n"},
  {(char*)"Dolly",                (PyCFunction)PyvtkGeoInteractorStyle_Dolly, 1,
   (char*)"V.Dolly()\nC++: virtual void Dolly ();\n\n"},
  {(char*)"RedrawRectangle",                (PyCFunction)PyvtkGeoInteractorStyle_RedrawRectangle, 1,
   (char*)"V.RedrawRectangle()\nC++: void RedrawRectangle ();\n\n"},
  {(char*)"StartState",                (PyCFunction)PyvtkGeoInteractorStyle_StartState, 1,
   (char*)"V.StartState(int)\nC++: void StartState (int newstate);\n\n"},
  {(char*)"GetGeoCamera",                (PyCFunction)PyvtkGeoInteractorStyle_GetGeoCamera, 1,
   (char*)"V.GetGeoCamera() -> vtkGeoCamera\nC++: vtkGeoCamera *GetGeoCamera ();\n\n"},
  {(char*)"ResetCamera",                (PyCFunction)PyvtkGeoInteractorStyle_ResetCamera, 1,
   (char*)"V.ResetCamera()\nC++: void ResetCamera ();\n\n This can be used to set the camera to the standard view of the earth.\n"},
  {(char*)"WidgetInteraction",                (PyCFunction)PyvtkGeoInteractorStyle_WidgetInteraction, 1,
   (char*)"V.WidgetInteraction(vtkObject)\nC++: void WidgetInteraction (vtkObject *caller);\n\n"},
  {(char*)"SetInteractor",                (PyCFunction)PyvtkGeoInteractorStyle_SetInteractor, 1,
   (char*)"V.SetInteractor(vtkRenderWindowInteractor)\nC++: virtual void SetInteractor (vtkRenderWindowInteractor *interactor);\n\n Set/Get the Interactor wrapper being controlled by this object.\n (Satisfy superclass API.)\n"},
  {(char*)"GetRayIntersection",                (PyCFunction)PyvtkGeoInteractorStyle_GetRayIntersection, 1,
   (char*)"V.GetRayIntersection((float, float, float), (float, float, float), (float, float, float)) -> int\nC++: int GetRayIntersection (double origin[3], double direction[3], double intersection[3]);\n\n"},
  {(char*)"SetCurrentRenderer",                (PyCFunction)PyvtkGeoInteractorStyle_SetCurrentRenderer, 1,
   (char*)"V.SetCurrentRenderer(vtkRenderer)\nC++: virtual void SetCurrentRenderer (vtkRenderer *);\n\n Override to make the renderer use this camera subclass\n"},
  {(char*)"GetLockHeading",                (PyCFunction)PyvtkGeoInteractorStyle_GetLockHeading, 1,
   (char*)"V.GetLockHeading() -> bool\nC++: bool GetLockHeading ();\n\n"},
  {(char*)"SetLockHeading",                (PyCFunction)PyvtkGeoInteractorStyle_SetLockHeading, 1,
   (char*)"V.SetLockHeading(bool)\nC++: void SetLockHeading (bool );\n\n"},
  {(char*)"LockHeadingOn",                (PyCFunction)PyvtkGeoInteractorStyle_LockHeadingOn, 1,
   (char*)"V.LockHeadingOn()\nC++: void LockHeadingOn ();\n\n"},
  {(char*)"LockHeadingOff",                (PyCFunction)PyvtkGeoInteractorStyle_LockHeadingOff, 1,
   (char*)"V.LockHeadingOff()\nC++: void LockHeadingOff ();\n\n"},
  {(char*)"ResetCameraClippingRange",                (PyCFunction)PyvtkGeoInteractorStyle_ResetCameraClippingRange, 1,
   (char*)"V.ResetCameraClippingRange()\nC++: void ResetCameraClippingRange ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGeoInteractorStyleDoc[] = {
  (char*)"vtkGeoInteractorStyle - Interaction for a globe\n\n",
  "Super Class:\n\n vtkInteractorStyleTrackballCamera\n\n",
  (char*)" vtkGeoInteractorStyle contains interaction capabilities for a geographic\n view including orbit, zoom, and tilt. It also includes a compass widget\n for changing view parameters.\n\n\n",
  "See Also:\n\n vtkCompassWidget vtkInteractorStyle\n\n",
  NULL
};

static vtkObjectBase *vtkGeoInteractorStyleStaticNew()
{
  return vtkGeoInteractorStyle::New();
}

PyObject *PyVTKClass_vtkGeoInteractorStyleNew(char *modulename)
{
  return PyVTKClass_New(&vtkGeoInteractorStyleStaticNew,
                        PyvtkGeoInteractorStyleMethods,
                        (char*)"vtkGeoInteractorStyle",modulename,
                        (char**)vtkGeoInteractorStyleDoc,
                        PyVTKClass_vtkInteractorStyleTrackballCameraNew(modulename));
}

