// java wrapper for vtkArrayWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkArrayWriter.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkArrayDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkArrayWriter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkArrayWriter",dType)) { return me; }
  if ((res= vtkArrayDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkArrayWriter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkArrayWriter *op;
  const char    *temp20;

  op = (vtkArrayWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkArrayWriter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkArrayWriter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkArrayWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkArrayWriter_Write_12(JNIEnv *env, jobject obj,jstring id0,jboolean id1)
{
  vtkArrayWriter *op;
  char    *temp0;
  bool   temp1;
  bool   temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = (id1 != 0) ? true : false;

  op = (vtkArrayWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Write(temp0,temp1);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkArrayWriter_Write_13(JNIEnv *env, jobject obj,jobject id0,jstring id1,jboolean id2)
{
  vtkArrayWriter *op;
  vtkArray  *temp0;
  char    *temp1;
  bool   temp2;
  bool   temp20;
  temp0 = (vtkArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = vtkJavaUTFToChar(env,id1);
  temp2 = (id2 != 0) ? true : false;

  op = (vtkArrayWriter *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Write(temp0,temp1,temp2);
  if (temp1) delete[] temp1;
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkArrayWriter_VTKInit(JNIEnv *, jobject)
{
  vtkArrayWriter *aNewOne = vtkArrayWriter::New();
  return (jlong)(size_t)(void*)aNewOne;
}
