// python wrapper for vtkPostgreSQLQuery object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPostgreSQLQuery.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPostgreSQLQueryNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPostgreSQLQueryNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSQLQueryNew(char *); }

static PyObject *PyvtkPostgreSQLQuery_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPostgreSQLQuery *op;

  const char    *temp20;
  op = (vtkPostgreSQLQuery *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPostgreSQLQuery::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPostgreSQLQuery_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPostgreSQLQuery *op;

  char    *temp0;
  int      temp20;
  op = (vtkPostgreSQLQuery *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPostgreSQLQuery::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPostgreSQLQuery_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPostgreSQLQuery *op;

  vtkPostgreSQLQuery  *temp20;
  op = (vtkPostgreSQLQuery *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPostgreSQLQuery::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPostgreSQLQuery_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPostgreSQLQuery  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPostgreSQLQuery::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPostgreSQLQuery_Execute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPostgreSQLQuery *op;

  bool   temp20;
  op = (vtkPostgreSQLQuery *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPostgreSQLQuery::Execute();
      }
    else
      {
      temp20 = op->Execute();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkPostgreSQLQuery_GetNumberOfFields(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPostgreSQLQuery *op;

  int      temp20;
  op = (vtkPostgreSQLQuery *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPostgreSQLQuery::GetNumberOfFields();
      }
    else
      {
      temp20 = op->GetNumberOfFields();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPostgreSQLQuery_GetFieldName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPostgreSQLQuery *op;

  int      temp0;
  const char    *temp20;
  op = (vtkPostgreSQLQuery *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPostgreSQLQuery::GetFieldName(temp0);
      }
    else
      {
      temp20 = op->GetFieldName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPostgreSQLQuery_GetFieldType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPostgreSQLQuery *op;

  int      temp0;
  int      temp20;
  op = (vtkPostgreSQLQuery *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPostgreSQLQuery::GetFieldType(temp0);
      }
    else
      {
      temp20 = op->GetFieldType(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPostgreSQLQuery_NextRow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPostgreSQLQuery *op;

  bool   temp20;
  op = (vtkPostgreSQLQuery *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPostgreSQLQuery::NextRow();
      }
    else
      {
      temp20 = op->NextRow();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkPostgreSQLQuery_HasError(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPostgreSQLQuery *op;

  bool   temp20;
  op = (vtkPostgreSQLQuery *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPostgreSQLQuery::HasError();
      }
    else
      {
      temp20 = op->HasError();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkPostgreSQLQuery_BeginTransaction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPostgreSQLQuery *op;

  bool   temp20;
  op = (vtkPostgreSQLQuery *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPostgreSQLQuery::BeginTransaction();
      }
    else
      {
      temp20 = op->BeginTransaction();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkPostgreSQLQuery_RollbackTransaction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPostgreSQLQuery *op;

  bool   temp20;
  op = (vtkPostgreSQLQuery *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPostgreSQLQuery::RollbackTransaction();
      }
    else
      {
      temp20 = op->RollbackTransaction();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkPostgreSQLQuery_CommitTransaction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPostgreSQLQuery *op;

  bool   temp20;
  op = (vtkPostgreSQLQuery *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPostgreSQLQuery::CommitTransaction();
      }
    else
      {
      temp20 = op->CommitTransaction();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkPostgreSQLQuery_GetLastErrorText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPostgreSQLQuery *op;

  const char    *temp20;
  op = (vtkPostgreSQLQuery *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPostgreSQLQuery::GetLastErrorText();
      }
    else
      {
      temp20 = op->GetLastErrorText();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPostgreSQLQuery_GetNumberOfRows(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPostgreSQLQuery *op;

  int      temp20;
  op = (vtkPostgreSQLQuery *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPostgreSQLQuery::GetNumberOfRows();
      }
    else
      {
      temp20 = op->GetNumberOfRows();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPostgreSQLQueryMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPostgreSQLQuery_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPostgreSQLQuery_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPostgreSQLQuery_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPostgreSQLQuery\nC++: vtkPostgreSQLQuery *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPostgreSQLQuery_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPostgreSQLQuery\nC++: vtkPostgreSQLQuery *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Execute",                (PyCFunction)PyvtkPostgreSQLQuery_Execute, 1,
   (char*)"V.Execute() -> bool\nC++: bool Execute ();\n\n Execute the query.  This must be performed\n before any field name or data access functions\n are used.\n"},
  {(char*)"GetNumberOfFields",                (PyCFunction)PyvtkPostgreSQLQuery_GetNumberOfFields, 1,
   (char*)"V.GetNumberOfFields() -> int\nC++: int GetNumberOfFields ();\n\n The number of fields in the query result.\n"},
  {(char*)"GetFieldName",                (PyCFunction)PyvtkPostgreSQLQuery_GetFieldName, 1,
   (char*)"V.GetFieldName(int) -> string\nC++: const char *GetFieldName (int i);\n\n Return the name of the specified query field.\n"},
  {(char*)"GetFieldType",                (PyCFunction)PyvtkPostgreSQLQuery_GetFieldType, 1,
   (char*)"V.GetFieldType(int) -> int\nC++: int GetFieldType (int i);\n\n Return the type of the field, using the constants defined in vtkType.h.\n"},
  {(char*)"NextRow",                (PyCFunction)PyvtkPostgreSQLQuery_NextRow, 1,
   (char*)"V.NextRow() -> bool\nC++: bool NextRow ();\n\n Advance row, return false if past end.\n"},
  {(char*)"HasError",                (PyCFunction)PyvtkPostgreSQLQuery_HasError, 1,
   (char*)"V.HasError() -> bool\nC++: bool HasError ();\n\n Return true if there is an error on the current query.\n"},
  {(char*)"BeginTransaction",                (PyCFunction)PyvtkPostgreSQLQuery_BeginTransaction, 1,
   (char*)"V.BeginTransaction() -> bool\nC++: bool BeginTransaction ();\n\n Begin, abort (roll back), or commit a transaction.\n"},
  {(char*)"RollbackTransaction",                (PyCFunction)PyvtkPostgreSQLQuery_RollbackTransaction, 1,
   (char*)"V.RollbackTransaction() -> bool\nC++: bool RollbackTransaction ();\n\n Begin, abort (roll back), or commit a transaction.\n"},
  {(char*)"CommitTransaction",                (PyCFunction)PyvtkPostgreSQLQuery_CommitTransaction, 1,
   (char*)"V.CommitTransaction() -> bool\nC++: bool CommitTransaction ();\n\n Begin, abort (roll back), or commit a transaction.\n"},
  {(char*)"GetLastErrorText",                (PyCFunction)PyvtkPostgreSQLQuery_GetLastErrorText, 1,
   (char*)"V.GetLastErrorText() -> string\nC++: const char *GetLastErrorText ();\n\n Get the last error text from the query\n"},
  {(char*)"GetNumberOfRows",                (PyCFunction)PyvtkPostgreSQLQuery_GetNumberOfRows, 1,
   (char*)"V.GetNumberOfRows() -> int\nC++: int GetNumberOfRows ();\n\n Unlike some databases, Postgres can tell you right away how many\n rows are in the results of your query.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPostgreSQLQueryDoc[] = {
  (char*)"vtkPostgreSQLQuery - vtkSQLQuery implementation for PostgreSQL databases\n\n",
  "Super Class:\n\n vtkSQLQuery\n\n",
  (char*)"\n This is an implementation of vtkSQLQuery for PostgreSQL databases.  See\n the documentation for vtkSQLQuery for information about what the\n methods do.\n\n .SECTION Thanks\n\n Thanks to David Thompson and Andy Wilson from Sandia National\n Laboratories for implementing this class.\n\n\n",
  "See Also:\n\n vtkSQLDatabase vtkSQLQuery vtkPostgreSQLDatabase\n\n",
  NULL
};

static vtkObjectBase *vtkPostgreSQLQueryStaticNew()
{
  return vtkPostgreSQLQuery::New();
}

PyObject *PyVTKClass_vtkPostgreSQLQueryNew(char *modulename)
{
  return PyVTKClass_New(&vtkPostgreSQLQueryStaticNew,
                        PyvtkPostgreSQLQueryMethods,
                        (char*)"vtkPostgreSQLQuery",modulename,
                        (char**)vtkPostgreSQLQueryDoc,
                        PyVTKClass_vtkSQLQueryNew(modulename));
}

