// python wrapper for vtkPExtractHistogram2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPExtractHistogram2D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPExtractHistogram2DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPExtractHistogram2DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkExtractHistogram2DNew(char *); }

static PyObject *PyvtkPExtractHistogram2D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPExtractHistogram2D *op;

  const char    *temp20;
  op = (vtkPExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPExtractHistogram2D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPExtractHistogram2D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPExtractHistogram2D *op;

  char    *temp0;
  int      temp20;
  op = (vtkPExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPExtractHistogram2D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPExtractHistogram2D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPExtractHistogram2D *op;

  vtkPExtractHistogram2D  *temp20;
  op = (vtkPExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPExtractHistogram2D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPExtractHistogram2D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPExtractHistogram2D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPExtractHistogram2D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPExtractHistogram2D_SetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPExtractHistogram2D *op;

  vtkMultiProcessController  *temp0;
  PyObject *tempH0;
  op = (vtkPExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkMultiProcessController *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMultiProcessController");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkPExtractHistogram2D::SetController(temp0);
      }
    else
      {
      op->SetController(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkPExtractHistogram2D_GetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPExtractHistogram2D *op;

  vtkMultiProcessController  *temp20;
  op = (vtkPExtractHistogram2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPExtractHistogram2D::GetController();
      }
    else
      {
      temp20 = op->GetController();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPExtractHistogram2DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPExtractHistogram2D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPExtractHistogram2D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPExtractHistogram2D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPExtractHistogram2D\nC++: vtkPExtractHistogram2D *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPExtractHistogram2D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPExtractHistogram2D\nC++: vtkPExtractHistogram2D *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetController",                (PyCFunction)PyvtkPExtractHistogram2D_SetController, 1,
   (char*)"V.SetController(vtkMultiProcessController)\nC++: virtual void SetController (vtkMultiProcessController *);\n\n"},
  {(char*)"GetController",                (PyCFunction)PyvtkPExtractHistogram2D_GetController, 1,
   (char*)"V.GetController() -> vtkMultiProcessController\nC++: vtkMultiProcessController *GetController ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPExtractHistogram2DDoc[] = {
  (char*)"vtkPExtractHistogram2D - compute a 2D histogram between two columns\n\n",
  "Super Class:\n\n vtkExtractHistogram2D\n\n",
  (char*)"  This class does exactly the same this as vtkExtractHistogram2D,\n  but does it in a multi-process environment.  After each node\n  computes their own local histograms, this class does an AllReduce\n  that distributes the sum of all local histograms onto each node.\n\n\n",
  "See Also:\n\n vtkExtractHistogram2D\n \n .SECTION Thanks\n Developed by David Feng at Sandia National Laboratories\n------------------------------------------------------------------------------\n----- ...\n [Truncated]\n\n",
  NULL
};

static vtkObjectBase *vtkPExtractHistogram2DStaticNew()
{
  return vtkPExtractHistogram2D::New();
}

PyObject *PyVTKClass_vtkPExtractHistogram2DNew(char *modulename)
{
  return PyVTKClass_New(&vtkPExtractHistogram2DStaticNew,
                        PyvtkPExtractHistogram2DMethods,
                        (char*)"vtkPExtractHistogram2D",modulename,
                        (char**)vtkPExtractHistogram2DDoc,
                        PyVTKClass_vtkExtractHistogram2DNew(modulename));
}

