// python wrapper for vtkCachingInterpolatedVelocityField object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkCachingInterpolatedVelocityField.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCachingInterpolatedVelocityFieldNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCachingInterpolatedVelocityFieldNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkFunctionSetNew(char *); }

static PyObject *PyvtkCachingInterpolatedVelocityField_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCachingInterpolatedVelocityField *op;

  const char    *temp20;
  op = (vtkCachingInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCachingInterpolatedVelocityField::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCachingInterpolatedVelocityField_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCachingInterpolatedVelocityField *op;

  char    *temp0;
  int      temp20;
  op = (vtkCachingInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCachingInterpolatedVelocityField::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCachingInterpolatedVelocityField_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCachingInterpolatedVelocityField *op;

  vtkCachingInterpolatedVelocityField  *temp20;
  op = (vtkCachingInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCachingInterpolatedVelocityField::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCachingInterpolatedVelocityField_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCachingInterpolatedVelocityField  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCachingInterpolatedVelocityField::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCachingInterpolatedVelocityField_SetDataSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCachingInterpolatedVelocityField *op;

  int      temp0;
  vtkDataSet  *temp1;
  PyObject *tempH1;
  bool   temp2;
  vtkAbstractCellLocator  *temp3;
  PyObject *tempH3;
  op = (vtkCachingInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"iObO", &temp0, &tempH1, &temp2, &tempH3);
  if (op)
    {
    temp1 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataSet");
    if (!temp1 && tempH1 != Py_None) goto break4;
    temp3 = (vtkAbstractCellLocator *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkAbstractCellLocator");
    if (!temp3 && tempH3 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkCachingInterpolatedVelocityField::SetDataSet(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetDataSet(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkCachingInterpolatedVelocityField_GetVectorsSelection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCachingInterpolatedVelocityField *op;

  char    *temp20;
  op = (vtkCachingInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCachingInterpolatedVelocityField::GetVectorsSelection();
      }
    else
      {
      temp20 = op->GetVectorsSelection();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCachingInterpolatedVelocityField_SelectVectors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCachingInterpolatedVelocityField *op;

  char    *temp0;
  op = (vtkCachingInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCachingInterpolatedVelocityField::SelectVectors(temp0);
      }
    else
      {
      op->SelectVectors(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCachingInterpolatedVelocityField_SetLastCellInfo(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCachingInterpolatedVelocityField *op;

  vtkIdType   temp0;
  int      temp1;
  op = (vtkCachingInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"Li", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCachingInterpolatedVelocityField::SetLastCellInfo(temp0,temp1);
      }
    else
      {
      op->SetLastCellInfo(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCachingInterpolatedVelocityField_ClearLastCellInfo(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCachingInterpolatedVelocityField *op;

  op = (vtkCachingInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCachingInterpolatedVelocityField::ClearLastCellInfo();
      }
    else
      {
      op->ClearLastCellInfo();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCachingInterpolatedVelocityField_GetLastLocalCoordinates(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCachingInterpolatedVelocityField *op;

  double temp0[3];
  int      temp20;
  op = (vtkCachingInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCachingInterpolatedVelocityField::GetLastLocalCoordinates(temp0);
      }
    else
      {
      temp20 = op->GetLastLocalCoordinates(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCachingInterpolatedVelocityField_GetCellCacheHit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCachingInterpolatedVelocityField *op;

  int      temp20;
  op = (vtkCachingInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCachingInterpolatedVelocityField::GetCellCacheHit();
      }
    else
      {
      temp20 = op->GetCellCacheHit();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCachingInterpolatedVelocityField_GetDataSetCacheHit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCachingInterpolatedVelocityField *op;

  int      temp20;
  op = (vtkCachingInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCachingInterpolatedVelocityField::GetDataSetCacheHit();
      }
    else
      {
      temp20 = op->GetDataSetCacheHit();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCachingInterpolatedVelocityField_GetCacheMiss(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCachingInterpolatedVelocityField *op;

  int      temp20;
  op = (vtkCachingInterpolatedVelocityField *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCachingInterpolatedVelocityField::GetCacheMiss();
      }
    else
      {
      temp20 = op->GetCacheMiss();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCachingInterpolatedVelocityFieldMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCachingInterpolatedVelocityField_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCachingInterpolatedVelocityField_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCachingInterpolatedVelocityField_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCachingInterpolatedVelocityField\nC++: vtkCachingInterpolatedVelocityField *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCachingInterpolatedVelocityField_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCachingInterpolatedVelocityField\nC++: vtkCachingInterpolatedVelocityField *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetDataSet",                (PyCFunction)PyvtkCachingInterpolatedVelocityField_SetDataSet, 1,
   (char*)"V.SetDataSet(int, vtkDataSet, bool, vtkAbstractCellLocator)\nC++: virtual void SetDataSet (int I, vtkDataSet *dataset, bool staticdataset, vtkAbstractCellLocator *locator);\n\n Add a dataset used by the interpolation function evaluation.\n"},
  {(char*)"GetVectorsSelection",                (PyCFunction)PyvtkCachingInterpolatedVelocityField_GetVectorsSelection, 1,
   (char*)"V.GetVectorsSelection() -> string\nC++: char *GetVectorsSelection ();\n\n If you want to work with an arbitrary vector array, then set its name \n here. By default this in NULL and the filter will use the active vector \n array.\n"},
  {(char*)"SelectVectors",                (PyCFunction)PyvtkCachingInterpolatedVelocityField_SelectVectors, 1,
   (char*)"V.SelectVectors(string)\nC++: void SelectVectors (const char *fieldName);this SetVectorsSelection fieldName \n\n Return the cell id cached from last evaluation.\n"},
  {(char*)"SetLastCellInfo",                (PyCFunction)PyvtkCachingInterpolatedVelocityField_SetLastCellInfo, 1,
   (char*)"V.SetLastCellInfo(int, int)\nC++: void SetLastCellInfo (vtkIdType c, int datasetindex);\n\n Return the cell id cached from last evaluation.\n"},
  {(char*)"ClearLastCellInfo",                (PyCFunction)PyvtkCachingInterpolatedVelocityField_ClearLastCellInfo, 1,
   (char*)"V.ClearLastCellInfo()\nC++: void ClearLastCellInfo ();\n\n Set the last cell id to -1 so that the next search does not\n start from the previous cell\n"},
  {(char*)"GetLastLocalCoordinates",                (PyCFunction)PyvtkCachingInterpolatedVelocityField_GetLastLocalCoordinates, 1,
   (char*)"V.GetLastLocalCoordinates((float, float, float)) -> int\nC++: int GetLastLocalCoordinates (double pcoords[3]);\n\n Returns the interpolation weights/pcoords cached from last evaluation\n if the cached cell is valid (returns 1). Otherwise, it does not\n change w and returns 0.\n"},
  {(char*)"GetCellCacheHit",                (PyCFunction)PyvtkCachingInterpolatedVelocityField_GetCellCacheHit, 1,
   (char*)"V.GetCellCacheHit() -> int\nC++: int GetCellCacheHit ();\n\n Caching statistics.\n"},
  {(char*)"GetDataSetCacheHit",                (PyCFunction)PyvtkCachingInterpolatedVelocityField_GetDataSetCacheHit, 1,
   (char*)"V.GetDataSetCacheHit() -> int\nC++: int GetDataSetCacheHit ();\n\n Caching statistics.\n"},
  {(char*)"GetCacheMiss",                (PyCFunction)PyvtkCachingInterpolatedVelocityField_GetCacheMiss, 1,
   (char*)"V.GetCacheMiss() -> int\nC++: int GetCacheMiss ();\n\n Caching statistics.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCachingInterpolatedVelocityFieldDoc[] = {
  (char*)"vtkCachingInterpolatedVelocityField - Interface for obtaining\n\n",
  "Super Class:\n\n vtkFunctionSet\n\n",
  (char*)" vtkCachingInterpolatedVelocityField acts as a continuous velocity field\n by performing cell interpolation on the underlying vtkDataSet.\n This is a concrete sub-class of vtkFunctionSet with \n NumberOfIndependentVariables = 4 (x,y,z,t) and \n NumberOfFunctions = 3 (u,v,w). Normally, every time an evaluation\n is performed, the cell which contains the point (x,y,z) has to\n be found by calling FindCell",
  (char*)". This is a computationally expensive \n operation. In certain cases, the cell search can be avoided or shortened \n by providing a guess for the cell id. For example, in streamline\n integration, the next evaluation is usually in the same or a neighbour\n cell. For this reason, vtkCachingInterpolatedVelocityField stores the last\n cell id. If caching is turned on, it uses this id as the starting point",
  (char*)".\n\n",
  "Caveats:\n\n vtkCachingInterpolatedVelocityField is not thread safe. A new instance should\n be created by each thread.\n\n",
  "See Also:\n\n vtkFunctionSet vtkStreamer\n\n",
  NULL
};

static vtkObjectBase *vtkCachingInterpolatedVelocityFieldStaticNew()
{
  return vtkCachingInterpolatedVelocityField::New();
}

PyObject *PyVTKClass_vtkCachingInterpolatedVelocityFieldNew(char *modulename)
{
  return PyVTKClass_New(&vtkCachingInterpolatedVelocityFieldStaticNew,
                        PyvtkCachingInterpolatedVelocityFieldMethods,
                        (char*)"vtkCachingInterpolatedVelocityField",modulename,
                        (char**)vtkCachingInterpolatedVelocityFieldDoc,
                        PyVTKClass_vtkFunctionSetNew(modulename));
}

