// java wrapper for vtkCompositePolyDataMapper2 object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCompositePolyDataMapper2.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkPainterPolyDataMapper_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkCompositePolyDataMapper2_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkCompositePolyDataMapper2",dType)) { return me; }
  if ((res= vtkPainterPolyDataMapper_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkCompositePolyDataMapper2_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkCompositePolyDataMapper2 *op;
  const char    *temp20;

  op = (vtkCompositePolyDataMapper2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCompositePolyDataMapper2_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkCompositePolyDataMapper2 *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkCompositePolyDataMapper2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositePolyDataMapper2_RenderPiece_12(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkCompositePolyDataMapper2 *op;
  vtkRenderer  *temp0;
  vtkActor  *temp1;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkActor *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkCompositePolyDataMapper2 *)vtkJavaGetPointerFromObject(env,obj);
  op->RenderPiece(temp0,temp1);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkCompositePolyDataMapper2_GetBounds_13(JNIEnv *env, jobject obj)
{
  vtkCompositePolyDataMapper2 *op;
  double  *temp20;

  op = (vtkCompositePolyDataMapper2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBounds();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositePolyDataMapper2_GetBounds_14(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkCompositePolyDataMapper2 *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkCompositePolyDataMapper2 *)vtkJavaGetPointerFromObject(env,obj);
  op->GetBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositePolyDataMapper2_Render_15(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkCompositePolyDataMapper2 *op;
  vtkRenderer  *temp0;
  vtkActor  *temp1;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkActor *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkCompositePolyDataMapper2 *)vtkJavaGetPointerFromObject(env,obj);
  op->Render(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCompositePolyDataMapper2_SetColorBlocks_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkCompositePolyDataMapper2 *op;
  int      temp0;
  temp0 = id0;

  op = (vtkCompositePolyDataMapper2 *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorBlocks(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCompositePolyDataMapper2_GetColorBlocks_17(JNIEnv *env, jobject obj)
{
  vtkCompositePolyDataMapper2 *op;
  int      temp20;

  op = (vtkCompositePolyDataMapper2 *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColorBlocks();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCompositePolyDataMapper2_VTKInit(JNIEnv *, jobject)
{
  vtkCompositePolyDataMapper2 *aNewOne = vtkCompositePolyDataMapper2::New();
  return (jlong)(size_t)(void*)aNewOne;
}
