// python wrapper for vtkQtLabelRenderStrategy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkQtLabelRenderStrategy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkQtLabelRenderStrategyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkQtLabelRenderStrategyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkLabelRenderStrategyNew(char *); }

static PyObject *PyvtkQtLabelRenderStrategy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQtLabelRenderStrategy *op;

  const char    *temp20;
  op = (vtkQtLabelRenderStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQtLabelRenderStrategy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkQtLabelRenderStrategy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQtLabelRenderStrategy *op;

  char    *temp0;
  int      temp20;
  op = (vtkQtLabelRenderStrategy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQtLabelRenderStrategy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQtLabelRenderStrategy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQtLabelRenderStrategy *op;

  vtkQtLabelRenderStrategy  *temp20;
  op = (vtkQtLabelRenderStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQtLabelRenderStrategy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQtLabelRenderStrategy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkQtLabelRenderStrategy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkQtLabelRenderStrategy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkQtLabelRenderStrategy_StartFrame(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQtLabelRenderStrategy *op;

  op = (vtkQtLabelRenderStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkQtLabelRenderStrategy::StartFrame();
      }
    else
      {
      op->StartFrame();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkQtLabelRenderStrategy_EndFrame(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQtLabelRenderStrategy *op;

  op = (vtkQtLabelRenderStrategy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkQtLabelRenderStrategy::EndFrame();
      }
    else
      {
      op->EndFrame();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkQtLabelRenderStrategy_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQtLabelRenderStrategy *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkQtLabelRenderStrategy *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkQtLabelRenderStrategy::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}

static PyMethodDef PyvtkQtLabelRenderStrategyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkQtLabelRenderStrategy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkQtLabelRenderStrategy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkQtLabelRenderStrategy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkQtLabelRenderStrategy\nC++: vtkQtLabelRenderStrategy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkQtLabelRenderStrategy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkQtLabelRenderStrategy\nC++: vtkQtLabelRenderStrategy *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"StartFrame",                (PyCFunction)PyvtkQtLabelRenderStrategy_StartFrame, 1,
   (char*)"V.StartFrame()\nC++: virtual void StartFrame ();\n\n Start a rendering frame. Renderer must be set.\n"},
  {(char*)"EndFrame",                (PyCFunction)PyvtkQtLabelRenderStrategy_EndFrame, 1,
   (char*)"V.EndFrame()\nC++: virtual void EndFrame ();\n\n End a rendering frame.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkQtLabelRenderStrategy_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *window);\n\n Release any graphics resources that are being consumed by this strategy.\n The parameter window could be used to determine which graphic\n resources to release.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkQtLabelRenderStrategyDoc[] = {
  (char*)"vtkQtLabelRenderStrategy - Renders labels with Qt\n\n",
  "Super Class:\n\n vtkLabelRenderStrategy\n\n",
  (char*)" This class uses Qt to render labels and compute sizes. The labels are\n rendered to a QImage, then EndFrame() converts that image to a vtkImageData\n and textures the image onto a quad spanning the render area.\n\n",
  NULL
};

static vtkObjectBase *vtkQtLabelRenderStrategyStaticNew()
{
  return vtkQtLabelRenderStrategy::New();
}

PyObject *PyVTKClass_vtkQtLabelRenderStrategyNew(char *modulename)
{
  return PyVTKClass_New(&vtkQtLabelRenderStrategyStaticNew,
                        PyvtkQtLabelRenderStrategyMethods,
                        (char*)"vtkQtLabelRenderStrategy",modulename,
                        (char**)vtkQtLabelRenderStrategyDoc,
                        PyVTKClass_vtkLabelRenderStrategyNew(modulename));
}

