// java wrapper for vtkShadowMapPass object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkShadowMapPass.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkRenderPass_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkShadowMapPass_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkShadowMapPass",dType)) { return me; }
  if ((res= vtkRenderPass_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkShadowMapPass_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkShadowMapPass *op;
  const char    *temp20;

  op = (vtkShadowMapPass *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkShadowMapPass_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkShadowMapPass *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkShadowMapPass *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkShadowMapPass_OCCLUDER_12(JNIEnv *env, jobject obj)
{
  vtkShadowMapPass *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkShadowMapPass *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->OCCLUDER();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkShadowMapPass_RECEIVER_13(JNIEnv *env, jobject obj)
{
  vtkShadowMapPass *op;
  vtkInformationIntegerKey  *temp20;

  op = (vtkShadowMapPass *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RECEIVER();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkShadowMapPass_ReleaseGraphicsResources_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkShadowMapPass *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkShadowMapPass *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkShadowMapPass_GetOpaquePass_15(JNIEnv *env, jobject obj)
{
  vtkShadowMapPass *op;
  vtkRenderPass  *temp20;

  op = (vtkShadowMapPass *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOpaquePass();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkShadowMapPass_SetOpaquePass_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkShadowMapPass *op;
  vtkRenderPass  *temp0;
  temp0 = (vtkRenderPass *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkShadowMapPass *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOpaquePass(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkShadowMapPass_GetCompositeZPass_17(JNIEnv *env, jobject obj)
{
  vtkShadowMapPass *op;
  vtkRenderPass  *temp20;

  op = (vtkShadowMapPass *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCompositeZPass();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkShadowMapPass_SetCompositeZPass_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkShadowMapPass *op;
  vtkRenderPass  *temp0;
  temp0 = (vtkRenderPass *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkShadowMapPass *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCompositeZPass(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkShadowMapPass_SetResolution_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkShadowMapPass *op;
   unsigned int      temp0;
  temp0 = id0;

  op = (vtkShadowMapPass *)vtkJavaGetPointerFromObject(env,obj);
  op->SetResolution(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkShadowMapPass_GetResolution_110(JNIEnv *env, jobject obj)
{
  vtkShadowMapPass *op;
   unsigned int      temp20;

  op = (vtkShadowMapPass *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetResolution();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkShadowMapPass_SetPolygonOffsetFactor_111(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkShadowMapPass *op;
  float    temp0;
  temp0 = id0;

  op = (vtkShadowMapPass *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPolygonOffsetFactor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkShadowMapPass_GetPolygonOffsetFactor_112(JNIEnv *env, jobject obj)
{
  vtkShadowMapPass *op;
  float    temp20;

  op = (vtkShadowMapPass *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPolygonOffsetFactor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkShadowMapPass_SetPolygonOffsetUnits_113(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkShadowMapPass *op;
  float    temp0;
  temp0 = id0;

  op = (vtkShadowMapPass *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPolygonOffsetUnits(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkShadowMapPass_GetPolygonOffsetUnits_114(JNIEnv *env, jobject obj)
{
  vtkShadowMapPass *op;
  float    temp20;

  op = (vtkShadowMapPass *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPolygonOffsetUnits();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkShadowMapPass_VTKInit(JNIEnv *, jobject)
{
  vtkShadowMapPass *aNewOne = vtkShadowMapPass::New();
  return (jlong)(size_t)(void*)aNewOne;
}
