// python wrapper for vtkParallelCoordinatesHistogramRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkParallelCoordinatesHistogramRepresentation.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkParallelCoordinatesHistogramRepresentationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkParallelCoordinatesHistogramRepresentationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkParallelCoordinatesRepresentationNew(char *); }

static PyObject *PyvtkParallelCoordinatesHistogramRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesHistogramRepresentation *op;

  const char    *temp20;
  op = (vtkParallelCoordinatesHistogramRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelCoordinatesHistogramRepresentation::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesHistogramRepresentation_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesHistogramRepresentation *op;

  char    *temp0;
  int      temp20;
  op = (vtkParallelCoordinatesHistogramRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelCoordinatesHistogramRepresentation::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesHistogramRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesHistogramRepresentation *op;

  vtkParallelCoordinatesHistogramRepresentation  *temp20;
  op = (vtkParallelCoordinatesHistogramRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelCoordinatesHistogramRepresentation::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesHistogramRepresentation_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkParallelCoordinatesHistogramRepresentation  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkParallelCoordinatesHistogramRepresentation::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesHistogramRepresentation_ApplyViewTheme(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesHistogramRepresentation *op;

  vtkViewTheme  *temp0;
  PyObject *tempH0;
  op = (vtkParallelCoordinatesHistogramRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewTheme *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewTheme");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesHistogramRepresentation::ApplyViewTheme(temp0);
      }
    else
      {
      op->ApplyViewTheme(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesHistogramRepresentation_SetUseHistograms(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesHistogramRepresentation *op;

  int      temp0;
  op = (vtkParallelCoordinatesHistogramRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesHistogramRepresentation::SetUseHistograms(temp0);
      }
    else
      {
      op->SetUseHistograms(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesHistogramRepresentation_GetUseHistograms(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesHistogramRepresentation *op;

  int      temp20;
  op = (vtkParallelCoordinatesHistogramRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelCoordinatesHistogramRepresentation::GetUseHistograms();
      }
    else
      {
      temp20 = op->GetUseHistograms();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesHistogramRepresentation_UseHistogramsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesHistogramRepresentation *op;

  op = (vtkParallelCoordinatesHistogramRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesHistogramRepresentation::UseHistogramsOn();
      }
    else
      {
      op->UseHistogramsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesHistogramRepresentation_UseHistogramsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesHistogramRepresentation *op;

  op = (vtkParallelCoordinatesHistogramRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesHistogramRepresentation::UseHistogramsOff();
      }
    else
      {
      op->UseHistogramsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesHistogramRepresentation_SetShowOutliers(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesHistogramRepresentation *op;

  int      temp0;
  op = (vtkParallelCoordinatesHistogramRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesHistogramRepresentation::SetShowOutliers(temp0);
      }
    else
      {
      op->SetShowOutliers(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesHistogramRepresentation_GetShowOutliers(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesHistogramRepresentation *op;

  int      temp20;
  op = (vtkParallelCoordinatesHistogramRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelCoordinatesHistogramRepresentation::GetShowOutliers();
      }
    else
      {
      temp20 = op->GetShowOutliers();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesHistogramRepresentation_ShowOutliersOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesHistogramRepresentation *op;

  op = (vtkParallelCoordinatesHistogramRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesHistogramRepresentation::ShowOutliersOn();
      }
    else
      {
      op->ShowOutliersOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesHistogramRepresentation_ShowOutliersOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesHistogramRepresentation *op;

  op = (vtkParallelCoordinatesHistogramRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesHistogramRepresentation::ShowOutliersOff();
      }
    else
      {
      op->ShowOutliersOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesHistogramRepresentation_SetHistogramLookupTableRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesHistogramRepresentation *op;

  double   temp0;
  double   temp1;
  op = (vtkParallelCoordinatesHistogramRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesHistogramRepresentation::SetHistogramLookupTableRange(temp0,temp1);
      }
    else
      {
      op->SetHistogramLookupTableRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkParallelCoordinatesHistogramRepresentation *op;

  double temp0[2];
  PyErr_Clear();
  op = (vtkParallelCoordinatesHistogramRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesHistogramRepresentation::SetHistogramLookupTableRange(temp0);
      }
    else
      {
      op->SetHistogramLookupTableRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesHistogramRepresentation_GetHistogramLookupTableRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesHistogramRepresentation *op;

  double  *temp20;
  op = (vtkParallelCoordinatesHistogramRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelCoordinatesHistogramRepresentation::GetHistogramLookupTableRange();
      }
    else
      {
      temp20 = op->GetHistogramLookupTableRange();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesHistogramRepresentation_SetPreferredNumberOfOutliers(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesHistogramRepresentation *op;

  int      temp0;
  op = (vtkParallelCoordinatesHistogramRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelCoordinatesHistogramRepresentation::SetPreferredNumberOfOutliers(temp0);
      }
    else
      {
      op->SetPreferredNumberOfOutliers(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesHistogramRepresentation_GetPreferredNumberOfOutliers(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesHistogramRepresentation *op;

  int      temp20;
  op = (vtkParallelCoordinatesHistogramRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelCoordinatesHistogramRepresentation::GetPreferredNumberOfOutliers();
      }
    else
      {
      temp20 = op->GetPreferredNumberOfOutliers();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesHistogramRepresentation_SwapAxisPositions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesHistogramRepresentation *op;

  int      temp0;
  int      temp1;
  int      temp20;
  op = (vtkParallelCoordinatesHistogramRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelCoordinatesHistogramRepresentation::SwapAxisPositions(temp0,temp1);
      }
    else
      {
      temp20 = op->SwapAxisPositions(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelCoordinatesHistogramRepresentation_SetRangeAtPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelCoordinatesHistogramRepresentation *op;

  int      temp0;
  double temp1[2];
  int      temp20;
  op = (vtkParallelCoordinatesHistogramRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i(dd)", &temp0, temp1 + 0, temp1 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelCoordinatesHistogramRepresentation::SetRangeAtPosition(temp0,temp1);
      }
    else
      {
      temp20 = op->SetRangeAtPosition(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkParallelCoordinatesHistogramRepresentationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkParallelCoordinatesHistogramRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkParallelCoordinatesHistogramRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkParallelCoordinatesHistogramRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkParallelCoordinatesHistogramRepresentation\nC++: vtkParallelCoordinatesHistogramRepresentation *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkParallelCoordinatesHistogramRepresentation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkParallelCoordinatesHistogramRepresentation\nC++: vtkParallelCoordinatesHistogramRepresentation *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"ApplyViewTheme",                (PyCFunction)PyvtkParallelCoordinatesHistogramRepresentation_ApplyViewTheme, 1,
   (char*)"V.ApplyViewTheme(vtkViewTheme)\nC++: virtual void ApplyViewTheme (vtkViewTheme *theme);\n\n Apply the theme to this view.\n"},
  {(char*)"SetUseHistograms",                (PyCFunction)PyvtkParallelCoordinatesHistogramRepresentation_SetUseHistograms, 1,
   (char*)"V.SetUseHistograms(int)\nC++: virtual void SetUseHistograms (int );\n\n Whether to use the histogram rendering mode or the superclass's line rendering mode\n"},
  {(char*)"GetUseHistograms",                (PyCFunction)PyvtkParallelCoordinatesHistogramRepresentation_GetUseHistograms, 1,
   (char*)"V.GetUseHistograms() -> int\nC++: int GetUseHistograms ();\n\n Whether to use the histogram rendering mode or the superclass's line rendering mode\n"},
  {(char*)"UseHistogramsOn",                (PyCFunction)PyvtkParallelCoordinatesHistogramRepresentation_UseHistogramsOn, 1,
   (char*)"V.UseHistogramsOn()\nC++: void UseHistogramsOn ();\n\n Whether to use the histogram rendering mode or the superclass's line rendering mode\n"},
  {(char*)"UseHistogramsOff",                (PyCFunction)PyvtkParallelCoordinatesHistogramRepresentation_UseHistogramsOff, 1,
   (char*)"V.UseHistogramsOff()\nC++: void UseHistogramsOff ();\n\n Whether to use the histogram rendering mode or the superclass's line rendering mode\n"},
  {(char*)"SetShowOutliers",                (PyCFunction)PyvtkParallelCoordinatesHistogramRepresentation_SetShowOutliers, 1,
   (char*)"V.SetShowOutliers(int)\nC++: virtual void SetShowOutliers (int );\n\n Whether to compute and show outlier lines\n"},
  {(char*)"GetShowOutliers",                (PyCFunction)PyvtkParallelCoordinatesHistogramRepresentation_GetShowOutliers, 1,
   (char*)"V.GetShowOutliers() -> int\nC++: int GetShowOutliers ();\n\n Whether to compute and show outlier lines\n"},
  {(char*)"ShowOutliersOn",                (PyCFunction)PyvtkParallelCoordinatesHistogramRepresentation_ShowOutliersOn, 1,
   (char*)"V.ShowOutliersOn()\nC++: void ShowOutliersOn ();\n\n Whether to compute and show outlier lines\n"},
  {(char*)"ShowOutliersOff",                (PyCFunction)PyvtkParallelCoordinatesHistogramRepresentation_ShowOutliersOff, 1,
   (char*)"V.ShowOutliersOff()\nC++: void ShowOutliersOff ();\n\n Whether to compute and show outlier lines\n"},
  {(char*)"SetHistogramLookupTableRange",                (PyCFunction)PyvtkParallelCoordinatesHistogramRepresentation_SetHistogramLookupTableRange, 1,
   (char*)"V.SetHistogramLookupTableRange(float, float)\nC++: void SetHistogramLookupTableRange (double , double );\nV.SetHistogramLookupTableRange((float, float))\nC++: void SetHistogramLookupTableRange (double  a[2]);\n\n Control over the range of the lookup table used to draw the histogram quads.\n"},
  {(char*)"GetHistogramLookupTableRange",                (PyCFunction)PyvtkParallelCoordinatesHistogramRepresentation_GetHistogramLookupTableRange, 1,
   (char*)"V.GetHistogramLookupTableRange() -> (float, float)\nC++: double  *GetHistogramLookupTableRange ();\n\n Control over the range of the lookup table used to draw the histogram quads.\n"},
  {(char*)"SetPreferredNumberOfOutliers",                (PyCFunction)PyvtkParallelCoordinatesHistogramRepresentation_SetPreferredNumberOfOutliers, 1,
   (char*)"V.SetPreferredNumberOfOutliers(int)\nC++: void SetPreferredNumberOfOutliers (int );\n\n Target maximum number of outliers to be drawn, although not guaranteed.\n"},
  {(char*)"GetPreferredNumberOfOutliers",                (PyCFunction)PyvtkParallelCoordinatesHistogramRepresentation_GetPreferredNumberOfOutliers, 1,
   (char*)"V.GetPreferredNumberOfOutliers() -> int\nC++: int GetPreferredNumberOfOutliers ();\n\n Target maximum number of outliers to be drawn, although not guaranteed.\n"},
  {(char*)"SwapAxisPositions",                (PyCFunction)PyvtkParallelCoordinatesHistogramRepresentation_SwapAxisPositions, 1,
   (char*)"V.SwapAxisPositions(int, int) -> int\nC++: virtual int SwapAxisPositions (int position1, int position2);\n\n Calls superclass swap, and assures that only histograms affected by the \n swap get recomputed.\n"},
  {(char*)"SetRangeAtPosition",                (PyCFunction)PyvtkParallelCoordinatesHistogramRepresentation_SetRangeAtPosition, 1,
   (char*)"V.SetRangeAtPosition(int, (float, float)) -> int\nC++: virtual int SetRangeAtPosition (int position, double range[2]);\n\n Calls the superclass method, and assures that only the two histograms\n affect by this call get recomputed.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkParallelCoordinatesHistogramRepresentationDoc[] = {
  (char*)"vtkParallelCoordinatesHistogramRepresentation - Data representation \n\n",
  "Super Class:\n\n vtkParallelCoordinatesRepresentation\n\n",
  (char*)"  A parallel coordinates plot represents each variable in a multivariate\n  data set as a separate axis.  Individual samples of that data set are\n  represented as a polyline that pass through each variable axis at \n  positions that correspond to data values.  This class can generate\n  parallel coordinates plots identical to its superclass \n  (vtkParallelCoordinatesRepresentation) and has the same i",
  (char*)"nteraction\n  styles.\n\n  In addition to the standard parallel coordinates plot, this class also\n  can draw a histogram summary of the parallel coordinates plot.  \n  Rather than draw every row in an input data set, first it computes\n  a 2D histogram for all neighboring variable axes, then it draws\n  bar (thickness corresponds to bin size) for each bin the histogram\n  with opacity weighted by the num",
  (char*)"ber of rows contained in the bin.\n  The result is essentially a density map.  \n\n  Because this emphasizes dense regions over sparse outliers, this class\n  also uses a vtkComputeHistogram2DOutliers instance to identify outlier\n  table rows and draws those as standard parallel coordinates lines.\n\n\n",
  "See Also:\n\n vtkParallelCoordinatesView vtkParallelCoordinatesRepresentation\n vtkExtractHistogram2D vtkComputeHistogram2DOutliers\n \n .SECTION Thanks\n Developed by David Feng at Sandia National Laboratories\n\n",
  NULL
};

static vtkObjectBase *vtkParallelCoordinatesHistogramRepresentationStaticNew()
{
  return vtkParallelCoordinatesHistogramRepresentation::New();
}

PyObject *PyVTKClass_vtkParallelCoordinatesHistogramRepresentationNew(char *modulename)
{
  return PyVTKClass_New(&vtkParallelCoordinatesHistogramRepresentationStaticNew,
                        PyvtkParallelCoordinatesHistogramRepresentationMethods,
                        (char*)"vtkParallelCoordinatesHistogramRepresentation",modulename,
                        (char**)vtkParallelCoordinatesHistogramRepresentationDoc,
                        PyVTKClass_vtkParallelCoordinatesRepresentationNew(modulename));
}

