// java wrapper for vtkUnstructuredGridBunykRayCastFunction object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkUnstructuredGridBunykRayCastFunction.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkUnstructuredGridVolumeRayCastFunction_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkUnstructuredGridBunykRayCastFunction_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkUnstructuredGridBunykRayCastFunction",dType)) { return me; }
  if ((res= vtkUnstructuredGridVolumeRayCastFunction_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkUnstructuredGridBunykRayCastFunction_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridBunykRayCastFunction *op;
  const char    *temp20;

  op = (vtkUnstructuredGridBunykRayCastFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridBunykRayCastFunction_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkUnstructuredGridBunykRayCastFunction *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkUnstructuredGridBunykRayCastFunction *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkUnstructuredGridBunykRayCastFunction_VTKInit(JNIEnv *, jobject)
{
  vtkUnstructuredGridBunykRayCastFunction *aNewOne = vtkUnstructuredGridBunykRayCastFunction::New();
  return (jlong)(size_t)(void*)aNewOne;
}
