// java wrapper for vtkBiDimensionalRepresentation2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBiDimensionalRepresentation2D.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkWidgetRepresentation_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkBiDimensionalRepresentation2D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkBiDimensionalRepresentation2D",dType)) { return me; }
  if ((res= vtkWidgetRepresentation_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkBiDimensionalRepresentation2D *op;
  const char    *temp20;

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBiDimensionalRepresentation2D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_SetPoint1WorldPosition_12(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkBiDimensionalRepresentation2D *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoint1WorldPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_SetPoint2WorldPosition_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkBiDimensionalRepresentation2D *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoint2WorldPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_SetPoint3WorldPosition_14(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkBiDimensionalRepresentation2D *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoint3WorldPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_SetPoint4WorldPosition_15(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkBiDimensionalRepresentation2D *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoint4WorldPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_GetPoint1WorldPosition_16(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkBiDimensionalRepresentation2D *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPoint1WorldPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_GetPoint2WorldPosition_17(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkBiDimensionalRepresentation2D *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPoint2WorldPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_GetPoint3WorldPosition_18(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkBiDimensionalRepresentation2D *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPoint3WorldPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_GetPoint4WorldPosition_19(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkBiDimensionalRepresentation2D *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPoint4WorldPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_SetPoint1DisplayPosition_110(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkBiDimensionalRepresentation2D *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoint1DisplayPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_SetPoint2DisplayPosition_111(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkBiDimensionalRepresentation2D *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoint2DisplayPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_SetPoint3DisplayPosition_112(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkBiDimensionalRepresentation2D *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoint3DisplayPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_SetPoint4DisplayPosition_113(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkBiDimensionalRepresentation2D *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPoint4DisplayPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_GetPoint1DisplayPosition_114(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkBiDimensionalRepresentation2D *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPoint1DisplayPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_GetPoint2DisplayPosition_115(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkBiDimensionalRepresentation2D *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPoint2DisplayPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_GetPoint3DisplayPosition_116(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkBiDimensionalRepresentation2D *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPoint3DisplayPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_GetPoint4DisplayPosition_117(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkBiDimensionalRepresentation2D *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPoint4DisplayPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_SetLine1Visibility_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkBiDimensionalRepresentation2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLine1Visibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_GetLine1Visibility_119(JNIEnv *env, jobject obj)
{
  vtkBiDimensionalRepresentation2D *op;
  int      temp20;

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLine1Visibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_Line1VisibilityOn_120(JNIEnv *env, jobject obj)
{
  vtkBiDimensionalRepresentation2D *op;

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->Line1VisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_Line1VisibilityOff_121(JNIEnv *env, jobject obj)
{
  vtkBiDimensionalRepresentation2D *op;

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->Line1VisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_SetLine2Visibility_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkBiDimensionalRepresentation2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLine2Visibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_GetLine2Visibility_123(JNIEnv *env, jobject obj)
{
  vtkBiDimensionalRepresentation2D *op;
  int      temp20;

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLine2Visibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_Line2VisibilityOn_124(JNIEnv *env, jobject obj)
{
  vtkBiDimensionalRepresentation2D *op;

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->Line2VisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_Line2VisibilityOff_125(JNIEnv *env, jobject obj)
{
  vtkBiDimensionalRepresentation2D *op;

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->Line2VisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_SetHandleRepresentation_126(JNIEnv *env, jobject obj,jobject id0)
{
  vtkBiDimensionalRepresentation2D *op;
  vtkHandleRepresentation  *temp0;
  temp0 = (vtkHandleRepresentation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetHandleRepresentation(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_InstantiateHandleRepresentation_127(JNIEnv *env, jobject obj)
{
  vtkBiDimensionalRepresentation2D *op;

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->InstantiateHandleRepresentation();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_GetPoint1Representation_128(JNIEnv *env, jobject obj)
{
  vtkBiDimensionalRepresentation2D *op;
  vtkHandleRepresentation  *temp20;

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPoint1Representation();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_GetPoint2Representation_129(JNIEnv *env, jobject obj)
{
  vtkBiDimensionalRepresentation2D *op;
  vtkHandleRepresentation  *temp20;

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPoint2Representation();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_GetPoint3Representation_130(JNIEnv *env, jobject obj)
{
  vtkBiDimensionalRepresentation2D *op;
  vtkHandleRepresentation  *temp20;

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPoint3Representation();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_GetPoint4Representation_131(JNIEnv *env, jobject obj)
{
  vtkBiDimensionalRepresentation2D *op;
  vtkHandleRepresentation  *temp20;

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPoint4Representation();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_GetLineProperty_132(JNIEnv *env, jobject obj)
{
  vtkBiDimensionalRepresentation2D *op;
  vtkProperty2D  *temp20;

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLineProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_GetSelectedLineProperty_133(JNIEnv *env, jobject obj)
{
  vtkBiDimensionalRepresentation2D *op;
  vtkProperty2D  *temp20;

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectedLineProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_GetTextProperty_134(JNIEnv *env, jobject obj)
{
  vtkBiDimensionalRepresentation2D *op;
  vtkTextProperty  *temp20;

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTextProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_SetTolerance_135(JNIEnv *env, jobject obj,jint id0)
{
  vtkBiDimensionalRepresentation2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTolerance(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_GetToleranceMinValue_136(JNIEnv *env, jobject obj)
{
  vtkBiDimensionalRepresentation2D *op;
  int      temp20;

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetToleranceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_GetToleranceMaxValue_137(JNIEnv *env, jobject obj)
{
  vtkBiDimensionalRepresentation2D *op;
  int      temp20;

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetToleranceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_GetTolerance_138(JNIEnv *env, jobject obj)
{
  vtkBiDimensionalRepresentation2D *op;
  int      temp20;

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTolerance();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_GetLength1_139(JNIEnv *env, jobject obj)
{
  vtkBiDimensionalRepresentation2D *op;
  double   temp20;

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLength1();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_GetLength2_140(JNIEnv *env, jobject obj)
{
  vtkBiDimensionalRepresentation2D *op;
  double   temp20;

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLength2();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_SetLabelFormat_141(JNIEnv *env, jobject obj,jstring id0)
{
  vtkBiDimensionalRepresentation2D *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelFormat(temp0);
  if (temp0) delete[] temp0;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_GetLabelFormat_142(JNIEnv *env, jobject obj)
{
  vtkBiDimensionalRepresentation2D *op;
  char    *temp20;

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelFormat();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_BuildRepresentation_143(JNIEnv *env, jobject obj)
{
  vtkBiDimensionalRepresentation2D *op;

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildRepresentation();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_ComputeInteractionState_144(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkBiDimensionalRepresentation2D *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputeInteractionState(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_StartWidgetDefinition_145(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkBiDimensionalRepresentation2D *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->StartWidgetDefinition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_Point2WidgetInteraction_146(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkBiDimensionalRepresentation2D *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->Point2WidgetInteraction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_Point3WidgetInteraction_147(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkBiDimensionalRepresentation2D *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->Point3WidgetInteraction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_StartWidgetManipulation_148(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkBiDimensionalRepresentation2D *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->StartWidgetManipulation(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_WidgetInteraction_149(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkBiDimensionalRepresentation2D *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->WidgetInteraction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_Highlight_150(JNIEnv *env, jobject obj,jint id0)
{
  vtkBiDimensionalRepresentation2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->Highlight(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_ReleaseGraphicsResources_151(JNIEnv *env, jobject obj,jobject id0)
{
  vtkBiDimensionalRepresentation2D *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_RenderOverlay_152(JNIEnv *env, jobject obj,jobject id0)
{
  vtkBiDimensionalRepresentation2D *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOverlay(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_SetShowLabelAboveWidget_153(JNIEnv *env, jobject obj,jint id0)
{
  vtkBiDimensionalRepresentation2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetShowLabelAboveWidget(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_GetShowLabelAboveWidget_154(JNIEnv *env, jobject obj)
{
  vtkBiDimensionalRepresentation2D *op;
  int      temp20;

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetShowLabelAboveWidget();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_ShowLabelAboveWidgetOn_155(JNIEnv *env, jobject obj)
{
  vtkBiDimensionalRepresentation2D *op;

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->ShowLabelAboveWidgetOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_ShowLabelAboveWidgetOff_156(JNIEnv *env, jobject obj)
{
  vtkBiDimensionalRepresentation2D *op;

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->ShowLabelAboveWidgetOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_SetID_157(JNIEnv *env, jobject obj,jint id0)
{
  vtkBiDimensionalRepresentation2D *op;
   unsigned long     temp0;
  temp0 = id0;

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetID(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_GetID_158(JNIEnv *env, jobject obj)
{
  vtkBiDimensionalRepresentation2D *op;
   unsigned long     temp20;

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetID();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_GetLabelText_159(JNIEnv *env, jobject obj)
{
  vtkBiDimensionalRepresentation2D *op;
  char    *temp20;

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelText();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_GetLabelPosition_160(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkBiDimensionalRepresentation2D *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->GetLabelPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_GetWorldLabelPosition_161(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkBiDimensionalRepresentation2D *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkBiDimensionalRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->GetWorldLabelPosition(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkBiDimensionalRepresentation2D_VTKInit(JNIEnv *, jobject)
{
  vtkBiDimensionalRepresentation2D *aNewOne = vtkBiDimensionalRepresentation2D::New();
  return (jlong)(size_t)(void*)aNewOne;
}
