// java wrapper for vtkImplicitPlaneRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImplicitPlaneRepresentation.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkWidgetRepresentation_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImplicitPlaneRepresentation_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImplicitPlaneRepresentation",dType)) { return me; }
  if ((res= vtkWidgetRepresentation_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneRepresentation *op;
  const char    *temp20;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImplicitPlaneRepresentation *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  if (temp0) delete[] temp0;
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_SetOrigin_12(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkImplicitPlaneRepresentation *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOrigin(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_SetOrigin_13(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImplicitPlaneRepresentation *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOrigin(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_GetOrigin_14(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneRepresentation *op;
  double  *temp20;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOrigin();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_GetOrigin_15(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImplicitPlaneRepresentation *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GetOrigin(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_SetNormal_16(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkImplicitPlaneRepresentation *op;
  double   temp0;
  double   temp1;
  double   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNormal(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_SetNormal_17(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImplicitPlaneRepresentation *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNormal(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_GetNormal_18(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneRepresentation *op;
  double  *temp20;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNormal();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_GetNormal_19(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImplicitPlaneRepresentation *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GetNormal(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_SetNormalToXAxis_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkImplicitPlaneRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNormalToXAxis(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_GetNormalToXAxis_111(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneRepresentation *op;
  int      temp20;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNormalToXAxis();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_NormalToXAxisOn_112(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneRepresentation *op;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->NormalToXAxisOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_NormalToXAxisOff_113(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneRepresentation *op;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->NormalToXAxisOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_SetNormalToYAxis_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkImplicitPlaneRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNormalToYAxis(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_GetNormalToYAxis_115(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneRepresentation *op;
  int      temp20;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNormalToYAxis();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_NormalToYAxisOn_116(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneRepresentation *op;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->NormalToYAxisOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_NormalToYAxisOff_117(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneRepresentation *op;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->NormalToYAxisOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_SetNormalToZAxis_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkImplicitPlaneRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNormalToZAxis(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_GetNormalToZAxis_119(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneRepresentation *op;
  int      temp20;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNormalToZAxis();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_NormalToZAxisOn_120(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneRepresentation *op;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->NormalToZAxisOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_NormalToZAxisOff_121(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneRepresentation *op;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->NormalToZAxisOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_SetTubing_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkImplicitPlaneRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTubing(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_GetTubing_123(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneRepresentation *op;
  int      temp20;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTubing();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_TubingOn_124(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneRepresentation *op;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->TubingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_TubingOff_125(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneRepresentation *op;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->TubingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_SetDrawPlane_126(JNIEnv *env, jobject obj,jint id0)
{
  vtkImplicitPlaneRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDrawPlane(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_GetDrawPlane_127(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneRepresentation *op;
  int      temp20;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDrawPlane();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_DrawPlaneOn_128(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneRepresentation *op;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawPlaneOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_DrawPlaneOff_129(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneRepresentation *op;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->DrawPlaneOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_SetOutlineTranslation_130(JNIEnv *env, jobject obj,jint id0)
{
  vtkImplicitPlaneRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutlineTranslation(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_GetOutlineTranslation_131(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneRepresentation *op;
  int      temp20;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutlineTranslation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_OutlineTranslationOn_132(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneRepresentation *op;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->OutlineTranslationOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_OutlineTranslationOff_133(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneRepresentation *op;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->OutlineTranslationOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_SetOutsideBounds_134(JNIEnv *env, jobject obj,jint id0)
{
  vtkImplicitPlaneRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutsideBounds(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_GetOutsideBounds_135(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneRepresentation *op;
  int      temp20;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutsideBounds();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_OutsideBoundsOn_136(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneRepresentation *op;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->OutsideBoundsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_OutsideBoundsOff_137(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneRepresentation *op;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->OutsideBoundsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_SetScaleEnabled_138(JNIEnv *env, jobject obj,jint id0)
{
  vtkImplicitPlaneRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScaleEnabled(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_GetScaleEnabled_139(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneRepresentation *op;
  int      temp20;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScaleEnabled();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_ScaleEnabledOn_140(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneRepresentation *op;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ScaleEnabledOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_ScaleEnabledOff_141(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneRepresentation *op;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ScaleEnabledOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_GetPolyData_142(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImplicitPlaneRepresentation *op;
  vtkPolyData  *temp0;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPolyData(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_GetPolyDataAlgorithm_143(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneRepresentation *op;
  vtkPolyDataAlgorithm  *temp20;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPolyDataAlgorithm();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_GetPlane_144(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImplicitPlaneRepresentation *op;
  vtkPlane  *temp0;
  temp0 = (vtkPlane *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GetPlane(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_UpdatePlacement_145(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneRepresentation *op;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->UpdatePlacement();
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_GetNormalProperty_146(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneRepresentation *op;
  vtkProperty  *temp20;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNormalProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_GetSelectedNormalProperty_147(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneRepresentation *op;
  vtkProperty  *temp20;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectedNormalProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_GetPlaneProperty_148(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneRepresentation *op;
  vtkProperty  *temp20;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPlaneProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_GetSelectedPlaneProperty_149(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneRepresentation *op;
  vtkProperty  *temp20;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectedPlaneProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_GetOutlineProperty_150(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneRepresentation *op;
  vtkProperty  *temp20;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutlineProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_GetSelectedOutlineProperty_151(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneRepresentation *op;
  vtkProperty  *temp20;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectedOutlineProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_GetEdgesProperty_152(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneRepresentation *op;
  vtkProperty  *temp20;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgesProperty();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_ComputeInteractionState_153(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkImplicitPlaneRepresentation *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ComputeInteractionState(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_PlaceWidget_154(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImplicitPlaneRepresentation *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->PlaceWidget(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_BuildRepresentation_155(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneRepresentation *op;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->BuildRepresentation();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_StartWidgetInteraction_156(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImplicitPlaneRepresentation *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->StartWidgetInteraction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_WidgetInteraction_157(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImplicitPlaneRepresentation *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->WidgetInteraction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_EndWidgetInteraction_158(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkImplicitPlaneRepresentation *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->EndWidgetInteraction(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_GetBounds_159(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneRepresentation *op;
  double  *temp20;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBounds();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_GetActors_160(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImplicitPlaneRepresentation *op;
  vtkPropCollection  *temp0;
  temp0 = (vtkPropCollection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->GetActors(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_ReleaseGraphicsResources_161(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImplicitPlaneRepresentation *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_RenderOpaqueGeometry_162(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImplicitPlaneRepresentation *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderOpaqueGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_RenderTranslucentPolygonalGeometry_163(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImplicitPlaneRepresentation *op;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = (vtkViewport *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_HasTranslucentPolygonalGeometry_164(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneRepresentation *op;
  int      temp20;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HasTranslucentPolygonalGeometry();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_SetInteractionState_165(JNIEnv *env, jobject obj,jint id0)
{
  vtkImplicitPlaneRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInteractionState(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_GetInteractionStateMinValue_166(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneRepresentation *op;
  int      temp20;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInteractionStateMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_GetInteractionStateMaxValue_167(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneRepresentation *op;
  int      temp20;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInteractionStateMaxValue();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_SetRepresentationState_168(JNIEnv *env, jobject obj,jint id0)
{
  vtkImplicitPlaneRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRepresentationState(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImplicitPlaneRepresentation_GetRepresentationState_169(JNIEnv *env, jobject obj)
{
  vtkImplicitPlaneRepresentation *op;
  int      temp20;

  op = (vtkImplicitPlaneRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRepresentationState();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkImplicitPlaneRepresentation_VTKInit(JNIEnv *, jobject)
{
  vtkImplicitPlaneRepresentation *aNewOne = vtkImplicitPlaneRepresentation::New();
  return (jlong)(size_t)(void*)aNewOne;
}
